DCMTK: DRTDoseIOD Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Private Attributes | List of all members
DRTDoseIOD Class Reference

Interface class for RTDoseIOD. More...

Inheritance diagram for DRTDoseIOD:

## Public Member Functions
| DRTDoseIOD ()
| default constructor
| DRTDoseIOD (const DRTDoseIOD &copy)
| copy constructor
virtual | ~DRTDoseIOD ()
| destructor
DRTDoseIOD & | operator= (const DRTDoseIOD &copy)
| assignment operator
virtual void | clear ()
| clear all internal member variables
virtual OFBool | isValid ()
| check whether the current internal state is valid
virtual OFCondition | read (DcmItem &dataset)
| read object from dataset
virtual OFCondition | readPatientData (DcmItem &dataset)
| read PatientData from dataset
virtual OFCondition | readStudyData (DcmItem &dataset)
| read StudyData from dataset.
virtual OFCondition | readSeriesData (DcmItem &dataset)
| read SeriesData from dataset.
virtual OFCondition | write (DcmItem &dataset)
| write object to dataset
virtual OFBool | isClinicalTrialSubjectModulePresent (const OFBool complete=OFFalse)
| check whether ClinicalTrialSubjectModule (U) is present.
virtual OFBool | isPatientStudyModulePresent (const OFBool complete=OFFalse)
| check whether PatientStudyModule (U) is present.
virtual OFBool | isClinicalTrialStudyModulePresent (const OFBool complete=OFFalse)
| check whether ClinicalTrialStudyModule (U) is present.
virtual OFBool | isClinicalTrialSeriesModulePresent (const OFBool complete=OFFalse)
| check whether ClinicalTrialSeriesModule (U) is present.
virtual OFBool | isGeneralImageModulePresent (const OFBool complete=OFFalse)
| check whether GeneralImageModule (C) is present.
virtual OFBool | isImagePlaneModulePresent (const OFBool complete=OFFalse)
| check whether ImagePlaneModule (C) is present.
virtual OFBool | isImagePixelModulePresent (const OFBool complete=OFFalse)
| check whether ImagePixelModule (C) is present.
virtual OFBool | isMultiFrameModulePresent (const OFBool complete=OFFalse)
| check whether MultiFrameModule (C) is present.
virtual OFBool | isRTDVHModulePresent (const OFBool complete=OFFalse)
| check whether RTDVHModule (U) is present.
virtual OFBool | isCommonInstanceReferenceModulePresent (const OFBool complete=OFFalse)
| check whether CommonInstanceReferenceModule (U) is present.
virtual OFBool | isFrameExtractionModulePresent (const OFBool complete=OFFalse)
| check whether FrameExtractionModule (C) is present.
virtual OFCondition | getAccessionNumber (OFString &value, const signed long pos=0) const
| get AccessionNumber (0008,0050)
virtual OFCondition | getAdditionalPatientHistory (OFString &value, const signed long pos=0) const
| get AdditionalPatientHistory (0010,21b0)
virtual OFCondition | getAdmissionID (OFString &value, const signed long pos=0) const
| get AdmissionID (0038,0010)
virtual OFCondition | getAdmittingDiagnosesDescription (OFString &value, const signed long pos=0) const
| get AdmittingDiagnosesDescription (0008,1080)
virtual OFCondition | getAllergies (OFString &value, const signed long pos=0) const
| get Allergies (0010,2110)
virtual OFCondition | getAuthorizationEquipmentCertificationNumber (OFString &value, const signed long pos=0) const
| get AuthorizationEquipmentCertificationNumber (0100,0426)
virtual OFCondition | getBarcodeValue (OFString &value, const signed long pos=0) const
| get BarcodeValue (2200,0005)
virtual OFCondition | getBitsAllocated (Uint16 &value, const unsigned long pos=0) const
| get BitsAllocated (0028,0100)
virtual OFCondition | getBitsStored (Uint16 &value, const unsigned long pos=0) const
| get BitsStored (0028,0101)
virtual OFCondition | getBluePaletteColorLookupTableData (Uint16 *&value, unsigned long *count=NULL) const
| get BluePaletteColorLookupTableData (0028,1203)
virtual OFCondition | getBluePaletteColorLookupTableDescriptor (Uint16 &value, const unsigned long pos=0) const
| get BluePaletteColorLookupTableDescriptor (0028,1103)
virtual OFCondition | getBurnedInAnnotation (OFString &value, const signed long pos=0) const
| get BurnedInAnnotation (0028,0301)
virtual OFCondition | getClinicalTrialCoordinatingCenterName (OFString &value, const signed long pos=0) const
| get ClinicalTrialCoordinatingCenterName (0012,0060)
virtual OFCondition | getClinicalTrialProtocolEthicsCommitteeApprovalNumber (OFString &value, const signed long pos=0) const
| get ClinicalTrialProtocolEthicsCommitteeApprovalNumber (0012,0082)
virtual OFCondition | getClinicalTrialProtocolEthicsCommitteeName (OFString &value, const signed long pos=0) const
| get ClinicalTrialProtocolEthicsCommitteeName (0012,0081)
virtual OFCondition | getClinicalTrialProtocolID (OFString &value, const signed long pos=0) const
| get ClinicalTrialProtocolID (0012,0020)
virtual OFCondition | getClinicalTrialProtocolName (OFString &value, const signed long pos=0) const
| get ClinicalTrialProtocolName (0012,0021)
virtual OFCondition | getClinicalTrialSeriesDescription (OFString &value, const signed long pos=0) const
| get ClinicalTrialSeriesDescription (0012,0072)
virtual OFCondition | getClinicalTrialSeriesID (OFString &value, const signed long pos=0) const
| get ClinicalTrialSeriesID (0012,0071)
virtual OFCondition | getClinicalTrialSiteID (OFString &value, const signed long pos=0) const
| get ClinicalTrialSiteID (0012,0030)
virtual OFCondition | getClinicalTrialSiteName (OFString &value, const signed long pos=0) const
| get ClinicalTrialSiteName (0012,0031)
virtual OFCondition | getClinicalTrialSponsorName (OFString &value, const signed long pos=0) const
| get ClinicalTrialSponsorName (0012,0010)
virtual OFCondition | getClinicalTrialSubjectID (OFString &value, const signed long pos=0) const
| get ClinicalTrialSubjectID (0012,0040)
virtual OFCondition | getClinicalTrialSubjectReadingID (OFString &value, const signed long pos=0) const
| get ClinicalTrialSubjectReadingID (0012,0042)
virtual OFCondition | getClinicalTrialTimePointDescription (OFString &value, const signed long pos=0) const
| get ClinicalTrialTimePointDescription (0012,0051)
virtual OFCondition | getClinicalTrialTimePointID (OFString &value, const signed long pos=0) const
| get ClinicalTrialTimePointID (0012,0050)
virtual OFCondition | getColorSpace (OFString &value, const signed long pos=0) const
| get ColorSpace (0028,2002)
virtual OFCondition | getColumns (Uint16 &value, const unsigned long pos=0) const
| get Columns (0028,0011)
virtual OFCondition | getCommentsOnThePerformedProcedureStep (OFString &value, const signed long pos=0) const
| get CommentsOnThePerformedProcedureStep (0040,0280)
virtual OFCondition | getConsultingPhysicianName (OFString &value, const signed long pos=0) const
| get ConsultingPhysicianName (0008,009c)
virtual OFCondition | getContentDate (OFString &value, const signed long pos=0) const
| get ContentDate (0008,0023)
virtual OFCondition | getContentQualification (OFString &value, const signed long pos=0) const
| get ContentQualification (0018,9004)
virtual OFCondition | getContentTime (OFString &value, const signed long pos=0) const
| get ContentTime (0008,0033)
virtual OFCondition | getDVHNormalizationDoseValue (OFString &value, const signed long pos=0) const
| get DVHNormalizationDoseValue (3004,0042)
virtual OFCondition | getDVHNormalizationDoseValue (Float64 &value, const unsigned long pos=0) const
| get DVHNormalizationDoseValue (3004,0042)
virtual OFCondition | getDVHNormalizationPoint (OFString &value, const signed long pos=0) const
| get DVHNormalizationPoint (3004,0040)
virtual OFCondition | getDVHNormalizationPoint (Float64 &value, const unsigned long pos=0) const
| get DVHNormalizationPoint (3004,0040)
virtual OFCondition | getDVHNormalizationPoint (OFVector< Float64 > &value) const
| get DVHNormalizationPoint (3004,0040)
virtual OFCondition | getDateOfLastCalibration (OFString &value, const signed long pos=0) const
| get DateOfLastCalibration (0018,1200)
virtual OFCondition | getDeidentificationMethod (OFString &value, const signed long pos=0) const
| get DeidentificationMethod (0012,0063)
virtual OFCondition | getDeviceSerialNumber (OFString &value, const signed long pos=0) const
| get DeviceSerialNumber (0018,1000)
virtual OFCondition | getDeviceUID (OFString &value, const signed long pos=0) const
| get DeviceUID (0018,1002)
virtual OFCondition | getDoseComment (OFString &value, const signed long pos=0) const
| get DoseComment (3004,0006)
virtual OFCondition | getDoseGridScaling (OFString &value, const signed long pos=0) const
| get DoseGridScaling (3004,000e)
virtual OFCondition | getDoseGridScaling (Float64 &value, const unsigned long pos=0) const
| get DoseGridScaling (3004,000e)
virtual OFCondition | getDoseSummationType (OFString &value, const signed long pos=0) const
| get DoseSummationType (3004,000a)
virtual OFCondition | getDoseType (OFString &value, const signed long pos=0) const
| get DoseType (3004,0004)
virtual OFCondition | getDoseUnits (OFString &value, const signed long pos=0) const
| get DoseUnits (3004,0002)
virtual OFCondition | getEncapsulatedPixelDataValueTotalLength (Uint64 &value, const unsigned long pos=0) const
| get EncapsulatedPixelDataValueTotalLength (7fe0,0003)
virtual OFCondition | getEntityLongLabel (OFString &value, const signed long pos=0) const
| get EntityLongLabel (3010,0038)
virtual OFCondition | getEthnicGroup (OFString &value, const signed long pos=0) const
| get EthnicGroup (0010,2160)
virtual OFCondition | getExtendedOffsetTable (Uint64 *&value, unsigned long *count=NULL) const
| get ExtendedOffsetTable (7fe0,0001)
virtual OFCondition | getExtendedOffsetTableLengths (Uint64 *&value, unsigned long *count=NULL) const
| get ExtendedOffsetTableLengths (7fe0,0002)
virtual OFCondition | getFrameIncrementPointer (OFString &value, const signed long pos=0) const
| get FrameIncrementPointer (0028,0009)
virtual OFCondition | getFrameOfReferenceUID (OFString &value, const signed long pos=0) const
| get FrameOfReferenceUID (0020,0052)
virtual OFCondition | getGantryID (OFString &value, const signed long pos=0) const
| get GantryID (0018,1008)
virtual OFCondition | getGreenPaletteColorLookupTableData (Uint16 *&value, unsigned long *count=NULL) const
| get GreenPaletteColorLookupTableData (0028,1202)
virtual OFCondition | getGreenPaletteColorLookupTableDescriptor (Uint16 &value, const unsigned long pos=0) const
| get GreenPaletteColorLookupTableDescriptor (0028,1102)
virtual OFCondition | getGridFrameOffsetVector (OFString &value, const signed long pos=0) const
| get GridFrameOffsetVector (3004,000c)
virtual OFCondition | getGridFrameOffsetVector (Float64 &value, const unsigned long pos=0) const
| get GridFrameOffsetVector (3004,000c)
virtual OFCondition | getGridFrameOffsetVector (OFVector< Float64 > &value) const
| get GridFrameOffsetVector (3004,000c)
virtual OFCondition | getHighBit (Uint16 &value, const unsigned long pos=0) const
| get HighBit (0028,0102)
virtual OFCondition | getICCProfile (Uint8 *&value, unsigned long *count=NULL) const
| get ICCProfile (0028,2000)
virtual OFCondition | getImageComments (OFString &value, const signed long pos=0) const
| get ImageComments (0020,4000)
virtual OFCondition | getImageLaterality (OFString &value, const signed long pos=0) const
| get ImageLaterality (0020,0062)
virtual OFCondition | getImageOrientationPatient (OFString &value, const signed long pos=0) const
| get ImageOrientationPatient (0020,0037)
virtual OFCondition | getImageOrientationPatient (Float64 &value, const unsigned long pos=0) const
| get ImageOrientationPatient (0020,0037)
virtual OFCondition | getImageOrientationPatient (OFVector< Float64 > &value) const
| get ImageOrientationPatient (0020,0037)
virtual OFCondition | getImagePositionPatient (OFString &value, const signed long pos=0) const
| get ImagePositionPatient (0020,0032)
virtual OFCondition | getImagePositionPatient (Float64 &value, const unsigned long pos=0) const
| get ImagePositionPatient (0020,0032)
virtual OFCondition | getImagePositionPatient (OFVector< Float64 > &value) const
| get ImagePositionPatient (0020,0032)
virtual OFCondition | getImageType (OFString &value, const signed long pos=0) const
| get ImageType (0008,0008)
virtual OFCondition | getInstanceCoercionDateTime (OFString &value, const signed long pos=0) const
| get InstanceCoercionDateTime (0008,0015)
virtual OFCondition | getInstanceCreationDate (OFString &value, const signed long pos=0) const
| get InstanceCreationDate (0008,0012)
virtual OFCondition | getInstanceCreationTime (OFString &value, const signed long pos=0) const
| get InstanceCreationTime (0008,0013)
virtual OFCondition | getInstanceCreatorUID (OFString &value, const signed long pos=0) const
| get InstanceCreatorUID (0008,0014)
virtual OFCondition | getInstanceNumber (OFString &value, const signed long pos=0) const
| get InstanceNumber (0020,0013)
virtual OFCondition | getInstanceNumber (Sint32 &value, const unsigned long pos=0) const
| get InstanceNumber (0020,0013)
virtual OFCondition | getInstanceOriginStatus (OFString &value, const signed long pos=0) const
| get InstanceOriginStatus (0400,0600)
virtual OFCondition | getInstitutionAddress (OFString &value, const signed long pos=0) const
| get InstitutionAddress (0008,0081)
virtual OFCondition | getInstitutionName (OFString &value, const signed long pos=0) const
| get InstitutionName (0008,0080)
virtual OFCondition | getInstitutionalDepartmentName (OFString &value, const signed long pos=0) const
| get InstitutionalDepartmentName (0008,1040)
virtual OFCondition | getIssuerOfPatientID (OFString &value, const signed long pos=0) const
| get IssuerOfPatientID (0010,0021)
virtual OFCondition | getLargestImagePixelValue (Uint16 &value, const unsigned long pos=0) const
| get LargestImagePixelValue (0028,0107)
virtual OFCondition | getLastMenstrualDate (OFString &value, const signed long pos=0) const
| get LastMenstrualDate (0010,21d0)
virtual OFCondition | getLongitudinalTemporalEventType (OFString &value, const signed long pos=0) const
| get LongitudinalTemporalEventType (0012,0053)
virtual OFCondition | getLongitudinalTemporalInformationModified (OFString &value, const signed long pos=0) const
| get LongitudinalTemporalInformationModified (0028,0303)
virtual OFCondition | getLongitudinalTemporalOffsetFromEvent (Float64 &value, const unsigned long pos=0) const
| get LongitudinalTemporalOffsetFromEvent (0012,0052)
virtual OFCondition | getLossyImageCompression (OFString &value, const signed long pos=0) const
| get LossyImageCompression (0028,2110)
virtual OFCondition | getLossyImageCompressionMethod (OFString &value, const signed long pos=0) const
| get LossyImageCompressionMethod (0028,2114)
virtual OFCondition | getLossyImageCompressionRatio (OFString &value, const signed long pos=0) const
| get LossyImageCompressionRatio (0028,2112)
virtual OFCondition | getLossyImageCompressionRatio (Float64 &value, const unsigned long pos=0) const
| get LossyImageCompressionRatio (0028,2112)
virtual OFCondition | getLossyImageCompressionRatio (OFVector< Float64 > &value) const
| get LossyImageCompressionRatio (0028,2112)
virtual OFCondition | getManufacturer (OFString &value, const signed long pos=0) const
| get Manufacturer (0008,0070)
virtual OFCondition | getManufacturerDeviceClassUID (OFString &value, const signed long pos=0) const
| get ManufacturerDeviceClassUID (0018,100b)
virtual OFCondition | getManufacturerModelName (OFString &value, const signed long pos=0) const
| get ManufacturerModelName (0008,1090)
virtual OFCondition | getMeasuredAPDimension (OFString &value, const signed long pos=0) const
| get MeasuredAPDimension (0010,1023)
virtual OFCondition | getMeasuredAPDimension (Float64 &value, const unsigned long pos=0) const
| get MeasuredAPDimension (0010,1023)
virtual OFCondition | getMeasuredLateralDimension (OFString &value, const signed long pos=0) const
| get MeasuredLateralDimension (0010,1024)
virtual OFCondition | getMeasuredLateralDimension (Float64 &value, const unsigned long pos=0) const
| get MeasuredLateralDimension (0010,1024)
virtual OFCondition | getMedicalAlerts (OFString &value, const signed long pos=0) const
| get MedicalAlerts (0010,2000)
virtual OFCondition | getModality (OFString &value, const signed long pos=0) const
| get Modality (0008,0060)
virtual OFCondition | getNameOfPhysiciansReadingStudy (OFString &value, const signed long pos=0) const
| get NameOfPhysiciansReadingStudy (0008,1060)
virtual OFCondition | getNormalizationPoint (OFString &value, const signed long pos=0) const
| get NormalizationPoint (3004,0008)
virtual OFCondition | getNormalizationPoint (Float64 &value, const unsigned long pos=0) const
| get NormalizationPoint (3004,0008)
virtual OFCondition | getNormalizationPoint (OFVector< Float64 > &value) const
| get NormalizationPoint (3004,0008)
virtual OFCondition | getNumberOfFrames (OFString &value, const signed long pos=0) const
| get NumberOfFrames (0028,0008)
virtual OFCondition | getNumberOfFrames (Sint32 &value, const unsigned long pos=0) const
| get NumberOfFrames (0028,0008)
virtual OFCondition | getOccupation (OFString &value, const signed long pos=0) const
| get Occupation (0010,2180)
virtual OFCondition | getOperatorsName (OFString &value, const signed long pos=0) const
| get OperatorsName (0008,1070)
virtual OFCondition | getOriginalSpecializedSOPClassUID (OFString &value, const signed long pos=0) const
| get OriginalSpecializedSOPClassUID (0008,001b)
virtual OFCondition | getOtherPatientNames (OFString &value, const signed long pos=0) const
| get OtherPatientNames (0010,1001)
virtual OFCondition | getPatientAge (OFString &value, const signed long pos=0) const
| get PatientAge (0010,1010)
virtual OFCondition | getPatientAlternativeCalendar (OFString &value, const signed long pos=0) const
| get PatientAlternativeCalendar (0010,0035)
virtual OFCondition | getPatientBirthDate (OFString &value, const signed long pos=0) const
| get PatientBirthDate (0010,0030)
virtual OFCondition | getPatientBirthDateInAlternativeCalendar (OFString &value, const signed long pos=0) const
| get PatientBirthDateInAlternativeCalendar (0010,0033)
virtual OFCondition | getPatientBirthTime (OFString &value, const signed long pos=0) const
| get PatientBirthTime (0010,0032)
virtual OFCondition | getPatientBodyMassIndex (OFString &value, const signed long pos=0) const
| get PatientBodyMassIndex (0010,1022)
virtual OFCondition | getPatientBodyMassIndex (Float64 &value, const unsigned long pos=0) const
| get PatientBodyMassIndex (0010,1022)
virtual OFCondition | getPatientBreedDescription (OFString &value, const signed long pos=0) const
| get PatientBreedDescription (0010,2292)
virtual OFCondition | getPatientComments (OFString &value, const signed long pos=0) const
| get PatientComments (0010,4000)
virtual OFCondition | getPatientDeathDateInAlternativeCalendar (OFString &value, const signed long pos=0) const
| get PatientDeathDateInAlternativeCalendar (0010,0034)
virtual OFCondition | getPatientID (OFString &value, const signed long pos=0) const
| get PatientID (0010,0020)
virtual OFCondition | getPatientIdentityRemoved (OFString &value, const signed long pos=0) const
| get PatientIdentityRemoved (0012,0062)
virtual OFCondition | getPatientName (OFString &value, const signed long pos=0) const
| get PatientName (0010,0010)
virtual OFCondition | getPatientOrientation (OFString &value, const signed long pos=0) const
| get PatientOrientation (0020,0020)
virtual OFCondition | getPatientSex (OFString &value, const signed long pos=0) const
| get PatientSex (0010,0040)
virtual OFCondition | getPatientSexNeutered (OFString &value, const signed long pos=0) const
| get PatientSexNeutered (0010,2203)
virtual OFCondition | getPatientSize (OFString &value, const signed long pos=0) const
| get PatientSize (0010,1020)
virtual OFCondition | getPatientSize (Float64 &value, const unsigned long pos=0) const
| get PatientSize (0010,1020)
virtual OFCondition | getPatientSpeciesDescription (OFString &value, const signed long pos=0) const
| get PatientSpeciesDescription (0010,2201)
virtual OFCondition | getPatientState (OFString &value, const signed long pos=0) const
| get PatientState (0038,0500)
virtual OFCondition | getPatientWeight (OFString &value, const signed long pos=0) const
| get PatientWeight (0010,1030)
virtual OFCondition | getPatientWeight (Float64 &value, const unsigned long pos=0) const
| get PatientWeight (0010,1030)
virtual OFCondition | getPerformedProcedureStepDescription (OFString &value, const signed long pos=0) const
| get PerformedProcedureStepDescription (0040,0254)
virtual OFCondition | getPerformedProcedureStepEndDate (OFString &value, const signed long pos=0) const
| get PerformedProcedureStepEndDate (0040,0250)
virtual OFCondition | getPerformedProcedureStepEndTime (OFString &value, const signed long pos=0) const
| get PerformedProcedureStepEndTime (0040,0251)
virtual OFCondition | getPerformedProcedureStepID (OFString &value, const signed long pos=0) const
| get PerformedProcedureStepID (0040,0253)
virtual OFCondition | getPerformedProcedureStepStartDate (OFString &value, const signed long pos=0) const
| get PerformedProcedureStepStartDate (0040,0244)
virtual OFCondition | getPerformedProcedureStepStartTime (OFString &value, const signed long pos=0) const
| get PerformedProcedureStepStartTime (0040,0245)
virtual OFCondition | getPhotometricInterpretation (OFString &value, const signed long pos=0) const
| get PhotometricInterpretation (0028,0004)
virtual OFCondition | getPhysiciansOfRecord (OFString &value, const signed long pos=0) const
| get PhysiciansOfRecord (0008,1048)
virtual OFCondition | getPixelAspectRatio (OFString &value, const signed long pos=0) const
| get PixelAspectRatio (0028,0034)
virtual OFCondition | getPixelAspectRatio (Sint32 &value, const unsigned long pos=0) const
| get PixelAspectRatio (0028,0034)
virtual OFCondition | getPixelDataProviderURL (OFString &value, const signed long pos=0) const
| get PixelDataProviderURL (0028,7fe0)
virtual OFCondition | getPixelPaddingRangeLimit (Uint16 &value, const unsigned long pos=0) const
| get PixelPaddingRangeLimit (0028,0121)
virtual OFCondition | getPixelPaddingValue (Uint16 &value, const unsigned long pos=0) const
| get PixelPaddingValue (0028,0120)
virtual OFCondition | getPixelRepresentation (Uint16 &value, const unsigned long pos=0) const
| get PixelRepresentation (0028,0103)
virtual OFCondition | getPixelSpacing (OFString &value, const signed long pos=0) const
| get PixelSpacing (0028,0030)
virtual OFCondition | getPixelSpacing (Float64 &value, const unsigned long pos=0) const
| get PixelSpacing (0028,0030)
virtual OFCondition | getPixelSpacing (OFVector< Float64 > &value) const
| get PixelSpacing (0028,0030)
virtual OFCondition | getPlanarConfiguration (Uint16 &value, const unsigned long pos=0) const
| get PlanarConfiguration (0028,0006)
virtual OFCondition | getPositionReferenceIndicator (OFString &value, const signed long pos=0) const
| get PositionReferenceIndicator (0020,1040)
virtual OFCondition | getPregnancyStatus (Uint16 &value, const unsigned long pos=0) const
| get PregnancyStatus (0010,21c0)
virtual OFCondition | getPresentationLUTShape (OFString &value, const signed long pos=0) const
| get PresentationLUTShape (2050,0020)
virtual OFCondition | getQualityControlImage (OFString &value, const signed long pos=0) const
| get QualityControlImage (0028,0300)
virtual OFCondition | getQualityControlSubject (OFString &value, const signed long pos=0) const
| get QualityControlSubject (0010,0200)
virtual OFCondition | getQueryRetrieveView (OFString &value, const signed long pos=0) const
| get QueryRetrieveView (0008,0053)
virtual OFCondition | getReasonForVisit (OFString &value, const signed long pos=0) const
| get ReasonForVisit (0032,1066)
virtual OFCondition | getRecognizableVisualFeatures (OFString &value, const signed long pos=0) const
| get RecognizableVisualFeatures (0028,0302)
virtual OFCondition | getRedPaletteColorLookupTableData (Uint16 *&value, unsigned long *count=NULL) const
| get RedPaletteColorLookupTableData (0028,1201)
virtual OFCondition | getRedPaletteColorLookupTableDescriptor (Uint16 &value, const unsigned long pos=0) const
| get RedPaletteColorLookupTableDescriptor (0028,1101)
virtual OFCondition | getReferringPhysicianName (OFString &value, const signed long pos=0) const
| get ReferringPhysicianName (0008,0090)
virtual OFCondition | getRelatedGeneralSOPClassUID (OFString &value, const signed long pos=0) const
| get RelatedGeneralSOPClassUID (0008,001a)
virtual OFCondition | getRequestingService (OFString &value, const signed long pos=0) const
| get RequestingService (0032,1033)
virtual OFCondition | getResponsibleOrganization (OFString &value, const signed long pos=0) const
| get ResponsibleOrganization (0010,2299)
virtual OFCondition | getResponsiblePerson (OFString &value, const signed long pos=0) const
| get ResponsiblePerson (0010,2297)
virtual OFCondition | getResponsiblePersonRole (OFString &value, const signed long pos=0) const
| get ResponsiblePersonRole (0010,2298)
virtual OFCondition | getRows (Uint16 &value, const unsigned long pos=0) const
| get Rows (0028,0010)
virtual OFCondition | getSOPAuthorizationComment (OFString &value, const signed long pos=0) const
| get SOPAuthorizationComment (0100,0424)
virtual OFCondition | getSOPAuthorizationDateTime (OFString &value, const signed long pos=0) const
| get SOPAuthorizationDateTime (0100,0420)
virtual OFCondition | getSOPClassUID (OFString &value, const signed long pos=0) const
| get SOPClassUID (0008,0016)
virtual OFCondition | getSOPInstanceStatus (OFString &value, const signed long pos=0) const
| get SOPInstanceStatus (0100,0410)
virtual OFCondition | getSOPInstanceUID (OFString &value, const signed long pos=0) const
| get SOPInstanceUID (0008,0018)
virtual OFCondition | getSamplesPerPixel (Uint16 &value, const unsigned long pos=0) const
| get SamplesPerPixel (0028,0002)
virtual OFCondition | getSeriesDate (OFString &value, const signed long pos=0) const
| get SeriesDate (0008,0021)
virtual OFCondition | getSeriesDescription (OFString &value, const signed long pos=0) const
| get SeriesDescription (0008,103e)
virtual OFCondition | getSeriesInstanceUID (OFString &value, const signed long pos=0) const
| get SeriesInstanceUID (0020,000e)
virtual OFCondition | getSeriesNumber (OFString &value, const signed long pos=0) const
| get SeriesNumber (0020,0011)
virtual OFCondition | getSeriesNumber (Sint32 &value, const unsigned long pos=0) const
| get SeriesNumber (0020,0011)
virtual OFCondition | getSeriesTime (OFString &value, const signed long pos=0) const
| get SeriesTime (0008,0031)
virtual OFCondition | getServiceEpisodeDescription (OFString &value, const signed long pos=0) const
| get ServiceEpisodeDescription (0038,0062)
virtual OFCondition | getServiceEpisodeID (OFString &value, const signed long pos=0) const
| get ServiceEpisodeID (0038,0060)
virtual OFCondition | getSliceLocation (OFString &value, const signed long pos=0) const
| get SliceLocation (0020,1041)
virtual OFCondition | getSliceLocation (Float64 &value, const unsigned long pos=0) const
| get SliceLocation (0020,1041)
virtual OFCondition | getSliceThickness (OFString &value, const signed long pos=0) const
| get SliceThickness (0018,0050)
virtual OFCondition | getSliceThickness (Float64 &value, const unsigned long pos=0) const
| get SliceThickness (0018,0050)
virtual OFCondition | getSmallestImagePixelValue (Uint16 &value, const unsigned long pos=0) const
| get SmallestImagePixelValue (0028,0106)
virtual OFCondition | getSmokingStatus (OFString &value, const signed long pos=0) const
| get SmokingStatus (0010,21a0)
virtual OFCondition | getSoftwareVersions (OFString &value, const signed long pos=0) const
| get SoftwareVersions (0018,1020)
virtual OFCondition | getSpacingBetweenSlices (OFString &value, const signed long pos=0) const
| get SpacingBetweenSlices (0018,0088)
virtual OFCondition | getSpacingBetweenSlices (Float64 &value, const unsigned long pos=0) const
| get SpacingBetweenSlices (0018,0088)
virtual OFCondition | getSpatialResolution (OFString &value, const signed long pos=0) const
| get SpatialResolution (0018,1050)
virtual OFCondition | getSpatialResolution (Float64 &value, const unsigned long pos=0) const
| get SpatialResolution (0018,1050)
virtual OFCondition | getSpatialTransformOfDose (OFString &value, const signed long pos=0) const
| get SpatialTransformOfDose (3004,0005)
virtual OFCondition | getSpecificCharacterSet (OFString &value, const signed long pos=0) const
| get SpecificCharacterSet (0008,0005)
virtual OFCondition | getStationName (OFString &value, const signed long pos=0) const
| get StationName (0008,1010)
virtual OFCondition | getStereoPairsPresent (OFString &value, const signed long pos=0) const
| get StereoPairsPresent (0022,0028)
virtual OFCondition | getStrainAdditionalInformation (OFString &value, const signed long pos=0) const
| get StrainAdditionalInformation (0010,0218)
virtual OFCondition | getStrainDescription (OFString &value, const signed long pos=0) const
| get StrainDescription (0010,0212)
virtual OFCondition | getStrainNomenclature (OFString &value, const signed long pos=0) const
| get StrainNomenclature (0010,0213)
virtual OFCondition | getStudyDate (OFString &value, const signed long pos=0) const
| get StudyDate (0008,0020)
virtual OFCondition | getStudyDescription (OFString &value, const signed long pos=0) const
| get StudyDescription (0008,1030)
virtual OFCondition | getStudyID (OFString &value, const signed long pos=0) const
| get StudyID (0020,0010)
virtual OFCondition | getStudyInstanceUID (OFString &value, const signed long pos=0) const
| get StudyInstanceUID (0020,000d)
virtual OFCondition | getStudyTime (OFString &value, const signed long pos=0) const
| get StudyTime (0008,0030)
virtual OFCondition | getTimeOfLastCalibration (OFString &value, const signed long pos=0) const
| get TimeOfLastCalibration (0018,1201)
virtual OFCondition | getTimezoneOffsetFromUTC (OFString &value, const signed long pos=0) const
| get TimezoneOffsetFromUTC (0008,0201)
virtual OFCondition | getTissueHeterogeneityCorrection (OFString &value, const signed long pos=0) const
| get TissueHeterogeneityCorrection (3004,0014)
virtual OFCondition | getTreatmentSessionUID (OFString &value, const signed long pos=0) const
| get TreatmentSessionUID (300a,0700)
virtual OFCondition | getTypeOfPatientID (OFString &value, const signed long pos=0) const
| get TypeOfPatientID (0010,0022)
DcmPixelData & | getPixelData ()
| get PixelData (7fe0,0010)
const DcmPixelData & | getPixelData () const
| get PixelData (7fe0,0010)
DRTAdmittingDiagnosesCodeSequence & | getAdmittingDiagnosesCodeSequence ()
| get AdmittingDiagnosesCodeSequence (0008,1084)
const DRTAdmittingDiagnosesCodeSequence & | getAdmittingDiagnosesCodeSequence () const
| get AdmittingDiagnosesCodeSequence (0008,1084)
DRTAnatomicRegionSequence & | getAnatomicRegionSequence ()
| get AnatomicRegionSequence (0008,2218)
const DRTAnatomicRegionSequence & | getAnatomicRegionSequence () const
| get AnatomicRegionSequence (0008,2218)
DRTBreedRegistrationSequence & | getBreedRegistrationSequence ()
| get BreedRegistrationSequence (0010,2294)
const DRTBreedRegistrationSequence & | getBreedRegistrationSequence () const
| get BreedRegistrationSequence (0010,2294)
DRTClinicalTrialTimePointTypeCodeSequence & | getClinicalTrialTimePointTypeCodeSequence ()
| get ClinicalTrialTimePointTypeCodeSequence (0012,0054)
const DRTClinicalTrialTimePointTypeCodeSequence & | getClinicalTrialTimePointTypeCodeSequence () const
| get ClinicalTrialTimePointTypeCodeSequence (0012,0054)
DRTCodingSchemeIdentificationSequence & | getCodingSchemeIdentificationSequence ()
| get CodingSchemeIdentificationSequence (0008,0110)
const DRTCodingSchemeIdentificationSequence & | getCodingSchemeIdentificationSequence () const
| get CodingSchemeIdentificationSequence (0008,0110)
DRTConsentForClinicalTrialUseSequence & | getConsentForClinicalTrialUseSequence ()
| get ConsentForClinicalTrialUseSequence (0012,0083)
const DRTConsentForClinicalTrialUseSequence & | getConsentForClinicalTrialUseSequence () const
| get ConsentForClinicalTrialUseSequence (0012,0083)
DRTConsultingPhysicianIdentificationSequence & | getConsultingPhysicianIdentificationSequence ()
| get ConsultingPhysicianIdentificationSequence (0008,009d)
const DRTConsultingPhysicianIdentificationSequence & | getConsultingPhysicianIdentificationSequence () const
| get ConsultingPhysicianIdentificationSequence (0008,009d)
DRTContextGroupIdentificationSequence & | getContextGroupIdentificationSequence ()
| get ContextGroupIdentificationSequence (0008,0123)
const DRTContextGroupIdentificationSequence & | getContextGroupIdentificationSequence () const
| get ContextGroupIdentificationSequence (0008,0123)
DRTContributingEquipmentSequence & | getContributingEquipmentSequence ()
| get ContributingEquipmentSequence (0018,a001)
const DRTContributingEquipmentSequence & | getContributingEquipmentSequence () const
| get ContributingEquipmentSequence (0018,a001)
DRTConversionSourceAttributesSequence & | getConversionSourceAttributesSequence ()
| get ConversionSourceAttributesSequence (0020,9172)
const DRTConversionSourceAttributesSequence & | getConversionSourceAttributesSequence () const
| get ConversionSourceAttributesSequence (0020,9172)
DRTDVHSequence & | getDVHSequence ()
| get DVHSequence (3004,0050)
const DRTDVHSequence & | getDVHSequence () const
| get DVHSequence (3004,0050)
DRTDeidentificationMethodCodeSequence & | getDeidentificationMethodCodeSequence ()
| get DeidentificationMethodCodeSequence (0012,0064)
const DRTDeidentificationMethodCodeSequence & | getDeidentificationMethodCodeSequence () const
| get DeidentificationMethodCodeSequence (0012,0064)
DRTDerivationCodeSequence & | getDerivationCodeSequence ()
| get DerivationCodeSequence (0008,9215)
const DRTDerivationCodeSequence & | getDerivationCodeSequence () const
| get DerivationCodeSequence (0008,9215)
DRTDigitalSignaturesSequence & | getDigitalSignaturesSequence ()
| get DigitalSignaturesSequence (fffa,fffa)
const DRTDigitalSignaturesSequence & | getDigitalSignaturesSequence () const
| get DigitalSignaturesSequence (fffa,fffa)
DRTEncryptedAttributesSequence & | getEncryptedAttributesSequence ()
| get EncryptedAttributesSequence (0400,0500)
const DRTEncryptedAttributesSequence & | getEncryptedAttributesSequence () const
| get EncryptedAttributesSequence (0400,0500)
DRTFrameExtractionSequence & | getFrameExtractionSequence ()
| get FrameExtractionSequence (0008,1164)
const DRTFrameExtractionSequence & | getFrameExtractionSequence () const
| get FrameExtractionSequence (0008,1164)
DRTGeneticModificationsSequence & | getGeneticModificationsSequence ()
| get GeneticModificationsSequence (0010,0221)
const DRTGeneticModificationsSequence & | getGeneticModificationsSequence () const
| get GeneticModificationsSequence (0010,0221)
DRTGroupOfPatientsIdentificationSequence & | getGroupOfPatientsIdentificationSequence ()
| get GroupOfPatientsIdentificationSequence (0010,0027)
const DRTGroupOfPatientsIdentificationSequence & | getGroupOfPatientsIdentificationSequence () const
| get GroupOfPatientsIdentificationSequence (0010,0027)
DRTHL7StructuredDocumentReferenceSequence & | getHL7StructuredDocumentReferenceSequence ()
| get HL7StructuredDocumentReferenceSequence (0040,a390)
const DRTHL7StructuredDocumentReferenceSequence & | getHL7StructuredDocumentReferenceSequence () const
| get HL7StructuredDocumentReferenceSequence (0040,a390)
DRTIconImageSequence & | getIconImageSequence ()
| get IconImageSequence (0088,0200)
const DRTIconImageSequence & | getIconImageSequence () const
| get IconImageSequence (0088,0200)
DRTInstitutionalDepartmentTypeCodeSequence & | getInstitutionalDepartmentTypeCodeSequence ()
| get InstitutionalDepartmentTypeCodeSequence (0008,1041)
const DRTInstitutionalDepartmentTypeCodeSequence & | getInstitutionalDepartmentTypeCodeSequence () const
| get InstitutionalDepartmentTypeCodeSequence (0008,1041)
DRTIssuerOfAccessionNumberSequence & | getIssuerOfAccessionNumberSequence ()
| get IssuerOfAccessionNumberSequence (0008,0051)
const DRTIssuerOfAccessionNumberSequence & | getIssuerOfAccessionNumberSequence () const
| get IssuerOfAccessionNumberSequence (0008,0051)
DRTIssuerOfAdmissionIDSequence & | getIssuerOfAdmissionIDSequence ()
| get IssuerOfAdmissionIDSequence (0038,0014)
const DRTIssuerOfAdmissionIDSequence & | getIssuerOfAdmissionIDSequence () const
| get IssuerOfAdmissionIDSequence (0038,0014)
DRTIssuerOfPatientIDQualifiersSequence & | getIssuerOfPatientIDQualifiersSequence ()
| get IssuerOfPatientIDQualifiersSequence (0010,0024)
const DRTIssuerOfPatientIDQualifiersSequence & | getIssuerOfPatientIDQualifiersSequence () const
| get IssuerOfPatientIDQualifiersSequence (0010,0024)
DRTIssuerOfServiceEpisodeIDSequence & | getIssuerOfServiceEpisodeIDSequence ()
| get IssuerOfServiceEpisodeIDSequence (0038,0064)
const DRTIssuerOfServiceEpisodeIDSequence & | getIssuerOfServiceEpisodeIDSequence () const
| get IssuerOfServiceEpisodeIDSequence (0038,0064)
DRTMACParametersSequence & | getMACParametersSequence ()
| get MACParametersSequence (4ffe,0001)
const DRTMACParametersSequence & | getMACParametersSequence () const
| get MACParametersSequence (4ffe,0001)
DRTMappingResourceIdentificationSequence & | getMappingResourceIdentificationSequence ()
| get MappingResourceIdentificationSequence (0008,0124)
const DRTMappingResourceIdentificationSequence & | getMappingResourceIdentificationSequence () const
| get MappingResourceIdentificationSequence (0008,0124)
DRTOperatorIdentificationSequence & | getOperatorIdentificationSequence ()
| get OperatorIdentificationSequence (0008,1072)
const DRTOperatorIdentificationSequence & | getOperatorIdentificationSequence () const
| get OperatorIdentificationSequence (0008,1072)
DRTOriginalAttributesSequence & | getOriginalAttributesSequence ()
| get OriginalAttributesSequence (0400,0561)
const DRTOriginalAttributesSequence & | getOriginalAttributesSequence () const
| get OriginalAttributesSequence (0400,0561)
DRTOtherPatientIDsSequence & | getOtherPatientIDsSequence ()
| get OtherPatientIDsSequence (0010,1002)
const DRTOtherPatientIDsSequence & | getOtherPatientIDsSequence () const
| get OtherPatientIDsSequence (0010,1002)
DRTPatientBreedCodeSequence & | getPatientBreedCodeSequence ()
| get PatientBreedCodeSequence (0010,2293)
const DRTPatientBreedCodeSequence & | getPatientBreedCodeSequence () const
| get PatientBreedCodeSequence (0010,2293)
DRTPatientSizeCodeSequence & | getPatientSizeCodeSequence ()
| get PatientSizeCodeSequence (0010,1021)
const DRTPatientSizeCodeSequence & | getPatientSizeCodeSequence () const
| get PatientSizeCodeSequence (0010,1021)
DRTPatientSpeciesCodeSequence & | getPatientSpeciesCodeSequence ()
| get PatientSpeciesCodeSequence (0010,2202)
const DRTPatientSpeciesCodeSequence & | getPatientSpeciesCodeSequence () const
| get PatientSpeciesCodeSequence (0010,2202)
DRTPerformedProtocolCodeSequence & | getPerformedProtocolCodeSequence ()
| get PerformedProtocolCodeSequence (0040,0260)
const DRTPerformedProtocolCodeSequence & | getPerformedProtocolCodeSequence () const
| get PerformedProtocolCodeSequence (0040,0260)
DRTPhysiciansOfRecordIdentificationSequence & | getPhysiciansOfRecordIdentificationSequence ()
| get PhysiciansOfRecordIdentificationSequence (0008,1049)
const DRTPhysiciansOfRecordIdentificationSequence & | getPhysiciansOfRecordIdentificationSequence () const
| get PhysiciansOfRecordIdentificationSequence (0008,1049)
DRTPhysiciansReadingStudyIdentificationSequence & | getPhysiciansReadingStudyIdentificationSequence ()
| get PhysiciansReadingStudyIdentificationSequence (0008,1062)
const DRTPhysiciansReadingStudyIdentificationSequence & | getPhysiciansReadingStudyIdentificationSequence () const
| get PhysiciansReadingStudyIdentificationSequence (0008,1062)
DRTPlanOverviewSequence & | getPlanOverviewSequence ()
| get PlanOverviewSequence (300c,0116)
const DRTPlanOverviewSequence & | getPlanOverviewSequence () const
| get PlanOverviewSequence (300c,0116)
DRTPrimaryAnatomicStructureSequence & | getPrimaryAnatomicStructureSequence ()
| get PrimaryAnatomicStructureSequence (0008,2228)
const DRTPrimaryAnatomicStructureSequence & | getPrimaryAnatomicStructureSequence () const
| get PrimaryAnatomicStructureSequence (0008,2228)
DRTPrivateDataElementCharacteristicsSequence & | getPrivateDataElementCharacteristicsSequence ()
| get PrivateDataElementCharacteristicsSequence (0008,0300)
const DRTPrivateDataElementCharacteristicsSequence & | getPrivateDataElementCharacteristicsSequence () const
| get PrivateDataElementCharacteristicsSequence (0008,0300)
DRTProcedureCodeSequence & | getProcedureCodeSequence ()
| get ProcedureCodeSequence (0008,1032)
const DRTProcedureCodeSequence & | getProcedureCodeSequence () const
| get ProcedureCodeSequence (0008,1032)
DRTRealWorldValueMappingSequence & | getRealWorldValueMappingSequence ()
| get RealWorldValueMappingSequence (0040,9096)
const DRTRealWorldValueMappingSequence & | getRealWorldValueMappingSequence () const
| get RealWorldValueMappingSequence (0040,9096)
DRTReasonForPerformedProcedureCodeSequence & | getReasonForPerformedProcedureCodeSequence ()
| get ReasonForPerformedProcedureCodeSequence (0040,1012)
const DRTReasonForPerformedProcedureCodeSequence & | getReasonForPerformedProcedureCodeSequence () const
| get ReasonForPerformedProcedureCodeSequence (0040,1012)
DRTReasonForVisitCodeSequence & | getReasonForVisitCodeSequence ()
| get ReasonForVisitCodeSequence (0032,1067)
const DRTReasonForVisitCodeSequence & | getReasonForVisitCodeSequence () const
| get ReasonForVisitCodeSequence (0032,1067)
DRTReferencedDefinedProtocolSequence & | getReferencedDefinedProtocolSequence ()
| get ReferencedDefinedProtocolSequence (0018,990c)
const DRTReferencedDefinedProtocolSequence & | getReferencedDefinedProtocolSequence () const
| get ReferencedDefinedProtocolSequence (0018,990c)
DRTReferencedInstanceSequence & | getReferencedInstanceSequence ()
| get ReferencedInstanceSequence (0008,114a)
const DRTReferencedInstanceSequence & | getReferencedInstanceSequence () const
| get ReferencedInstanceSequence (0008,114a)
DRTReferencedPatientPhotoSequence & | getReferencedPatientPhotoSequence ()
| get ReferencedPatientPhotoSequence (0010,1100)
const DRTReferencedPatientPhotoSequence & | getReferencedPatientPhotoSequence () const
| get ReferencedPatientPhotoSequence (0010,1100)
DRTReferencedPatientSequence & | getReferencedPatientSequence ()
| get ReferencedPatientSequence (0008,1120)
const DRTReferencedPatientSequence & | getReferencedPatientSequence () const
| get ReferencedPatientSequence (0008,1120)
DRTReferencedPerformedProcedureStepSequence & | getReferencedPerformedProcedureStepSequence ()
| get ReferencedPerformedProcedureStepSequence (0008,1111)
const DRTReferencedPerformedProcedureStepSequence & | getReferencedPerformedProcedureStepSequence () const
| get ReferencedPerformedProcedureStepSequence (0008,1111)
DRTReferencedPerformedProtocolSequence & | getReferencedPerformedProtocolSequence ()
| get ReferencedPerformedProtocolSequence (0018,990d)
const DRTReferencedPerformedProtocolSequence & | getReferencedPerformedProtocolSequence () const
| get ReferencedPerformedProtocolSequence (0018,990d)
DRTReferencedRTPlanSequence & | getReferencedRTPlanSequence ()
| get ReferencedRTPlanSequence (300c,0002)
const DRTReferencedRTPlanSequence & | getReferencedRTPlanSequence () const
| get ReferencedRTPlanSequence (300c,0002)
DRTReferencedSeriesSequence & | getReferencedSeriesSequence ()
| get ReferencedSeriesSequence (0008,1115)
const DRTReferencedSeriesSequence & | getReferencedSeriesSequence () const
| get ReferencedSeriesSequence (0008,1115)
DRTReferencedSpatialRegistrationSequence & | getReferencedSpatialRegistrationSequence ()
| get ReferencedSpatialRegistrationSequence (0070,0404)
const DRTReferencedSpatialRegistrationSequence & | getReferencedSpatialRegistrationSequence () const
| get ReferencedSpatialRegistrationSequence (0070,0404)
DRTReferencedStructureSetSequence & | getReferencedStructureSetSequence ()
| get ReferencedStructureSetSequence (300c,0060)
const DRTReferencedStructureSetSequence & | getReferencedStructureSetSequence () const
| get ReferencedStructureSetSequence (300c,0060)
DRTReferencedStudySequence & | getReferencedStudySequence ()
| get ReferencedStudySequence (0008,1110)
const DRTReferencedStudySequence & | getReferencedStudySequence () const
| get ReferencedStudySequence (0008,1110)
DRTReferencedTreatmentRecordSequenceInRTDoseModule & | getReferencedTreatmentRecordSequence ()
| get ReferencedTreatmentRecordSequence (3008,0030)
const DRTReferencedTreatmentRecordSequenceInRTDoseModule & | getReferencedTreatmentRecordSequence () const
| get ReferencedTreatmentRecordSequence (3008,0030)
DRTReferringPhysicianIdentificationSequence & | getReferringPhysicianIdentificationSequence ()
| get ReferringPhysicianIdentificationSequence (0008,0096)
const DRTReferringPhysicianIdentificationSequence & | getReferringPhysicianIdentificationSequence () const
| get ReferringPhysicianIdentificationSequence (0008,0096)
DRTRequestAttributesSequence & | getRequestAttributesSequence ()
| get RequestAttributesSequence (0040,0275)
const DRTRequestAttributesSequence & | getRequestAttributesSequence () const
| get RequestAttributesSequence (0040,0275)
DRTRequestingServiceCodeSequence & | getRequestingServiceCodeSequence ()
| get RequestingServiceCodeSequence (0032,1034)
const DRTRequestingServiceCodeSequence & | getRequestingServiceCodeSequence () const
| get RequestingServiceCodeSequence (0032,1034)
DRTSeriesDescriptionCodeSequence & | getSeriesDescriptionCodeSequence ()
| get SeriesDescriptionCodeSequence (0008,103f)
const DRTSeriesDescriptionCodeSequence & | getSeriesDescriptionCodeSequence () const
| get SeriesDescriptionCodeSequence (0008,103f)
DRTSourcePatientGroupIdentificationSequence & | getSourcePatientGroupIdentificationSequence ()
| get SourcePatientGroupIdentificationSequence (0010,0026)
const DRTSourcePatientGroupIdentificationSequence & | getSourcePatientGroupIdentificationSequence () const
| get SourcePatientGroupIdentificationSequence (0010,0026)
DRTStrainCodeSequence & | getStrainCodeSequence ()
| get StrainCodeSequence (0010,0219)
const DRTStrainCodeSequence & | getStrainCodeSequence () const
| get StrainCodeSequence (0010,0219)
DRTStrainStockSequence & | getStrainStockSequence ()
| get StrainStockSequence (0010,0216)
const DRTStrainStockSequence & | getStrainStockSequence () const
| get StrainStockSequence (0010,0216)
DRTStudiesContainingOtherReferencedInstancesSequence & | getStudiesContainingOtherReferencedInstancesSequence ()
| get StudiesContainingOtherReferencedInstancesSequence (0008,1200)
const DRTStudiesContainingOtherReferencedInstancesSequence & | getStudiesContainingOtherReferencedInstancesSequence () const
| get StudiesContainingOtherReferencedInstancesSequence (0008,1200)
DRTUDISequence & | getUDISequence ()
| get UDISequence (0018,100a)
const DRTUDISequence & | getUDISequence () const
| get UDISequence (0018,100a)
virtual OFCondition | setAccessionNumber (const OFString &value, const OFBool check=OFTrue)
| set AccessionNumber (0008,0050)
virtual OFCondition | setAdditionalPatientHistory (const OFString &value, const OFBool check=OFTrue)
| set AdditionalPatientHistory (0010,21b0)
virtual OFCondition | setAdmissionID (const OFString &value, const OFBool check=OFTrue)
| set AdmissionID (0038,0010)
virtual OFCondition | setAdmittingDiagnosesDescription (const OFString &value, const OFBool check=OFTrue)
| set AdmittingDiagnosesDescription (0008,1080)
virtual OFCondition | setAllergies (const OFString &value, const OFBool check=OFTrue)
| set Allergies (0010,2110)
virtual OFCondition | setAuthorizationEquipmentCertificationNumber (const OFString &value, const OFBool check=OFTrue)
| set AuthorizationEquipmentCertificationNumber (0100,0426)
virtual OFCondition | setBarcodeValue (const OFString &value, const OFBool check=OFTrue)
| set BarcodeValue (2200,0005)
virtual OFCondition | setBitsAllocated (const Uint16 value, const unsigned long pos=0)
| set BitsAllocated (0028,0100)
virtual OFCondition | setBitsStored (const Uint16 value, const unsigned long pos=0)
| set BitsStored (0028,0101)
virtual OFCondition | setBluePaletteColorLookupTableData (const Uint16 *value, const unsigned long count)
| set BluePaletteColorLookupTableData (0028,1203)
virtual OFCondition | setBluePaletteColorLookupTableDescriptor (const Uint16 value, const unsigned long pos=0)
| set BluePaletteColorLookupTableDescriptor (0028,1103)
virtual OFCondition | setBurnedInAnnotation (const OFString &value, const OFBool check=OFTrue)
| set BurnedInAnnotation (0028,0301)
virtual OFCondition | setClinicalTrialCoordinatingCenterName (const OFString &value, const OFBool check=OFTrue)
| set ClinicalTrialCoordinatingCenterName (0012,0060)
virtual OFCondition | setClinicalTrialProtocolEthicsCommitteeApprovalNumber (const OFString &value, const OFBool check=OFTrue)
| set ClinicalTrialProtocolEthicsCommitteeApprovalNumber (0012,0082)
virtual OFCondition | setClinicalTrialProtocolEthicsCommitteeName (const OFString &value, const OFBool check=OFTrue)
| set ClinicalTrialProtocolEthicsCommitteeName (0012,0081)
virtual OFCondition | setClinicalTrialProtocolID (const OFString &value, const OFBool check=OFTrue)
| set ClinicalTrialProtocolID (0012,0020)
virtual OFCondition | setClinicalTrialProtocolName (const OFString &value, const OFBool check=OFTrue)
| set ClinicalTrialProtocolName (0012,0021)
virtual OFCondition | setClinicalTrialSeriesDescription (const OFString &value, const OFBool check=OFTrue)
| set ClinicalTrialSeriesDescription (0012,0072)
virtual OFCondition | setClinicalTrialSeriesID (const OFString &value, const OFBool check=OFTrue)
| set ClinicalTrialSeriesID (0012,0071)
virtual OFCondition | setClinicalTrialSiteID (const OFString &value, const OFBool check=OFTrue)
| set ClinicalTrialSiteID (0012,0030)
virtual OFCondition | setClinicalTrialSiteName (const OFString &value, const OFBool check=OFTrue)
| set ClinicalTrialSiteName (0012,0031)
virtual OFCondition | setClinicalTrialSponsorName (const OFString &value, const OFBool check=OFTrue)
| set ClinicalTrialSponsorName (0012,0010)
virtual OFCondition | setClinicalTrialSubjectID (const OFString &value, const OFBool check=OFTrue)
| set ClinicalTrialSubjectID (0012,0040)
virtual OFCondition | setClinicalTrialSubjectReadingID (const OFString &value, const OFBool check=OFTrue)
| set ClinicalTrialSubjectReadingID (0012,0042)
virtual OFCondition | setClinicalTrialTimePointDescription (const OFString &value, const OFBool check=OFTrue)
| set ClinicalTrialTimePointDescription (0012,0051)
virtual OFCondition | setClinicalTrialTimePointID (const OFString &value, const OFBool check=OFTrue)
| set ClinicalTrialTimePointID (0012,0050)
virtual OFCondition | setColorSpace (const OFString &value, const OFBool check=OFTrue)
| set ColorSpace (0028,2002)
virtual OFCondition | setColumns (const Uint16 value, const unsigned long pos=0)
| set Columns (0028,0011)
virtual OFCondition | setCommentsOnThePerformedProcedureStep (const OFString &value, const OFBool check=OFTrue)
| set CommentsOnThePerformedProcedureStep (0040,0280)
virtual OFCondition | setConsultingPhysicianName (const OFString &value, const OFBool check=OFTrue)
| set ConsultingPhysicianName (0008,009c)
virtual OFCondition | setContentDate (const OFString &value, const OFBool check=OFTrue)
| set ContentDate (0008,0023)
virtual OFCondition | setContentQualification (const OFString &value, const OFBool check=OFTrue)
| set ContentQualification (0018,9004)
virtual OFCondition | setContentTime (const OFString &value, const OFBool check=OFTrue)
| set ContentTime (0008,0033)
virtual OFCondition | setDVHNormalizationDoseValue (const OFString &value, const OFBool check=OFTrue)
| set DVHNormalizationDoseValue (3004,0042)
virtual OFCondition | setDVHNormalizationPoint (const OFString &value, const OFBool check=OFTrue)
| set DVHNormalizationPoint (3004,0040)
virtual OFCondition | setDateOfLastCalibration (const OFString &value, const OFBool check=OFTrue)
| set DateOfLastCalibration (0018,1200)
virtual OFCondition | setDeidentificationMethod (const OFString &value, const OFBool check=OFTrue)
| set DeidentificationMethod (0012,0063)
virtual OFCondition | setDeviceSerialNumber (const OFString &value, const OFBool check=OFTrue)
| set DeviceSerialNumber (0018,1000)
virtual OFCondition | setDeviceUID (const OFString &value, const OFBool check=OFTrue)
| set DeviceUID (0018,1002)
virtual OFCondition | setDoseComment (const OFString &value, const OFBool check=OFTrue)
| set DoseComment (3004,0006)
virtual OFCondition | setDoseGridScaling (const OFString &value, const OFBool check=OFTrue)
| set DoseGridScaling (3004,000e)
virtual OFCondition | setDoseSummationType (const OFString &value, const OFBool check=OFTrue)
| set DoseSummationType (3004,000a)
virtual OFCondition | setDoseType (const OFString &value, const OFBool check=OFTrue)
| set DoseType (3004,0004)
virtual OFCondition | setDoseUnits (const OFString &value, const OFBool check=OFTrue)
| set DoseUnits (3004,0002)
virtual OFCondition | setEncapsulatedPixelDataValueTotalLength (const Uint64 value, const unsigned long pos=0)
| set EncapsulatedPixelDataValueTotalLength (7fe0,0003)
virtual OFCondition | setEntityLongLabel (const OFString &value, const OFBool check=OFTrue)
| set EntityLongLabel (3010,0038)
virtual OFCondition | setEthnicGroup (const OFString &value, const OFBool check=OFTrue)
| set EthnicGroup (0010,2160)
virtual OFCondition | setExtendedOffsetTable (const Uint64 *value, const unsigned long count)
| set ExtendedOffsetTable (7fe0,0001)
virtual OFCondition | setExtendedOffsetTableLengths (const Uint64 *value, const unsigned long count)
| set ExtendedOffsetTableLengths (7fe0,0002)
virtual OFCondition | setFrameIncrementPointer (const OFString &value, const OFBool check=OFTrue)
| set FrameIncrementPointer (0028,0009)
virtual OFCondition | setFrameOfReferenceUID (const OFString &value, const OFBool check=OFTrue)
| set FrameOfReferenceUID (0020,0052)
virtual OFCondition | setGantryID (const OFString &value, const OFBool check=OFTrue)
| set GantryID (0018,1008)
virtual OFCondition | setGreenPaletteColorLookupTableData (const Uint16 *value, const unsigned long count)
| set GreenPaletteColorLookupTableData (0028,1202)
virtual OFCondition | setGreenPaletteColorLookupTableDescriptor (const Uint16 value, const unsigned long pos=0)
| set GreenPaletteColorLookupTableDescriptor (0028,1102)
virtual OFCondition | setGridFrameOffsetVector (const OFString &value, const OFBool check=OFTrue)
| set GridFrameOffsetVector (3004,000c)
virtual OFCondition | setHighBit (const Uint16 value, const unsigned long pos=0)
| set HighBit (0028,0102)
virtual OFCondition | setICCProfile (const Uint8 *value, const unsigned long count)
| set ICCProfile (0028,2000)
virtual OFCondition | setImageComments (const OFString &value, const OFBool check=OFTrue)
| set ImageComments (0020,4000)
virtual OFCondition | setImageLaterality (const OFString &value, const OFBool check=OFTrue)
| set ImageLaterality (0020,0062)
virtual OFCondition | setImageOrientationPatient (const OFString &value, const OFBool check=OFTrue)
| set ImageOrientationPatient (0020,0037)
virtual OFCondition | setImagePositionPatient (const OFString &value, const OFBool check=OFTrue)
| set ImagePositionPatient (0020,0032)
virtual OFCondition | setImageType (const OFString &value, const OFBool check=OFTrue)
| set ImageType (0008,0008)
virtual OFCondition | setInstanceCoercionDateTime (const OFString &value, const OFBool check=OFTrue)
| set InstanceCoercionDateTime (0008,0015)
virtual OFCondition | setInstanceCreationDate (const OFString &value, const OFBool check=OFTrue)
| set InstanceCreationDate (0008,0012)
virtual OFCondition | setInstanceCreationTime (const OFString &value, const OFBool check=OFTrue)
| set InstanceCreationTime (0008,0013)
virtual OFCondition | setInstanceCreatorUID (const OFString &value, const OFBool check=OFTrue)
| set InstanceCreatorUID (0008,0014)
virtual OFCondition | setInstanceNumber (const OFString &value, const OFBool check=OFTrue)
| set InstanceNumber (0020,0013)
virtual OFCondition | setInstanceOriginStatus (const OFString &value, const OFBool check=OFTrue)
| set InstanceOriginStatus (0400,0600)
virtual OFCondition | setInstitutionAddress (const OFString &value, const OFBool check=OFTrue)
| set InstitutionAddress (0008,0081)
virtual OFCondition | setInstitutionName (const OFString &value, const OFBool check=OFTrue)
| set InstitutionName (0008,0080)
virtual OFCondition | setInstitutionalDepartmentName (const OFString &value, const OFBool check=OFTrue)
| set InstitutionalDepartmentName (0008,1040)
virtual OFCondition | setIssuerOfPatientID (const OFString &value, const OFBool check=OFTrue)
| set IssuerOfPatientID (0010,0021)
virtual OFCondition | setLargestImagePixelValue (const Uint16 value, const unsigned long pos=0)
| set LargestImagePixelValue (0028,0107)
virtual OFCondition | setLastMenstrualDate (const OFString &value, const OFBool check=OFTrue)
| set LastMenstrualDate (0010,21d0)
virtual OFCondition | setLongitudinalTemporalEventType (const OFString &value, const OFBool check=OFTrue)
| set LongitudinalTemporalEventType (0012,0053)
virtual OFCondition | setLongitudinalTemporalInformationModified (const OFString &value, const OFBool check=OFTrue)
| set LongitudinalTemporalInformationModified (0028,0303)
virtual OFCondition | setLongitudinalTemporalOffsetFromEvent (const Float64 value, const unsigned long pos=0)
| set LongitudinalTemporalOffsetFromEvent (0012,0052)
virtual OFCondition | setLossyImageCompression (const OFString &value, const OFBool check=OFTrue)
| set LossyImageCompression (0028,2110)
virtual OFCondition | setLossyImageCompressionMethod (const OFString &value, const OFBool check=OFTrue)
| set LossyImageCompressionMethod (0028,2114)
virtual OFCondition | setLossyImageCompressionRatio (const OFString &value, const OFBool check=OFTrue)
| set LossyImageCompressionRatio (0028,2112)
virtual OFCondition | setManufacturer (const OFString &value, const OFBool check=OFTrue)
| set Manufacturer (0008,0070)
virtual OFCondition | setManufacturerDeviceClassUID (const OFString &value, const OFBool check=OFTrue)
| set ManufacturerDeviceClassUID (0018,100b)
virtual OFCondition | setManufacturerModelName (const OFString &value, const OFBool check=OFTrue)
| set ManufacturerModelName (0008,1090)
virtual OFCondition | setMeasuredAPDimension (const OFString &value, const OFBool check=OFTrue)
| set MeasuredAPDimension (0010,1023)
virtual OFCondition | setMeasuredLateralDimension (const OFString &value, const OFBool check=OFTrue)
| set MeasuredLateralDimension (0010,1024)
virtual OFCondition | setMedicalAlerts (const OFString &value, const OFBool check=OFTrue)
| set MedicalAlerts (0010,2000)
virtual OFCondition | setModality (const OFString &value, const OFBool check=OFTrue)
| set Modality (0008,0060)
virtual OFCondition | setNameOfPhysiciansReadingStudy (const OFString &value, const OFBool check=OFTrue)
| set NameOfPhysiciansReadingStudy (0008,1060)
virtual OFCondition | setNormalizationPoint (const OFString &value, const OFBool check=OFTrue)
| set NormalizationPoint (3004,0008)
virtual OFCondition | setNumberOfFrames (const OFString &value, const OFBool check=OFTrue)
| set NumberOfFrames (0028,0008)
virtual OFCondition | setOccupation (const OFString &value, const OFBool check=OFTrue)
| set Occupation (0010,2180)
virtual OFCondition | setOperatorsName (const OFString &value, const OFBool check=OFTrue)
| set OperatorsName (0008,1070)
virtual OFCondition | setOriginalSpecializedSOPClassUID (const OFString &value, const OFBool check=OFTrue)
| set OriginalSpecializedSOPClassUID (0008,001b)
virtual OFCondition | setOtherPatientNames (const OFString &value, const OFBool check=OFTrue)
| set OtherPatientNames (0010,1001)
virtual OFCondition | setPatientAge (const OFString &value, const OFBool check=OFTrue)
| set PatientAge (0010,1010)
virtual OFCondition | setPatientAlternativeCalendar (const OFString &value, const OFBool check=OFTrue)
| set PatientAlternativeCalendar (0010,0035)
virtual OFCondition | setPatientBirthDate (const OFString &value, const OFBool check=OFTrue)
| set PatientBirthDate (0010,0030)
virtual OFCondition | setPatientBirthDateInAlternativeCalendar (const OFString &value, const OFBool check=OFTrue)
| set PatientBirthDateInAlternativeCalendar (0010,0033)
virtual OFCondition | setPatientBirthTime (const OFString &value, const OFBool check=OFTrue)
| set PatientBirthTime (0010,0032)
virtual OFCondition | setPatientBodyMassIndex (const OFString &value, const OFBool check=OFTrue)
| set PatientBodyMassIndex (0010,1022)
virtual OFCondition | setPatientBreedDescription (const OFString &value, const OFBool check=OFTrue)
| set PatientBreedDescription (0010,2292)
virtual OFCondition | setPatientComments (const OFString &value, const OFBool check=OFTrue)
| set PatientComments (0010,4000)
virtual OFCondition | setPatientDeathDateInAlternativeCalendar (const OFString &value, const OFBool check=OFTrue)
| set PatientDeathDateInAlternativeCalendar (0010,0034)
virtual OFCondition | setPatientID (const OFString &value, const OFBool check=OFTrue)
| set PatientID (0010,0020)
virtual OFCondition | setPatientIdentityRemoved (const OFString &value, const OFBool check=OFTrue)
| set PatientIdentityRemoved (0012,0062)
virtual OFCondition | setPatientName (const OFString &value, const OFBool check=OFTrue)
| set PatientName (0010,0010)
virtual OFCondition | setPatientOrientation (const OFString &value, const OFBool check=OFTrue)
| set PatientOrientation (0020,0020)
virtual OFCondition | setPatientSex (const OFString &value, const OFBool check=OFTrue)
| set PatientSex (0010,0040)
virtual OFCondition | setPatientSexNeutered (const OFString &value, const OFBool check=OFTrue)
| set PatientSexNeutered (0010,2203)
virtual OFCondition | setPatientSize (const OFString &value, const OFBool check=OFTrue)
| set PatientSize (0010,1020)
virtual OFCondition | setPatientSpeciesDescription (const OFString &value, const OFBool check=OFTrue)
| set PatientSpeciesDescription (0010,2201)
virtual OFCondition | setPatientState (const OFString &value, const OFBool check=OFTrue)
| set PatientState (0038,0500)
virtual OFCondition | setPatientWeight (const OFString &value, const OFBool check=OFTrue)
| set PatientWeight (0010,1030)
virtual OFCondition | setPerformedProcedureStepDescription (const OFString &value, const OFBool check=OFTrue)
| set PerformedProcedureStepDescription (0040,0254)
virtual OFCondition | setPerformedProcedureStepEndDate (const OFString &value, const OFBool check=OFTrue)
| set PerformedProcedureStepEndDate (0040,0250)
virtual OFCondition | setPerformedProcedureStepEndTime (const OFString &value, const OFBool check=OFTrue)
| set PerformedProcedureStepEndTime (0040,0251)
virtual OFCondition | setPerformedProcedureStepID (const OFString &value, const OFBool check=OFTrue)
| set PerformedProcedureStepID (0040,0253)
virtual OFCondition | setPerformedProcedureStepStartDate (const OFString &value, const OFBool check=OFTrue)
| set PerformedProcedureStepStartDate (0040,0244)
virtual OFCondition | setPerformedProcedureStepStartTime (const OFString &value, const OFBool check=OFTrue)
| set PerformedProcedureStepStartTime (0040,0245)
virtual OFCondition | setPhotometricInterpretation (const OFString &value, const OFBool check=OFTrue)
| set PhotometricInterpretation (0028,0004)
virtual OFCondition | setPhysiciansOfRecord (const OFString &value, const OFBool check=OFTrue)
| set PhysiciansOfRecord (0008,1048)
virtual OFCondition | setPixelAspectRatio (const OFString &value, const OFBool check=OFTrue)
| set PixelAspectRatio (0028,0034)
virtual OFCondition | setPixelDataProviderURL (const OFString &value, const OFBool check=OFTrue)
| set PixelDataProviderURL (0028,7fe0)
virtual OFCondition | setPixelPaddingRangeLimit (const Uint16 value, const unsigned long pos=0)
| set PixelPaddingRangeLimit (0028,0121)
virtual OFCondition | setPixelPaddingValue (const Uint16 value, const unsigned long pos=0)
| set PixelPaddingValue (0028,0120)
virtual OFCondition | setPixelRepresentation (const Uint16 value, const unsigned long pos=0)
| set PixelRepresentation (0028,0103)
virtual OFCondition | setPixelSpacing (const OFString &value, const OFBool check=OFTrue)
| set PixelSpacing (0028,0030)
virtual OFCondition | setPlanarConfiguration (const Uint16 value, const unsigned long pos=0)
| set PlanarConfiguration (0028,0006)
virtual OFCondition | setPositionReferenceIndicator (const OFString &value, const OFBool check=OFTrue)
| set PositionReferenceIndicator (0020,1040)
virtual OFCondition | setPregnancyStatus (const Uint16 value, const unsigned long pos=0)
| set PregnancyStatus (0010,21c0)
virtual OFCondition | setPresentationLUTShape (const OFString &value, const OFBool check=OFTrue)
| set PresentationLUTShape (2050,0020)
virtual OFCondition | setQualityControlImage (const OFString &value, const OFBool check=OFTrue)
| set QualityControlImage (0028,0300)
virtual OFCondition | setQualityControlSubject (const OFString &value, const OFBool check=OFTrue)
| set QualityControlSubject (0010,0200)
virtual OFCondition | setQueryRetrieveView (const OFString &value, const OFBool check=OFTrue)
| set QueryRetrieveView (0008,0053)
virtual OFCondition | setReasonForVisit (const OFString &value, const OFBool check=OFTrue)
| set ReasonForVisit (0032,1066)
virtual OFCondition | setRecognizableVisualFeatures (const OFString &value, const OFBool check=OFTrue)
| set RecognizableVisualFeatures (0028,0302)
virtual OFCondition | setRedPaletteColorLookupTableData (const Uint16 *value, const unsigned long count)
| set RedPaletteColorLookupTableData (0028,1201)
virtual OFCondition | setRedPaletteColorLookupTableDescriptor (const Uint16 value, const unsigned long pos=0)
| set RedPaletteColorLookupTableDescriptor (0028,1101)
virtual OFCondition | setReferringPhysicianName (const OFString &value, const OFBool check=OFTrue)
| set ReferringPhysicianName (0008,0090)
virtual OFCondition | setRelatedGeneralSOPClassUID (const OFString &value, const OFBool check=OFTrue)
| set RelatedGeneralSOPClassUID (0008,001a)
virtual OFCondition | setRequestingService (const OFString &value, const OFBool check=OFTrue)
| set RequestingService (0032,1033)
virtual OFCondition | setResponsibleOrganization (const OFString &value, const OFBool check=OFTrue)
| set ResponsibleOrganization (0010,2299)
virtual OFCondition | setResponsiblePerson (const OFString &value, const OFBool check=OFTrue)
| set ResponsiblePerson (0010,2297)
virtual OFCondition | setResponsiblePersonRole (const OFString &value, const OFBool check=OFTrue)
| set ResponsiblePersonRole (0010,2298)
virtual OFCondition | setRows (const Uint16 value, const unsigned long pos=0)
| set Rows (0028,0010)
virtual OFCondition | setSOPAuthorizationComment (const OFString &value, const OFBool check=OFTrue)
| set SOPAuthorizationComment (0100,0424)
virtual OFCondition | setSOPAuthorizationDateTime (const OFString &value, const OFBool check=OFTrue)
| set SOPAuthorizationDateTime (0100,0420)
virtual OFCondition | setSOPClassUID (const OFString &value, const OFBool check=OFTrue)
| set SOPClassUID (0008,0016)
virtual OFCondition | setSOPInstanceStatus (const OFString &value, const OFBool check=OFTrue)
| set SOPInstanceStatus (0100,0410)
virtual OFCondition | setSOPInstanceUID (const OFString &value, const OFBool check=OFTrue)
| set SOPInstanceUID (0008,0018)
virtual OFCondition | setSamplesPerPixel (const Uint16 value, const unsigned long pos=0)
| set SamplesPerPixel (0028,0002)
virtual OFCondition | setSeriesDate (const OFString &value, const OFBool check=OFTrue)
| set SeriesDate (0008,0021)
virtual OFCondition | setSeriesDescription (const OFString &value, const OFBool check=OFTrue)
| set SeriesDescription (0008,103e)
virtual OFCondition | setSeriesInstanceUID (const OFString &value, const OFBool check=OFTrue)
| set SeriesInstanceUID (0020,000e)
virtual OFCondition | setSeriesNumber (const OFString &value, const OFBool check=OFTrue)
| set SeriesNumber (0020,0011)
virtual OFCondition | setSeriesTime (const OFString &value, const OFBool check=OFTrue)
| set SeriesTime (0008,0031)
virtual OFCondition | setServiceEpisodeDescription (const OFString &value, const OFBool check=OFTrue)
| set ServiceEpisodeDescription (0038,0062)
virtual OFCondition | setServiceEpisodeID (const OFString &value, const OFBool check=OFTrue)
| set ServiceEpisodeID (0038,0060)
virtual OFCondition | setSliceLocation (const OFString &value, const OFBool check=OFTrue)
| set SliceLocation (0020,1041)
virtual OFCondition | setSliceThickness (const OFString &value, const OFBool check=OFTrue)
| set SliceThickness (0018,0050)
virtual OFCondition | setSmallestImagePixelValue (const Uint16 value, const unsigned long pos=0)
| set SmallestImagePixelValue (0028,0106)
virtual OFCondition | setSmokingStatus (const OFString &value, const OFBool check=OFTrue)
| set SmokingStatus (0010,21a0)
virtual OFCondition | setSoftwareVersions (const OFString &value, const OFBool check=OFTrue)
| set SoftwareVersions (0018,1020)
virtual OFCondition | setSpacingBetweenSlices (const OFString &value, const OFBool check=OFTrue)
| set SpacingBetweenSlices (0018,0088)
virtual OFCondition | setSpatialResolution (const OFString &value, const OFBool check=OFTrue)
| set SpatialResolution (0018,1050)
virtual OFCondition | setSpatialTransformOfDose (const OFString &value, const OFBool check=OFTrue)
| set SpatialTransformOfDose (3004,0005)
virtual OFCondition | setSpecificCharacterSet (const OFString &value, const OFBool check=OFTrue)
| set SpecificCharacterSet (0008,0005)
virtual OFCondition | setStationName (const OFString &value, const OFBool check=OFTrue)
| set StationName (0008,1010)
virtual OFCondition | setStereoPairsPresent (const OFString &value, const OFBool check=OFTrue)
| set StereoPairsPresent (0022,0028)
virtual OFCondition | setStrainAdditionalInformation (const OFString &value, const OFBool check=OFTrue)
| set StrainAdditionalInformation (0010,0218)
virtual OFCondition | setStrainDescription (const OFString &value, const OFBool check=OFTrue)
| set StrainDescription (0010,0212)
virtual OFCondition | setStrainNomenclature (const OFString &value, const OFBool check=OFTrue)
| set StrainNomenclature (0010,0213)
virtual OFCondition | setStudyDate (const OFString &value, const OFBool check=OFTrue)
| set StudyDate (0008,0020)
virtual OFCondition | setStudyDescription (const OFString &value, const OFBool check=OFTrue)
| set StudyDescription (0008,1030)
virtual OFCondition | setStudyID (const OFString &value, const OFBool check=OFTrue)
| set StudyID (0020,0010)
virtual OFCondition | setStudyInstanceUID (const OFString &value, const OFBool check=OFTrue)
| set StudyInstanceUID (0020,000d)
virtual OFCondition | setStudyTime (const OFString &value, const OFBool check=OFTrue)
| set StudyTime (0008,0030)
virtual OFCondition | setTimeOfLastCalibration (const OFString &value, const OFBool check=OFTrue)
| set TimeOfLastCalibration (0018,1201)
virtual OFCondition | setTimezoneOffsetFromUTC (const OFString &value, const OFBool check=OFTrue)
| set TimezoneOffsetFromUTC (0008,0201)
virtual OFCondition | setTissueHeterogeneityCorrection (const OFString &value, const OFBool check=OFTrue)
| set TissueHeterogeneityCorrection (3004,0014)
virtual OFCondition | setTreatmentSessionUID (const OFString &value, const OFBool check=OFTrue)
| set TreatmentSessionUID (300a,0700)
virtual OFCondition | setTypeOfPatientID (const OFString &value, const OFBool check=OFTrue)
| set TypeOfPatientID (0010,0022)

## Protected Member Functions
OFCondition | checkDatasetForReading (DcmItem &dataset)
| check the given dataset before reading.
void | updateAttributes ()
| update various DICOM attributes
Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor.

## Private Attributes
DcmPersonName | PatientName
| PatientName (0010,0010) vr=PN, vm=1, type=2.
DcmLongString | PatientID
| PatientID (0010,0020) vr=LO, vm=1, type=2.
DcmLongString | IssuerOfPatientID
| IssuerOfPatientID (0010,0021) vr=LO, vm=1, type=3.
DRTIssuerOfPatientIDQualifiersSequence | IssuerOfPatientIDQualifiersSequence
| IssuerOfPatientIDQualifiersSequence (0010,0024) vr=SQ, vm=1, type=3.
DcmCodeString | TypeOfPatientID
| TypeOfPatientID (0010,0022) vr=CS, vm=1, type=3.
DcmDate | PatientBirthDate
| PatientBirthDate (0010,0030) vr=DA, vm=1, type=2.
DcmLongString | PatientBirthDateInAlternativeCalendar
| PatientBirthDateInAlternativeCalendar (0010,0033) vr=LO, vm=1, type=3.
DcmLongString | PatientDeathDateInAlternativeCalendar
| PatientDeathDateInAlternativeCalendar (0010,0034) vr=LO, vm=1, type=3.
DcmCodeString | PatientAlternativeCalendar
| PatientAlternativeCalendar (0010,0035) vr=CS, vm=1, type=1C.
DcmCodeString | PatientSex
| PatientSex (0010,0040) vr=CS, vm=1, type=2.
DRTReferencedPatientPhotoSequence | ReferencedPatientPhotoSequence
| ReferencedPatientPhotoSequence (0010,1100) vr=SQ, vm=1, type=3.
DcmCodeString | QualityControlSubject
| QualityControlSubject (0010,0200) vr=CS, vm=1, type=3.
DRTReferencedPatientSequence | ReferencedPatientSequence
| ReferencedPatientSequence (0008,1120) vr=SQ, vm=1, type=3.
DcmTime | PatientBirthTime
| PatientBirthTime (0010,0032) vr=TM, vm=1, type=3.
DRTOtherPatientIDsSequence | OtherPatientIDsSequence
| OtherPatientIDsSequence (0010,1002) vr=SQ, vm=1, type=3.
DcmPersonName | OtherPatientNames
| OtherPatientNames (0010,1001) vr=PN, vm=1-n, type=3.
DcmShortString | EthnicGroup
| EthnicGroup (0010,2160) vr=SH, vm=1, type=3.
DcmLongText | PatientComments
| PatientComments (0010,4000) vr=LT, vm=1, type=3.
DcmLongString | PatientSpeciesDescription
| PatientSpeciesDescription (0010,2201) vr=LO, vm=1, type=1C.
DRTPatientSpeciesCodeSequence | PatientSpeciesCodeSequence
| PatientSpeciesCodeSequence (0010,2202) vr=SQ, vm=1, type=1C.
DcmLongString | PatientBreedDescription
| PatientBreedDescription (0010,2292) vr=LO, vm=1, type=2C.
DRTPatientBreedCodeSequence | PatientBreedCodeSequence
| PatientBreedCodeSequence (0010,2293) vr=SQ, vm=1, type=2C.
DRTBreedRegistrationSequence | BreedRegistrationSequence
| BreedRegistrationSequence (0010,2294) vr=SQ, vm=1, type=2C.
DcmUnlimitedCharacters | StrainDescription
| StrainDescription (0010,0212) vr=UC, vm=1, type=3.
DcmLongString | StrainNomenclature
| StrainNomenclature (0010,0213) vr=LO, vm=1, type=3.
DRTStrainCodeSequence | StrainCodeSequence
| StrainCodeSequence (0010,0219) vr=SQ, vm=1, type=3.
DcmUnlimitedText | StrainAdditionalInformation
| StrainAdditionalInformation (0010,0218) vr=UT, vm=1, type=3.
DRTStrainStockSequence | StrainStockSequence
| StrainStockSequence (0010,0216) vr=SQ, vm=1, type=3.
DRTGeneticModificationsSequence | GeneticModificationsSequence
| GeneticModificationsSequence (0010,0221) vr=SQ, vm=1, type=3.
DcmPersonName | ResponsiblePerson
| ResponsiblePerson (0010,2297) vr=PN, vm=1, type=2C.
DcmCodeString | ResponsiblePersonRole
| ResponsiblePersonRole (0010,2298) vr=CS, vm=1, type=1C.
DcmLongString | ResponsibleOrganization
| ResponsibleOrganization (0010,2299) vr=LO, vm=1, type=2C.
DcmCodeString | PatientIdentityRemoved
| PatientIdentityRemoved (0012,0062) vr=CS, vm=1, type=3.
DcmLongString | DeidentificationMethod
| DeidentificationMethod (0012,0063) vr=LO, vm=1-n, type=1C.
DRTDeidentificationMethodCodeSequence | DeidentificationMethodCodeSequence
| DeidentificationMethodCodeSequence (0012,0064) vr=SQ, vm=1, type=1C.
DRTSourcePatientGroupIdentificationSequence | SourcePatientGroupIdentificationSequence
| SourcePatientGroupIdentificationSequence (0010,0026) vr=SQ, vm=1, type=3.
DRTGroupOfPatientsIdentificationSequence | GroupOfPatientsIdentificationSequence
| GroupOfPatientsIdentificationSequence (0010,0027) vr=SQ, vm=1, type=3.
DcmLongString | ClinicalTrialSponsorName
| ClinicalTrialSponsorName (0012,0010) vr=LO, vm=1, type=1.
DcmLongString | ClinicalTrialProtocolID
| ClinicalTrialProtocolID (0012,0020) vr=LO, vm=1, type=1.
DcmLongString | ClinicalTrialProtocolName
| ClinicalTrialProtocolName (0012,0021) vr=LO, vm=1, type=2.
DcmLongString | ClinicalTrialSiteID
| ClinicalTrialSiteID (0012,0030) vr=LO, vm=1, type=2.
DcmLongString | ClinicalTrialSiteName
| ClinicalTrialSiteName (0012,0031) vr=LO, vm=1, type=2.
DcmLongString | ClinicalTrialSubjectID
| ClinicalTrialSubjectID (0012,0040) vr=LO, vm=1, type=1C.
DcmLongString | ClinicalTrialSubjectReadingID
| ClinicalTrialSubjectReadingID (0012,0042) vr=LO, vm=1, type=1C.
DcmLongString | ClinicalTrialProtocolEthicsCommitteeName
| ClinicalTrialProtocolEthicsCommitteeName (0012,0081) vr=LO, vm=1, type=1C.
DcmLongString | ClinicalTrialProtocolEthicsCommitteeApprovalNumber
| ClinicalTrialProtocolEthicsCommitteeApprovalNumber (0012,0082) vr=LO, vm=1, type=3.
DcmUniqueIdentifier | StudyInstanceUID
| StudyInstanceUID (0020,000d) vr=UI, vm=1, type=1.
DcmDate | StudyDate
| StudyDate (0008,0020) vr=DA, vm=1, type=2.
DcmTime | StudyTime
| StudyTime (0008,0030) vr=TM, vm=1, type=2.
DcmPersonName | ReferringPhysicianName
| ReferringPhysicianName (0008,0090) vr=PN, vm=1, type=2.
DRTReferringPhysicianIdentificationSequence | ReferringPhysicianIdentificationSequence
| ReferringPhysicianIdentificationSequence (0008,0096) vr=SQ, vm=1, type=3.
DcmPersonName | ConsultingPhysicianName
| ConsultingPhysicianName (0008,009c) vr=PN, vm=1-n, type=3.
DRTConsultingPhysicianIdentificationSequence | ConsultingPhysicianIdentificationSequence
| ConsultingPhysicianIdentificationSequence (0008,009d) vr=SQ, vm=1, type=3.
DcmShortString | StudyID
| StudyID (0020,0010) vr=SH, vm=1, type=2.
DcmShortString | AccessionNumber
| AccessionNumber (0008,0050) vr=SH, vm=1, type=2.
DRTIssuerOfAccessionNumberSequence | IssuerOfAccessionNumberSequence
| IssuerOfAccessionNumberSequence (0008,0051) vr=SQ, vm=1, type=3.
DcmLongString | StudyDescription
| StudyDescription (0008,1030) vr=LO, vm=1, type=3.
DcmPersonName | PhysiciansOfRecord
| PhysiciansOfRecord (0008,1048) vr=PN, vm=1-n, type=3.
DRTPhysiciansOfRecordIdentificationSequence | PhysiciansOfRecordIdentificationSequence
| PhysiciansOfRecordIdentificationSequence (0008,1049) vr=SQ, vm=1, type=3.
DcmPersonName | NameOfPhysiciansReadingStudy
| NameOfPhysiciansReadingStudy (0008,1060) vr=PN, vm=1-n, type=3.
DRTPhysiciansReadingStudyIdentificationSequence | PhysiciansReadingStudyIdentificationSequence
| PhysiciansReadingStudyIdentificationSequence (0008,1062) vr=SQ, vm=1, type=3.
DcmLongString | RequestingService
| RequestingService (0032,1033) vr=LO, vm=1, type=3.
DRTRequestingServiceCodeSequence | RequestingServiceCodeSequence
| RequestingServiceCodeSequence (0032,1034) vr=SQ, vm=1, type=3.
DRTReferencedStudySequence | ReferencedStudySequence
| ReferencedStudySequence (0008,1110) vr=SQ, vm=1, type=3.
DRTProcedureCodeSequence | ProcedureCodeSequence
| ProcedureCodeSequence (0008,1032) vr=SQ, vm=1, type=3.
DRTReasonForPerformedProcedureCodeSequence | ReasonForPerformedProcedureCodeSequence
| ReasonForPerformedProcedureCodeSequence (0040,1012) vr=SQ, vm=1, type=3.
DcmLongString | AdmittingDiagnosesDescription
| AdmittingDiagnosesDescription (0008,1080) vr=LO, vm=1-n, type=3.
DRTAdmittingDiagnosesCodeSequence | AdmittingDiagnosesCodeSequence
| AdmittingDiagnosesCodeSequence (0008,1084) vr=SQ, vm=1, type=3.
DcmAgeString | PatientAge
| PatientAge (0010,1010) vr=AS, vm=1, type=3.
DcmDecimalString | PatientSize
| PatientSize (0010,1020) vr=DS, vm=1, type=3.
DcmDecimalString | PatientWeight
| PatientWeight (0010,1030) vr=DS, vm=1, type=3.
DcmDecimalString | PatientBodyMassIndex
| PatientBodyMassIndex (0010,1022) vr=DS, vm=1, type=3.
DcmDecimalString | MeasuredAPDimension
| MeasuredAPDimension (0010,1023) vr=DS, vm=1, type=3.
DcmDecimalString | MeasuredLateralDimension
| MeasuredLateralDimension (0010,1024) vr=DS, vm=1, type=3.
DRTPatientSizeCodeSequence | PatientSizeCodeSequence
| PatientSizeCodeSequence (0010,1021) vr=SQ, vm=1, type=3.
DcmLongString | MedicalAlerts
| MedicalAlerts (0010,2000) vr=LO, vm=1-n, type=3.
DcmLongString | Allergies
| Allergies (0010,2110) vr=LO, vm=1-n, type=3.
DcmCodeString | SmokingStatus
| SmokingStatus (0010,21a0) vr=CS, vm=1, type=3.
DcmUnsignedShort | PregnancyStatus
| PregnancyStatus (0010,21c0) vr=US, vm=1, type=3.
DcmDate | LastMenstrualDate
| LastMenstrualDate (0010,21d0) vr=DA, vm=1, type=3.
DcmLongString | PatientState
| PatientState (0038,0500) vr=LO, vm=1, type=3.
DcmShortString | Occupation
| Occupation (0010,2180) vr=SH, vm=1, type=3.
DcmLongText | AdditionalPatientHistory
| AdditionalPatientHistory (0010,21b0) vr=LT, vm=1, type=3.
DcmLongString | AdmissionID
| AdmissionID (0038,0010) vr=LO, vm=1, type=3.
DRTIssuerOfAdmissionIDSequence | IssuerOfAdmissionIDSequence
| IssuerOfAdmissionIDSequence (0038,0014) vr=SQ, vm=1, type=3.
DcmUnlimitedText | ReasonForVisit
| ReasonForVisit (0032,1066) vr=UT, vm=1, type=3.
DRTReasonForVisitCodeSequence | ReasonForVisitCodeSequence
| ReasonForVisitCodeSequence (0032,1067) vr=SQ, vm=1, type=3.
DcmLongString | ServiceEpisodeID
| ServiceEpisodeID (0038,0060) vr=LO, vm=1, type=3.
DRTIssuerOfServiceEpisodeIDSequence | IssuerOfServiceEpisodeIDSequence
| IssuerOfServiceEpisodeIDSequence (0038,0064) vr=SQ, vm=1, type=3.
DcmLongString | ServiceEpisodeDescription
| ServiceEpisodeDescription (0038,0062) vr=LO, vm=1, type=3.
DcmCodeString | PatientSexNeutered
| PatientSexNeutered (0010,2203) vr=CS, vm=1, type=2C.
DcmLongString | ClinicalTrialTimePointID
| ClinicalTrialTimePointID (0012,0050) vr=LO, vm=1, type=2.
DcmShortText | ClinicalTrialTimePointDescription
| ClinicalTrialTimePointDescription (0012,0051) vr=ST, vm=1, type=3.
DRTClinicalTrialTimePointTypeCodeSequence | ClinicalTrialTimePointTypeCodeSequence
| ClinicalTrialTimePointTypeCodeSequence (0012,0054) vr=SQ, vm=1, type=3.
DcmFloatingPointDouble | LongitudinalTemporalOffsetFromEvent
| LongitudinalTemporalOffsetFromEvent (0012,0052) vr=FD, vm=1, type=3.
DcmCodeString | LongitudinalTemporalEventType
| LongitudinalTemporalEventType (0012,0053) vr=CS, vm=1, type=1C.
DRTConsentForClinicalTrialUseSequence | ConsentForClinicalTrialUseSequence
| ConsentForClinicalTrialUseSequence (0012,0083) vr=SQ, vm=1, type=3.
DcmCodeString | Modality
| Modality (0008,0060) vr=CS, vm=1, type=1.
DcmUniqueIdentifier | SeriesInstanceUID
| SeriesInstanceUID (0020,000e) vr=UI, vm=1, type=1.
DcmIntegerString | SeriesNumber
| SeriesNumber (0020,0011) vr=IS, vm=1, type=2.
DcmDate | SeriesDate
| SeriesDate (0008,0021) vr=DA, vm=1, type=3.
DcmTime | SeriesTime
| SeriesTime (0008,0031) vr=TM, vm=1, type=3.
DcmLongString | SeriesDescription
| SeriesDescription (0008,103e) vr=LO, vm=1, type=3.
DRTSeriesDescriptionCodeSequence | SeriesDescriptionCodeSequence
| SeriesDescriptionCodeSequence (0008,103f) vr=SQ, vm=1, type=3.
DcmPersonName | OperatorsName
| OperatorsName (0008,1070) vr=PN, vm=1-n, type=2.
DRTOperatorIdentificationSequence | OperatorIdentificationSequence
| OperatorIdentificationSequence (0008,1072) vr=SQ, vm=1, type=3.
DRTReferencedPerformedProcedureStepSequence | ReferencedPerformedProcedureStepSequence
| ReferencedPerformedProcedureStepSequence (0008,1111) vr=SQ, vm=1, type=3.
DRTRequestAttributesSequence | RequestAttributesSequence
| RequestAttributesSequence (0040,0275) vr=SQ, vm=1, type=3.
DcmShortString | PerformedProcedureStepID
| PerformedProcedureStepID (0040,0253) vr=SH, vm=1, type=3.
DcmDate | PerformedProcedureStepStartDate
| PerformedProcedureStepStartDate (0040,0244) vr=DA, vm=1, type=3.
DcmTime | PerformedProcedureStepStartTime
| PerformedProcedureStepStartTime (0040,0245) vr=TM, vm=1, type=3.
DcmDate | PerformedProcedureStepEndDate
| PerformedProcedureStepEndDate (0040,0250) vr=DA, vm=1, type=3.
DcmTime | PerformedProcedureStepEndTime
| PerformedProcedureStepEndTime (0040,0251) vr=TM, vm=1, type=3.
DcmLongString | PerformedProcedureStepDescription
| PerformedProcedureStepDescription (0040,0254) vr=LO, vm=1, type=3.
DRTPerformedProtocolCodeSequence | PerformedProtocolCodeSequence
| PerformedProtocolCodeSequence (0040,0260) vr=SQ, vm=1, type=3.
DcmShortText | CommentsOnThePerformedProcedureStep
| CommentsOnThePerformedProcedureStep (0040,0280) vr=ST, vm=1, type=3.
DcmUniqueIdentifier | TreatmentSessionUID
| TreatmentSessionUID (300a,0700) vr=UI, vm=1, type=3.
DcmLongString | ClinicalTrialCoordinatingCenterName
| ClinicalTrialCoordinatingCenterName (0012,0060) vr=LO, vm=1, type=2.
DcmLongString | ClinicalTrialSeriesID
| ClinicalTrialSeriesID (0012,0071) vr=LO, vm=1, type=3.
DcmLongString | ClinicalTrialSeriesDescription
| ClinicalTrialSeriesDescription (0012,0072) vr=LO, vm=1, type=3.
DcmUniqueIdentifier | FrameOfReferenceUID
| FrameOfReferenceUID (0020,0052) vr=UI, vm=1, type=1.
DcmLongString | PositionReferenceIndicator
| PositionReferenceIndicator (0020,1040) vr=LO, vm=1, type=2.
DcmLongString | Manufacturer
| Manufacturer (0008,0070) vr=LO, vm=1, type=2.
DcmLongString | InstitutionName
| InstitutionName (0008,0080) vr=LO, vm=1, type=3.
DcmShortText | InstitutionAddress
| InstitutionAddress (0008,0081) vr=ST, vm=1, type=3.
DcmShortString | StationName
| StationName (0008,1010) vr=SH, vm=1, type=3.
DcmLongString | InstitutionalDepartmentName
| InstitutionalDepartmentName (0008,1040) vr=LO, vm=1, type=3.
DRTInstitutionalDepartmentTypeCodeSequence | InstitutionalDepartmentTypeCodeSequence
| InstitutionalDepartmentTypeCodeSequence (0008,1041) vr=SQ, vm=1, type=3.
DcmLongString | ManufacturerModelName
| ManufacturerModelName (0008,1090) vr=LO, vm=1, type=3.
DcmUniqueIdentifier | ManufacturerDeviceClassUID
| ManufacturerDeviceClassUID (0018,100b) vr=UI, vm=1-n, type=3.
DcmLongString | DeviceSerialNumber
| DeviceSerialNumber (0018,1000) vr=LO, vm=1, type=3.
DcmLongString | SoftwareVersions
| SoftwareVersions (0018,1020) vr=LO, vm=1-n, type=3.
DcmLongString | GantryID
| GantryID (0018,1008) vr=LO, vm=1, type=3.
DRTUDISequence | UDISequence
| UDISequence (0018,100a) vr=SQ, vm=1, type=3.
DcmUniqueIdentifier | DeviceUID
| DeviceUID (0018,1002) vr=UI, vm=1, type=3.
DcmDecimalString | SpatialResolution
| SpatialResolution (0018,1050) vr=DS, vm=1, type=3.
DcmDate | DateOfLastCalibration
| DateOfLastCalibration (0018,1200) vr=DA, vm=1-n, type=3.
DcmTime | TimeOfLastCalibration
| TimeOfLastCalibration (0018,1201) vr=TM, vm=1-n, type=3.
DcmUnsignedShort | PixelPaddingValue
| PixelPaddingValue (0028,0120) vr=US/SS, vm=1, type=1C.
DcmCodeString | PatientOrientation
| PatientOrientation (0020,0020) vr=CS, vm=2, type=2C.
DcmCodeString | ImageType
| ImageType (0008,0008) vr=CS, vm=2-n, type=3.
DcmLongText | ImageComments
| ImageComments (0020,4000) vr=LT, vm=1, type=3.
DcmCodeString | QualityControlImage
| QualityControlImage (0028,0300) vr=CS, vm=1, type=3.
DcmCodeString | BurnedInAnnotation
| BurnedInAnnotation (0028,0301) vr=CS, vm=1, type=3.
DcmCodeString | RecognizableVisualFeatures
| RecognizableVisualFeatures (0028,0302) vr=CS, vm=1, type=3.
DcmCodeString | LossyImageCompression
| LossyImageCompression (0028,2110) vr=CS, vm=1, type=3.
DcmDecimalString | LossyImageCompressionRatio
| LossyImageCompressionRatio (0028,2112) vr=DS, vm=1-n, type=3.
DcmCodeString | LossyImageCompressionMethod
| LossyImageCompressionMethod (0028,2114) vr=CS, vm=1-n, type=3.
DRTIconImageSequence | IconImageSequence
| IconImageSequence (0088,0200) vr=SQ, vm=1, type=3.
DcmCodeString | PresentationLUTShape
| PresentationLUTShape (2050,0020) vr=CS, vm=1, type=3.
DRTRealWorldValueMappingSequence | RealWorldValueMappingSequence
| RealWorldValueMappingSequence (0040,9096) vr=SQ, vm=1, type=3.
DcmCodeString | ImageLaterality
| ImageLaterality (0020,0062) vr=CS, vm=1, type=3.
DRTAnatomicRegionSequence | AnatomicRegionSequence
| AnatomicRegionSequence (0008,2218) vr=SQ, vm=1, type=3.
DRTPrimaryAnatomicStructureSequence | PrimaryAnatomicStructureSequence
| PrimaryAnatomicStructureSequence (0008,2228) vr=SQ, vm=1, type=3.
DcmDecimalString | PixelSpacing
| PixelSpacing (0028,0030) vr=DS, vm=2, type=1.
DcmDecimalString | ImageOrientationPatient
| ImageOrientationPatient (0020,0037) vr=DS, vm=6, type=1.
DcmDecimalString | ImagePositionPatient
| ImagePositionPatient (0020,0032) vr=DS, vm=3, type=1.
DcmDecimalString | SliceThickness
| SliceThickness (0018,0050) vr=DS, vm=1, type=2.
DcmDecimalString | SpacingBetweenSlices
| SpacingBetweenSlices (0018,0088) vr=DS, vm=1, type=3.
DcmDecimalString | SliceLocation
| SliceLocation (0020,1041) vr=DS, vm=1, type=3.
DcmUnsignedShort | Rows
| Rows (0028,0010) vr=US, vm=1, type=1.
DcmUnsignedShort | Columns
| Columns (0028,0011) vr=US, vm=1, type=1.
DcmUnsignedShort | PlanarConfiguration
| PlanarConfiguration (0028,0006) vr=US, vm=1, type=1C.
DcmIntegerString | PixelAspectRatio
| PixelAspectRatio (0028,0034) vr=IS, vm=2, type=1C.
DcmUnsignedShort | SmallestImagePixelValue
| SmallestImagePixelValue (0028,0106) vr=US/SS, vm=1, type=3.
DcmUnsignedShort | LargestImagePixelValue
| LargestImagePixelValue (0028,0107) vr=US/SS, vm=1, type=3.
DcmUnsignedShort | RedPaletteColorLookupTableDescriptor
| RedPaletteColorLookupTableDescriptor (0028,1101) vr=US/SS, vm=3, type=1C.
DcmUnsignedShort | GreenPaletteColorLookupTableDescriptor
| GreenPaletteColorLookupTableDescriptor (0028,1102) vr=US/SS, vm=3, type=1C.
DcmUnsignedShort | BluePaletteColorLookupTableDescriptor
| BluePaletteColorLookupTableDescriptor (0028,1103) vr=US/SS, vm=3, type=1C.
DcmOtherByteOtherWord | RedPaletteColorLookupTableData
| RedPaletteColorLookupTableData (0028,1201) vr=OW, vm=1, type=1C.
DcmOtherByteOtherWord | GreenPaletteColorLookupTableData
| GreenPaletteColorLookupTableData (0028,1202) vr=OW, vm=1, type=1C.
DcmOtherByteOtherWord | BluePaletteColorLookupTableData
| BluePaletteColorLookupTableData (0028,1203) vr=OW, vm=1, type=1C.
DcmOtherByteOtherWord | ICCProfile
| ICCProfile (0028,2000) vr=OB, vm=1, type=3.
DcmCodeString | ColorSpace
| ColorSpace (0028,2002) vr=CS, vm=1, type=3.
DcmPixelData | PixelData
| PixelData (7fe0,0010) vr=OB/OW, vm=1, type=1C.
DcmUniversalResourceIdentifierOrLocator | PixelDataProviderURL
| PixelDataProviderURL (0028,7fe0) vr=UR, vm=1, type=1C.
DcmUnsignedShort | PixelPaddingRangeLimit
| PixelPaddingRangeLimit (0028,0121) vr=US/SS, vm=1, type=1C.
DcmOther64bitVeryLong | ExtendedOffsetTable
| ExtendedOffsetTable (7fe0,0001) vr=OV, vm=1, type=3.
DcmOther64bitVeryLong | ExtendedOffsetTableLengths
| ExtendedOffsetTableLengths (7fe0,0002) vr=OV, vm=1, type=1C.
DcmIntegerString | NumberOfFrames
| NumberOfFrames (0028,0008) vr=IS, vm=1, type=1.
DcmAttributeTag | FrameIncrementPointer
| FrameIncrementPointer (0028,0009) vr=AT, vm=1-n, type=1.
DcmCodeString | StereoPairsPresent
| StereoPairsPresent (0022,0028) vr=CS, vm=1, type=3.
DcmUnsigned64bitVeryLong | EncapsulatedPixelDataValueTotalLength
| EncapsulatedPixelDataValueTotalLength (7fe0,0003) vr=UV, vm=1, type=3.
DcmUnsignedShort | SamplesPerPixel
| SamplesPerPixel (0028,0002) vr=US, vm=1, type=1C.
DcmCodeString | PhotometricInterpretation
| PhotometricInterpretation (0028,0004) vr=CS, vm=1, type=1C.
DcmUnsignedShort | BitsAllocated
| BitsAllocated (0028,0100) vr=US, vm=1, type=1C.
DcmUnsignedShort | BitsStored
| BitsStored (0028,0101) vr=US, vm=1, type=1C.
DcmUnsignedShort | HighBit
| HighBit (0028,0102) vr=US, vm=1, type=1C.
DcmUnsignedShort | PixelRepresentation
| PixelRepresentation (0028,0103) vr=US, vm=1, type=1C.
DcmDate | ContentDate
| ContentDate (0008,0023) vr=DA, vm=1, type=3.
DcmTime | ContentTime
| ContentTime (0008,0033) vr=TM, vm=1, type=3.
DcmCodeString | DoseUnits
| DoseUnits (3004,0002) vr=CS, vm=1, type=1.
DcmCodeString | DoseType
| DoseType (3004,0004) vr=CS, vm=1, type=1.
DcmCodeString | SpatialTransformOfDose
| SpatialTransformOfDose (3004,0005) vr=CS, vm=1, type=3.
DRTReferencedSpatialRegistrationSequence | ReferencedSpatialRegistrationSequence
| ReferencedSpatialRegistrationSequence (0070,0404) vr=SQ, vm=1, type=2C.
DcmIntegerString | InstanceNumber
| InstanceNumber (0020,0013) vr=IS, vm=1, type=3.
DcmLongString | EntityLongLabel
| EntityLongLabel (3010,0038) vr=LO, vm=1, type=3.
DcmLongString | DoseComment
| DoseComment (3004,0006) vr=LO, vm=1, type=3.
DcmDecimalString | NormalizationPoint
| NormalizationPoint (3004,0008) vr=DS, vm=3, type=3.
DcmCodeString | DoseSummationType
| DoseSummationType (3004,000a) vr=CS, vm=1, type=1.
DRTReferencedRTPlanSequence | ReferencedRTPlanSequence
| ReferencedRTPlanSequence (300c,0002) vr=SQ, vm=1, type=1C.
DRTReferencedTreatmentRecordSequenceInRTDoseModule | ReferencedTreatmentRecordSequence
| ReferencedTreatmentRecordSequence (3008,0030) vr=SQ, vm=1, type=1C.
DcmDecimalString | GridFrameOffsetVector
| GridFrameOffsetVector (3004,000c) vr=DS, vm=2-n, type=1C.
DcmDecimalString | DoseGridScaling
| DoseGridScaling (3004,000e) vr=DS, vm=1, type=1C.
DcmCodeString | TissueHeterogeneityCorrection
| TissueHeterogeneityCorrection (3004,0014) vr=CS, vm=1-3, type=3.
DRTDerivationCodeSequence | DerivationCodeSequence
| DerivationCodeSequence (0008,9215) vr=SQ, vm=1, type=3.
DRTReferencedInstanceSequence | ReferencedInstanceSequence
| ReferencedInstanceSequence (0008,114a) vr=SQ, vm=1, type=3.
DRTPlanOverviewSequence | PlanOverviewSequence
| PlanOverviewSequence (300c,0116) vr=SQ, vm=1, type=1C.
DRTReferencedStructureSetSequence | ReferencedStructureSetSequence
| ReferencedStructureSetSequence (300c,0060) vr=SQ, vm=1, type=1.
DcmDecimalString | DVHNormalizationPoint
| DVHNormalizationPoint (3004,0040) vr=DS, vm=3, type=3.
DcmDecimalString | DVHNormalizationDoseValue
| DVHNormalizationDoseValue (3004,0042) vr=DS, vm=1, type=3.
DRTDVHSequence | DVHSequence
| DVHSequence (3004,0050) vr=SQ, vm=1, type=1.
DcmUniqueIdentifier | SOPClassUID
| SOPClassUID (0008,0016) vr=UI, vm=1, type=1.
DcmUniqueIdentifier | SOPInstanceUID
| SOPInstanceUID (0008,0018) vr=UI, vm=1, type=1.
DcmCodeString | SpecificCharacterSet
| SpecificCharacterSet (0008,0005) vr=CS, vm=1-n, type=1C.
DcmDate | InstanceCreationDate
| InstanceCreationDate (0008,0012) vr=DA, vm=1, type=3.
DcmTime | InstanceCreationTime
| InstanceCreationTime (0008,0013) vr=TM, vm=1, type=3.
DcmDateTime | InstanceCoercionDateTime
| InstanceCoercionDateTime (0008,0015) vr=DT, vm=1, type=3.
DcmUniqueIdentifier | InstanceCreatorUID
| InstanceCreatorUID (0008,0014) vr=UI, vm=1, type=3.
DcmUniqueIdentifier | RelatedGeneralSOPClassUID
| RelatedGeneralSOPClassUID (0008,001a) vr=UI, vm=1-n, type=3.
DcmUniqueIdentifier | OriginalSpecializedSOPClassUID
| OriginalSpecializedSOPClassUID (0008,001b) vr=UI, vm=1, type=3.
DRTCodingSchemeIdentificationSequence | CodingSchemeIdentificationSequence
| CodingSchemeIdentificationSequence (0008,0110) vr=SQ, vm=1, type=3.
DRTContextGroupIdentificationSequence | ContextGroupIdentificationSequence
| ContextGroupIdentificationSequence (0008,0123) vr=SQ, vm=1, type=3.
DRTMappingResourceIdentificationSequence | MappingResourceIdentificationSequence
| MappingResourceIdentificationSequence (0008,0124) vr=SQ, vm=1, type=3.
DcmShortString | TimezoneOffsetFromUTC
| TimezoneOffsetFromUTC (0008,0201) vr=SH, vm=1, type=3.
DRTContributingEquipmentSequence | ContributingEquipmentSequence
| ContributingEquipmentSequence (0018,a001) vr=SQ, vm=1, type=3.
DcmCodeString | SOPInstanceStatus
| SOPInstanceStatus (0100,0410) vr=CS, vm=1, type=3.
DcmDateTime | SOPAuthorizationDateTime
| SOPAuthorizationDateTime (0100,0420) vr=DT, vm=1, type=3.
DcmLongText | SOPAuthorizationComment
| SOPAuthorizationComment (0100,0424) vr=LT, vm=1, type=3.
DcmLongString | AuthorizationEquipmentCertificationNumber
| AuthorizationEquipmentCertificationNumber (0100,0426) vr=LO, vm=1, type=3.
DRTMACParametersSequence | MACParametersSequence
| MACParametersSequence (4ffe,0001) vr=SQ, vm=1, type=3.
DRTDigitalSignaturesSequence | DigitalSignaturesSequence
| DigitalSignaturesSequence (fffa,fffa) vr=SQ, vm=1, type=3.
DRTEncryptedAttributesSequence | EncryptedAttributesSequence
| EncryptedAttributesSequence (0400,0500) vr=SQ, vm=1, type=1C.
DRTOriginalAttributesSequence | OriginalAttributesSequence
| OriginalAttributesSequence (0400,0561) vr=SQ, vm=1, type=3.
DRTHL7StructuredDocumentReferenceSequence | HL7StructuredDocumentReferenceSequence
| HL7StructuredDocumentReferenceSequence (0040,a390) vr=SQ, vm=1, type=1C.
DcmCodeString | LongitudinalTemporalInformationModified
| LongitudinalTemporalInformationModified (0028,0303) vr=CS, vm=1, type=3.
DcmCodeString | QueryRetrieveView
| QueryRetrieveView (0008,0053) vr=CS, vm=1, type=1C.
DRTConversionSourceAttributesSequence | ConversionSourceAttributesSequence
| ConversionSourceAttributesSequence (0020,9172) vr=SQ, vm=1, type=1C.
DcmCodeString | ContentQualification
| ContentQualification (0018,9004) vr=CS, vm=1, type=3.
DRTPrivateDataElementCharacteristicsSequence | PrivateDataElementCharacteristicsSequence
| PrivateDataElementCharacteristicsSequence (0008,0300) vr=SQ, vm=1, type=3.
DcmCodeString | InstanceOriginStatus
| InstanceOriginStatus (0400,0600) vr=CS, vm=1, type=3.
DcmLongText | BarcodeValue
| BarcodeValue (2200,0005) vr=LT, vm=1, type=3.
DRTReferencedDefinedProtocolSequence | ReferencedDefinedProtocolSequence
| ReferencedDefinedProtocolSequence (0018,990c) vr=SQ, vm=1, type=1C.
DRTReferencedPerformedProtocolSequence | ReferencedPerformedProtocolSequence
| ReferencedPerformedProtocolSequence (0018,990d) vr=SQ, vm=1, type=1C.
DRTReferencedSeriesSequence | ReferencedSeriesSequence
| ReferencedSeriesSequence (0008,1115) vr=SQ, vm=1, type=1C.
DRTStudiesContainingOtherReferencedInstancesSequence | StudiesContainingOtherReferencedInstancesSequence
| StudiesContainingOtherReferencedInstancesSequence (0008,1200) vr=SQ, vm=1, type=1C.
DRTFrameExtractionSequence | FrameExtractionSequence
| FrameExtractionSequence (0008,1164) vr=SQ, vm=1, type=1.

## Additional Inherited Members
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset.
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type.
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type.

## Detailed Description

Interface class for RTDoseIOD.

Note
  Because of its many member variables, an instance of this class requires quite some memory. So be careful when creating automatic variables from this class (the stack size might be exceeded); it is probably better to use the heap space.

## Constructor & Destructor Documentation

## ◆ DRTDoseIOD()

DRTDoseIOD::DRTDoseIOD | ( | const DRTDoseIOD & | copy | ) |

copy constructor

Parameters

  copy | IOD object to be copied

References DRTDoseIOD().

## Member Function Documentation

## ◆ checkDatasetForReading()

OFCondition DRTDoseIOD::checkDatasetForReading | ( | DcmItem & | dataset | ) |
| protected

check the given dataset before reading.

This methods checks whether the dataset contains at least the DICOM attribute SOPClassUID (0008,0016) with the expected value. Any incorrectness regarding this attribute is reported to the log stream (if enabled for error messages).

Parameters

  dataset | DICOM dataset to be checked

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getAccessionNumber()

virtual OFCondition DRTDoseIOD::getAccessionNumber | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get AccessionNumber (0008,0050)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getAdditionalPatientHistory()

virtual OFCondition DRTDoseIOD::getAdditionalPatientHistory | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get AdditionalPatientHistory (0010,21b0)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getAdmissionID()

virtual OFCondition DRTDoseIOD::getAdmissionID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get AdmissionID (0038,0010)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getAdmittingDiagnosesCodeSequence() [1/2]

DRTAdmittingDiagnosesCodeSequence & DRTDoseIOD::getAdmittingDiagnosesCodeSequence | ( |  | ) |
| inline

get AdmittingDiagnosesCodeSequence (0008,1084)

Returns
  reference to sequence element

References AdmittingDiagnosesCodeSequence.

## ◆ getAdmittingDiagnosesCodeSequence() [2/2]

const DRTAdmittingDiagnosesCodeSequence & DRTDoseIOD::getAdmittingDiagnosesCodeSequence | ( |  | ) | const
| inline

get AdmittingDiagnosesCodeSequence (0008,1084)

Returns
  const reference to sequence element

References AdmittingDiagnosesCodeSequence.

## ◆ getAdmittingDiagnosesDescription()

virtual OFCondition DRTDoseIOD::getAdmittingDiagnosesDescription | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get AdmittingDiagnosesDescription (0008,1080)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getAllergies()

virtual OFCondition DRTDoseIOD::getAllergies | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get Allergies (0010,2110)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getAnatomicRegionSequence() [1/2]

DRTAnatomicRegionSequence & DRTDoseIOD::getAnatomicRegionSequence | ( |  | ) |
| inline

get AnatomicRegionSequence (0008,2218)

Returns
  reference to sequence element

References AnatomicRegionSequence.

## ◆ getAnatomicRegionSequence() [2/2]

const DRTAnatomicRegionSequence & DRTDoseIOD::getAnatomicRegionSequence | ( |  | ) | const
| inline

get AnatomicRegionSequence (0008,2218)

Returns
  const reference to sequence element

References AnatomicRegionSequence.

## ◆ getAuthorizationEquipmentCertificationNumber()

virtual OFCondition DRTDoseIOD::getAuthorizationEquipmentCertificationNumber | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get AuthorizationEquipmentCertificationNumber (0100,0426)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBarcodeValue()

virtual OFCondition DRTDoseIOD::getBarcodeValue | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get BarcodeValue (2200,0005)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBitsAllocated()

virtual OFCondition DRTDoseIOD::getBitsAllocated | ( | Uint16 & | value,
|  | const unsigned long | pos = 0 ) const
| virtual

get BitsAllocated (0028,0100)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBitsStored()

virtual OFCondition DRTDoseIOD::getBitsStored | ( | Uint16 & | value,
|  | const unsigned long | pos = 0 ) const
| virtual

get BitsStored (0028,0101)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBluePaletteColorLookupTableData()

virtual OFCondition DRTDoseIOD::getBluePaletteColorLookupTableData | ( | Uint16 *& | value,
|  | unsigned long * | count = NULL ) const
| virtual

get BluePaletteColorLookupTableData (0028,1203)

Parameters

  value | reference to variable in which the value should be stored
  count | stores number of items in the result array (if not NULL)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBluePaletteColorLookupTableDescriptor()

virtual OFCondition DRTDoseIOD::getBluePaletteColorLookupTableDescriptor | ( | Uint16 & | value,
|  | const unsigned long | pos = 0 ) const
| virtual

get BluePaletteColorLookupTableDescriptor (0028,1103)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getBreedRegistrationSequence() [1/2]

DRTBreedRegistrationSequence & DRTDoseIOD::getBreedRegistrationSequence | ( |  | ) |
| inline

get BreedRegistrationSequence (0010,2294)

Returns
  reference to sequence element

References BreedRegistrationSequence.

## ◆ getBreedRegistrationSequence() [2/2]

const DRTBreedRegistrationSequence & DRTDoseIOD::getBreedRegistrationSequence | ( |  | ) | const
| inline

get BreedRegistrationSequence (0010,2294)

Returns
  const reference to sequence element

References BreedRegistrationSequence.

## ◆ getBurnedInAnnotation()

virtual OFCondition DRTDoseIOD::getBurnedInAnnotation | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get BurnedInAnnotation (0028,0301)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getClinicalTrialCoordinatingCenterName()

virtual OFCondition DRTDoseIOD::getClinicalTrialCoordinatingCenterName | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get ClinicalTrialCoordinatingCenterName (0012,0060)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getClinicalTrialProtocolEthicsCommitteeApprovalNumber()

virtual OFCondition DRTDoseIOD::getClinicalTrialProtocolEthicsCommitteeApprovalNumber | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get ClinicalTrialProtocolEthicsCommitteeApprovalNumber (0012,0082)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getClinicalTrialProtocolEthicsCommitteeName()

virtual OFCondition DRTDoseIOD::getClinicalTrialProtocolEthicsCommitteeName | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get ClinicalTrialProtocolEthicsCommitteeName (0012,0081)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getClinicalTrialProtocolID()

virtual OFCondition DRTDoseIOD::getClinicalTrialProtocolID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get ClinicalTrialProtocolID (0012,0020)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getClinicalTrialProtocolName()

virtual OFCondition DRTDoseIOD::getClinicalTrialProtocolName | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get ClinicalTrialProtocolName (0012,0021)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getClinicalTrialSeriesDescription()

virtual OFCondition DRTDoseIOD::getClinicalTrialSeriesDescription | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get ClinicalTrialSeriesDescription (0012,0072)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getClinicalTrialSeriesID()

virtual OFCondition DRTDoseIOD::getClinicalTrialSeriesID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get ClinicalTrialSeriesID (0012,0071)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getClinicalTrialSiteID()

virtual OFCondition DRTDoseIOD::getClinicalTrialSiteID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get ClinicalTrialSiteID (0012,0030)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getClinicalTrialSiteName()

virtual OFCondition DRTDoseIOD::getClinicalTrialSiteName | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get ClinicalTrialSiteName (0012,0031)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getClinicalTrialSponsorName()

virtual OFCondition DRTDoseIOD::getClinicalTrialSponsorName | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get ClinicalTrialSponsorName (0012,0010)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getClinicalTrialSubjectID()

virtual OFCondition DRTDoseIOD::getClinicalTrialSubjectID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get ClinicalTrialSubjectID (0012,0040)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getClinicalTrialSubjectReadingID()

virtual OFCondition DRTDoseIOD::getClinicalTrialSubjectReadingID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get ClinicalTrialSubjectReadingID (0012,0042)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getClinicalTrialTimePointDescription()

virtual OFCondition DRTDoseIOD::getClinicalTrialTimePointDescription | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get ClinicalTrialTimePointDescription (0012,0051)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getClinicalTrialTimePointID()

virtual OFCondition DRTDoseIOD::getClinicalTrialTimePointID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get ClinicalTrialTimePointID (0012,0050)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getClinicalTrialTimePointTypeCodeSequence() [1/2]

DRTClinicalTrialTimePointTypeCodeSequence & DRTDoseIOD::getClinicalTrialTimePointTypeCodeSequence | ( |  | ) |
| inline

get ClinicalTrialTimePointTypeCodeSequence (0012,0054)

Returns
  reference to sequence element

References ClinicalTrialTimePointTypeCodeSequence.

## ◆ getClinicalTrialTimePointTypeCodeSequence() [2/2]

const DRTClinicalTrialTimePointTypeCodeSequence & DRTDoseIOD::getClinicalTrialTimePointTypeCodeSequence | ( |  | ) | const
| inline

get ClinicalTrialTimePointTypeCodeSequence (0012,0054)

Returns
  const reference to sequence element

References ClinicalTrialTimePointTypeCodeSequence.

## ◆ getCodingSchemeIdentificationSequence() [1/2]

DRTCodingSchemeIdentificationSequence & DRTDoseIOD::getCodingSchemeIdentificationSequence | ( |  | ) |
| inline

get CodingSchemeIdentificationSequence (0008,0110)

Returns
  reference to sequence element

References CodingSchemeIdentificationSequence.

## ◆ getCodingSchemeIdentificationSequence() [2/2]

const DRTCodingSchemeIdentificationSequence & DRTDoseIOD::getCodingSchemeIdentificationSequence | ( |  | ) | const
| inline

get CodingSchemeIdentificationSequence (0008,0110)

Returns
  const reference to sequence element

References CodingSchemeIdentificationSequence.

## ◆ getColorSpace()

virtual OFCondition DRTDoseIOD::getColorSpace | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get ColorSpace (0028,2002)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getColumns()

virtual OFCondition DRTDoseIOD::getColumns | ( | Uint16 & | value,
|  | const unsigned long | pos = 0 ) const
| virtual

get Columns (0028,0011)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getCommentsOnThePerformedProcedureStep()

virtual OFCondition DRTDoseIOD::getCommentsOnThePerformedProcedureStep | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get CommentsOnThePerformedProcedureStep (0040,0280)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getConsentForClinicalTrialUseSequence() [1/2]

DRTConsentForClinicalTrialUseSequence & DRTDoseIOD::getConsentForClinicalTrialUseSequence | ( |  | ) |
| inline

get ConsentForClinicalTrialUseSequence (0012,0083)

Returns
  reference to sequence element

References ConsentForClinicalTrialUseSequence.

## ◆ getConsentForClinicalTrialUseSequence() [2/2]

const DRTConsentForClinicalTrialUseSequence & DRTDoseIOD::getConsentForClinicalTrialUseSequence | ( |  | ) | const
| inline

get ConsentForClinicalTrialUseSequence (0012,0083)

Returns
  const reference to sequence element

References ConsentForClinicalTrialUseSequence.

## ◆ getConsultingPhysicianIdentificationSequence() [1/2]

DRTConsultingPhysicianIdentificationSequence & DRTDoseIOD::getConsultingPhysicianIdentificationSequence | ( |  | ) |
| inline

get ConsultingPhysicianIdentificationSequence (0008,009d)

Returns
  reference to sequence element

References ConsultingPhysicianIdentificationSequence.

## ◆ getConsultingPhysicianIdentificationSequence() [2/2]

const DRTConsultingPhysicianIdentificationSequence & DRTDoseIOD::getConsultingPhysicianIdentificationSequence | ( |  | ) | const
| inline

get ConsultingPhysicianIdentificationSequence (0008,009d)

Returns
  const reference to sequence element

References ConsultingPhysicianIdentificationSequence.

## ◆ getConsultingPhysicianName()

virtual OFCondition DRTDoseIOD::getConsultingPhysicianName | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get ConsultingPhysicianName (0008,009c)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getContentDate()

virtual OFCondition DRTDoseIOD::getContentDate | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get ContentDate (0008,0023)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getContentQualification()

virtual OFCondition DRTDoseIOD::getContentQualification | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get ContentQualification (0018,9004)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getContentTime()

virtual OFCondition DRTDoseIOD::getContentTime | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get ContentTime (0008,0033)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getContextGroupIdentificationSequence() [1/2]

DRTContextGroupIdentificationSequence & DRTDoseIOD::getContextGroupIdentificationSequence | ( |  | ) |
| inline

get ContextGroupIdentificationSequence (0008,0123)

Returns
  reference to sequence element

References ContextGroupIdentificationSequence.

## ◆ getContextGroupIdentificationSequence() [2/2]

const DRTContextGroupIdentificationSequence & DRTDoseIOD::getContextGroupIdentificationSequence | ( |  | ) | const
| inline

get ContextGroupIdentificationSequence (0008,0123)

Returns
  const reference to sequence element

References ContextGroupIdentificationSequence.

## ◆ getContributingEquipmentSequence() [1/2]

DRTContributingEquipmentSequence & DRTDoseIOD::getContributingEquipmentSequence | ( |  | ) |
| inline

get ContributingEquipmentSequence (0018,a001)

Returns
  reference to sequence element

References ContributingEquipmentSequence.

## ◆ getContributingEquipmentSequence() [2/2]

const DRTContributingEquipmentSequence & DRTDoseIOD::getContributingEquipmentSequence | ( |  | ) | const
| inline

get ContributingEquipmentSequence (0018,a001)

Returns
  const reference to sequence element

References ContributingEquipmentSequence.

## ◆ getConversionSourceAttributesSequence() [1/2]

DRTConversionSourceAttributesSequence & DRTDoseIOD::getConversionSourceAttributesSequence | ( |  | ) |
| inline

get ConversionSourceAttributesSequence (0020,9172)

Returns
  reference to sequence element

References ConversionSourceAttributesSequence.

## ◆ getConversionSourceAttributesSequence() [2/2]

const DRTConversionSourceAttributesSequence & DRTDoseIOD::getConversionSourceAttributesSequence | ( |  | ) | const
| inline

get ConversionSourceAttributesSequence (0020,9172)

Returns
  const reference to sequence element

References ConversionSourceAttributesSequence.

## ◆ getDateOfLastCalibration()

virtual OFCondition DRTDoseIOD::getDateOfLastCalibration | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get DateOfLastCalibration (0018,1200)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getDeidentificationMethod()

virtual OFCondition DRTDoseIOD::getDeidentificationMethod | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get DeidentificationMethod (0012,0063)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getDeidentificationMethodCodeSequence() [1/2]

DRTDeidentificationMethodCodeSequence & DRTDoseIOD::getDeidentificationMethodCodeSequence | ( |  | ) |
| inline

get DeidentificationMethodCodeSequence (0012,0064)

Returns
  reference to sequence element

References DeidentificationMethodCodeSequence.

## ◆ getDeidentificationMethodCodeSequence() [2/2]

const DRTDeidentificationMethodCodeSequence & DRTDoseIOD::getDeidentificationMethodCodeSequence | ( |  | ) | const
| inline

get DeidentificationMethodCodeSequence (0012,0064)

Returns
  const reference to sequence element

References DeidentificationMethodCodeSequence.

## ◆ getDerivationCodeSequence() [1/2]

DRTDerivationCodeSequence & DRTDoseIOD::getDerivationCodeSequence | ( |  | ) |
| inline

get DerivationCodeSequence (0008,9215)

Returns
  reference to sequence element

References DerivationCodeSequence.

## ◆ getDerivationCodeSequence() [2/2]

const DRTDerivationCodeSequence & DRTDoseIOD::getDerivationCodeSequence | ( |  | ) | const
| inline

get DerivationCodeSequence (0008,9215)

Returns
  const reference to sequence element

References DerivationCodeSequence.

## ◆ getDeviceSerialNumber()

virtual OFCondition DRTDoseIOD::getDeviceSerialNumber | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get DeviceSerialNumber (0018,1000)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getDeviceUID()

virtual OFCondition DRTDoseIOD::getDeviceUID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get DeviceUID (0018,1002)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getDigitalSignaturesSequence() [1/2]

DRTDigitalSignaturesSequence & DRTDoseIOD::getDigitalSignaturesSequence | ( |  | ) |
| inline

get DigitalSignaturesSequence (fffa,fffa)

Returns
  reference to sequence element

References DigitalSignaturesSequence.

## ◆ getDigitalSignaturesSequence() [2/2]

const DRTDigitalSignaturesSequence & DRTDoseIOD::getDigitalSignaturesSequence | ( |  | ) | const
| inline

get DigitalSignaturesSequence (fffa,fffa)

Returns
  const reference to sequence element

References DigitalSignaturesSequence.

## ◆ getDoseComment()

virtual OFCondition DRTDoseIOD::getDoseComment | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get DoseComment (3004,0006)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getDoseGridScaling() [1/2]

virtual OFCondition DRTDoseIOD::getDoseGridScaling | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const
| virtual

get DoseGridScaling (3004,000e)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getDoseGridScaling() [2/2]

virtual OFCondition DRTDoseIOD::getDoseGridScaling | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get DoseGridScaling (3004,000e)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getDoseSummationType()

virtual OFCondition DRTDoseIOD::getDoseSummationType | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get DoseSummationType (3004,000a)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getDoseType()

virtual OFCondition DRTDoseIOD::getDoseType | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get DoseType (3004,0004)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getDoseUnits()

virtual OFCondition DRTDoseIOD::getDoseUnits | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get DoseUnits (3004,0002)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getDVHNormalizationDoseValue() [1/2]

virtual OFCondition DRTDoseIOD::getDVHNormalizationDoseValue | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const
| virtual

get DVHNormalizationDoseValue (3004,0042)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getDVHNormalizationDoseValue() [2/2]

virtual OFCondition DRTDoseIOD::getDVHNormalizationDoseValue | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get DVHNormalizationDoseValue (3004,0042)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getDVHNormalizationPoint() [1/3]

virtual OFCondition DRTDoseIOD::getDVHNormalizationPoint | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const
| virtual

get DVHNormalizationPoint (3004,0040)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getDVHNormalizationPoint() [2/3]

virtual OFCondition DRTDoseIOD::getDVHNormalizationPoint | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get DVHNormalizationPoint (3004,0040)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getDVHNormalizationPoint() [3/3]

virtual OFCondition DRTDoseIOD::getDVHNormalizationPoint | ( | OFVector< Float64 > & | value | ) | const
| virtual

get DVHNormalizationPoint (3004,0040)

Parameters

  value | reference to variable in which the value(s) should be stored

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getDVHSequence() [1/2]

DRTDVHSequence & DRTDoseIOD::getDVHSequence | ( |  | ) |
| inline

get DVHSequence (3004,0050)

Returns
  reference to sequence element

References DVHSequence.

## ◆ getDVHSequence() [2/2]

const DRTDVHSequence & DRTDoseIOD::getDVHSequence | ( |  | ) | const
| inline

get DVHSequence (3004,0050)

Returns
  const reference to sequence element

References DVHSequence.

## ◆ getEncapsulatedPixelDataValueTotalLength()

virtual OFCondition DRTDoseIOD::getEncapsulatedPixelDataValueTotalLength | ( | Uint64 & | value,
|  | const unsigned long | pos = 0 ) const
| virtual

get EncapsulatedPixelDataValueTotalLength (7fe0,0003)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getEncryptedAttributesSequence() [1/2]

DRTEncryptedAttributesSequence & DRTDoseIOD::getEncryptedAttributesSequence | ( |  | ) |
| inline

get EncryptedAttributesSequence (0400,0500)

Returns
  reference to sequence element

References EncryptedAttributesSequence.

## ◆ getEncryptedAttributesSequence() [2/2]

const DRTEncryptedAttributesSequence & DRTDoseIOD::getEncryptedAttributesSequence | ( |  | ) | const
| inline

get EncryptedAttributesSequence (0400,0500)

Returns
  const reference to sequence element

References EncryptedAttributesSequence.

## ◆ getEntityLongLabel()

virtual OFCondition DRTDoseIOD::getEntityLongLabel | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get EntityLongLabel (3010,0038)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getEthnicGroup()

virtual OFCondition DRTDoseIOD::getEthnicGroup | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get EthnicGroup (0010,2160)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getExtendedOffsetTable()

virtual OFCondition DRTDoseIOD::getExtendedOffsetTable | ( | Uint64 *& | value,
|  | unsigned long * | count = NULL ) const
| virtual

get ExtendedOffsetTable (7fe0,0001)

Parameters

  value | reference to variable in which the value should be stored
  count | stores number of items in the result array (if not NULL)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getExtendedOffsetTableLengths()

virtual OFCondition DRTDoseIOD::getExtendedOffsetTableLengths | ( | Uint64 *& | value,
|  | unsigned long * | count = NULL ) const
| virtual

get ExtendedOffsetTableLengths (7fe0,0002)

Parameters

  value | reference to variable in which the value should be stored
  count | stores number of items in the result array (if not NULL)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getFrameExtractionSequence() [1/2]

DRTFrameExtractionSequence & DRTDoseIOD::getFrameExtractionSequence | ( |  | ) |
| inline

get FrameExtractionSequence (0008,1164)

Returns
  reference to sequence element

References FrameExtractionSequence.

## ◆ getFrameExtractionSequence() [2/2]

const DRTFrameExtractionSequence & DRTDoseIOD::getFrameExtractionSequence | ( |  | ) | const
| inline

get FrameExtractionSequence (0008,1164)

Returns
  const reference to sequence element

References FrameExtractionSequence.

## ◆ getFrameIncrementPointer()

virtual OFCondition DRTDoseIOD::getFrameIncrementPointer | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get FrameIncrementPointer (0028,0009)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getFrameOfReferenceUID()

virtual OFCondition DRTDoseIOD::getFrameOfReferenceUID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get FrameOfReferenceUID (0020,0052)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getGantryID()

virtual OFCondition DRTDoseIOD::getGantryID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get GantryID (0018,1008)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getGeneticModificationsSequence() [1/2]

DRTGeneticModificationsSequence & DRTDoseIOD::getGeneticModificationsSequence | ( |  | ) |
| inline

get GeneticModificationsSequence (0010,0221)

Returns
  reference to sequence element

References GeneticModificationsSequence.

## ◆ getGeneticModificationsSequence() [2/2]

const DRTGeneticModificationsSequence & DRTDoseIOD::getGeneticModificationsSequence | ( |  | ) | const
| inline

get GeneticModificationsSequence (0010,0221)

Returns
  const reference to sequence element

References GeneticModificationsSequence.

## ◆ getGreenPaletteColorLookupTableData()

virtual OFCondition DRTDoseIOD::getGreenPaletteColorLookupTableData | ( | Uint16 *& | value,
|  | unsigned long * | count = NULL ) const
| virtual

get GreenPaletteColorLookupTableData (0028,1202)

Parameters

  value | reference to variable in which the value should be stored
  count | stores number of items in the result array (if not NULL)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getGreenPaletteColorLookupTableDescriptor()

virtual OFCondition DRTDoseIOD::getGreenPaletteColorLookupTableDescriptor | ( | Uint16 & | value,
|  | const unsigned long | pos = 0 ) const
| virtual

get GreenPaletteColorLookupTableDescriptor (0028,1102)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getGridFrameOffsetVector() [1/3]

virtual OFCondition DRTDoseIOD::getGridFrameOffsetVector | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const
| virtual

get GridFrameOffsetVector (3004,000c)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getGridFrameOffsetVector() [2/3]

virtual OFCondition DRTDoseIOD::getGridFrameOffsetVector | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get GridFrameOffsetVector (3004,000c)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getGridFrameOffsetVector() [3/3]

virtual OFCondition DRTDoseIOD::getGridFrameOffsetVector | ( | OFVector< Float64 > & | value | ) | const
| virtual

get GridFrameOffsetVector (3004,000c)

Parameters

  value | reference to variable in which the value(s) should be stored

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getGroupOfPatientsIdentificationSequence() [1/2]

DRTGroupOfPatientsIdentificationSequence & DRTDoseIOD::getGroupOfPatientsIdentificationSequence | ( |  | ) |
| inline

get GroupOfPatientsIdentificationSequence (0010,0027)

Returns
  reference to sequence element

References GroupOfPatientsIdentificationSequence.

## ◆ getGroupOfPatientsIdentificationSequence() [2/2]

const DRTGroupOfPatientsIdentificationSequence & DRTDoseIOD::getGroupOfPatientsIdentificationSequence | ( |  | ) | const
| inline

get GroupOfPatientsIdentificationSequence (0010,0027)

Returns
  const reference to sequence element

References GroupOfPatientsIdentificationSequence.

## ◆ getHighBit()

virtual OFCondition DRTDoseIOD::getHighBit | ( | Uint16 & | value,
|  | const unsigned long | pos = 0 ) const
| virtual

get HighBit (0028,0102)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getHL7StructuredDocumentReferenceSequence() [1/2]

DRTHL7StructuredDocumentReferenceSequence & DRTDoseIOD::getHL7StructuredDocumentReferenceSequence | ( |  | ) |
| inline

get HL7StructuredDocumentReferenceSequence (0040,a390)

Returns
  reference to sequence element

References HL7StructuredDocumentReferenceSequence.

## ◆ getHL7StructuredDocumentReferenceSequence() [2/2]

const DRTHL7StructuredDocumentReferenceSequence & DRTDoseIOD::getHL7StructuredDocumentReferenceSequence | ( |  | ) | const
| inline

get HL7StructuredDocumentReferenceSequence (0040,a390)

Returns
  const reference to sequence element

References HL7StructuredDocumentReferenceSequence.

## ◆ getICCProfile()

virtual OFCondition DRTDoseIOD::getICCProfile | ( | Uint8 *& | value,
|  | unsigned long * | count = NULL ) const
| virtual

get ICCProfile (0028,2000)

Parameters

  value | reference to variable in which the value should be stored
  count | stores number of items in the result array (if not NULL)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getIconImageSequence() [1/2]

DRTIconImageSequence & DRTDoseIOD::getIconImageSequence | ( |  | ) |
| inline

get IconImageSequence (0088,0200)

Returns
  reference to sequence element

References IconImageSequence.

## ◆ getIconImageSequence() [2/2]

const DRTIconImageSequence & DRTDoseIOD::getIconImageSequence | ( |  | ) | const
| inline

get IconImageSequence (0088,0200)

Returns
  const reference to sequence element

References IconImageSequence.

## ◆ getImageComments()

virtual OFCondition DRTDoseIOD::getImageComments | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get ImageComments (0020,4000)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getImageLaterality()

virtual OFCondition DRTDoseIOD::getImageLaterality | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get ImageLaterality (0020,0062)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getImageOrientationPatient() [1/3]

virtual OFCondition DRTDoseIOD::getImageOrientationPatient | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const
| virtual

get ImageOrientationPatient (0020,0037)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getImageOrientationPatient() [2/3]

virtual OFCondition DRTDoseIOD::getImageOrientationPatient | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get ImageOrientationPatient (0020,0037)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getImageOrientationPatient() [3/3]

virtual OFCondition DRTDoseIOD::getImageOrientationPatient | ( | OFVector< Float64 > & | value | ) | const
| virtual

get ImageOrientationPatient (0020,0037)

Parameters

  value | reference to variable in which the value(s) should be stored

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getImagePositionPatient() [1/3]

virtual OFCondition DRTDoseIOD::getImagePositionPatient | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const
| virtual

get ImagePositionPatient (0020,0032)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getImagePositionPatient() [2/3]

virtual OFCondition DRTDoseIOD::getImagePositionPatient | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get ImagePositionPatient (0020,0032)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getImagePositionPatient() [3/3]

virtual OFCondition DRTDoseIOD::getImagePositionPatient | ( | OFVector< Float64 > & | value | ) | const
| virtual

get ImagePositionPatient (0020,0032)

Parameters

  value | reference to variable in which the value(s) should be stored

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getImageType()

virtual OFCondition DRTDoseIOD::getImageType | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get ImageType (0008,0008)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getInstanceCoercionDateTime()

virtual OFCondition DRTDoseIOD::getInstanceCoercionDateTime | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get InstanceCoercionDateTime (0008,0015)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getInstanceCreationDate()

virtual OFCondition DRTDoseIOD::getInstanceCreationDate | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get InstanceCreationDate (0008,0012)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getInstanceCreationTime()

virtual OFCondition DRTDoseIOD::getInstanceCreationTime | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get InstanceCreationTime (0008,0013)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getInstanceCreatorUID()

virtual OFCondition DRTDoseIOD::getInstanceCreatorUID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get InstanceCreatorUID (0008,0014)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getInstanceNumber() [1/2]

virtual OFCondition DRTDoseIOD::getInstanceNumber | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get InstanceNumber (0020,0013)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getInstanceNumber() [2/2]

virtual OFCondition DRTDoseIOD::getInstanceNumber | ( | Sint32 & | value,
|  | const unsigned long | pos = 0 ) const
| virtual

get InstanceNumber (0020,0013)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getInstanceOriginStatus()

virtual OFCondition DRTDoseIOD::getInstanceOriginStatus | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get InstanceOriginStatus (0400,0600)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getInstitutionAddress()

virtual OFCondition DRTDoseIOD::getInstitutionAddress | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get InstitutionAddress (0008,0081)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getInstitutionalDepartmentName()

virtual OFCondition DRTDoseIOD::getInstitutionalDepartmentName | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get InstitutionalDepartmentName (0008,1040)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getInstitutionalDepartmentTypeCodeSequence() [1/2]

DRTInstitutionalDepartmentTypeCodeSequence & DRTDoseIOD::getInstitutionalDepartmentTypeCodeSequence | ( |  | ) |
| inline

get InstitutionalDepartmentTypeCodeSequence (0008,1041)

Returns
  reference to sequence element

References InstitutionalDepartmentTypeCodeSequence.

## ◆ getInstitutionalDepartmentTypeCodeSequence() [2/2]

const DRTInstitutionalDepartmentTypeCodeSequence & DRTDoseIOD::getInstitutionalDepartmentTypeCodeSequence | ( |  | ) | const
| inline

get InstitutionalDepartmentTypeCodeSequence (0008,1041)

Returns
  const reference to sequence element

References InstitutionalDepartmentTypeCodeSequence.

## ◆ getInstitutionName()

virtual OFCondition DRTDoseIOD::getInstitutionName | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get InstitutionName (0008,0080)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getIssuerOfAccessionNumberSequence() [1/2]

DRTIssuerOfAccessionNumberSequence & DRTDoseIOD::getIssuerOfAccessionNumberSequence | ( |  | ) |
| inline

get IssuerOfAccessionNumberSequence (0008,0051)

Returns
  reference to sequence element

References IssuerOfAccessionNumberSequence.

## ◆ getIssuerOfAccessionNumberSequence() [2/2]

const DRTIssuerOfAccessionNumberSequence & DRTDoseIOD::getIssuerOfAccessionNumberSequence | ( |  | ) | const
| inline

get IssuerOfAccessionNumberSequence (0008,0051)

Returns
  const reference to sequence element

References IssuerOfAccessionNumberSequence.

## ◆ getIssuerOfAdmissionIDSequence() [1/2]

DRTIssuerOfAdmissionIDSequence & DRTDoseIOD::getIssuerOfAdmissionIDSequence | ( |  | ) |
| inline

get IssuerOfAdmissionIDSequence (0038,0014)

Returns
  reference to sequence element

References IssuerOfAdmissionIDSequence.

## ◆ getIssuerOfAdmissionIDSequence() [2/2]

const DRTIssuerOfAdmissionIDSequence & DRTDoseIOD::getIssuerOfAdmissionIDSequence | ( |  | ) | const
| inline

get IssuerOfAdmissionIDSequence (0038,0014)

Returns
  const reference to sequence element

References IssuerOfAdmissionIDSequence.

## ◆ getIssuerOfPatientID()

virtual OFCondition DRTDoseIOD::getIssuerOfPatientID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get IssuerOfPatientID (0010,0021)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getIssuerOfPatientIDQualifiersSequence() [1/2]

DRTIssuerOfPatientIDQualifiersSequence & DRTDoseIOD::getIssuerOfPatientIDQualifiersSequence | ( |  | ) |
| inline

get IssuerOfPatientIDQualifiersSequence (0010,0024)

Returns
  reference to sequence element

References IssuerOfPatientIDQualifiersSequence.

## ◆ getIssuerOfPatientIDQualifiersSequence() [2/2]

const DRTIssuerOfPatientIDQualifiersSequence & DRTDoseIOD::getIssuerOfPatientIDQualifiersSequence | ( |  | ) | const
| inline

get IssuerOfPatientIDQualifiersSequence (0010,0024)

Returns
  const reference to sequence element

References IssuerOfPatientIDQualifiersSequence.

## ◆ getIssuerOfServiceEpisodeIDSequence() [1/2]

DRTIssuerOfServiceEpisodeIDSequence & DRTDoseIOD::getIssuerOfServiceEpisodeIDSequence | ( |  | ) |
| inline

get IssuerOfServiceEpisodeIDSequence (0038,0064)

Returns
  reference to sequence element

References IssuerOfServiceEpisodeIDSequence.

## ◆ getIssuerOfServiceEpisodeIDSequence() [2/2]

const DRTIssuerOfServiceEpisodeIDSequence & DRTDoseIOD::getIssuerOfServiceEpisodeIDSequence | ( |  | ) | const
| inline

get IssuerOfServiceEpisodeIDSequence (0038,0064)

Returns
  const reference to sequence element

References IssuerOfServiceEpisodeIDSequence.

## ◆ getLargestImagePixelValue()

virtual OFCondition DRTDoseIOD::getLargestImagePixelValue | ( | Uint16 & | value,
|  | const unsigned long | pos = 0 ) const
| virtual

get LargestImagePixelValue (0028,0107)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getLastMenstrualDate()

virtual OFCondition DRTDoseIOD::getLastMenstrualDate | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get LastMenstrualDate (0010,21d0)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getLongitudinalTemporalEventType()

virtual OFCondition DRTDoseIOD::getLongitudinalTemporalEventType | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get LongitudinalTemporalEventType (0012,0053)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getLongitudinalTemporalInformationModified()

virtual OFCondition DRTDoseIOD::getLongitudinalTemporalInformationModified | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get LongitudinalTemporalInformationModified (0028,0303)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getLongitudinalTemporalOffsetFromEvent()

virtual OFCondition DRTDoseIOD::getLongitudinalTemporalOffsetFromEvent | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const
| virtual

get LongitudinalTemporalOffsetFromEvent (0012,0052)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getLossyImageCompression()

virtual OFCondition DRTDoseIOD::getLossyImageCompression | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get LossyImageCompression (0028,2110)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getLossyImageCompressionMethod()

virtual OFCondition DRTDoseIOD::getLossyImageCompressionMethod | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get LossyImageCompressionMethod (0028,2114)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getLossyImageCompressionRatio() [1/3]

virtual OFCondition DRTDoseIOD::getLossyImageCompressionRatio | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const
| virtual

get LossyImageCompressionRatio (0028,2112)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getLossyImageCompressionRatio() [2/3]

virtual OFCondition DRTDoseIOD::getLossyImageCompressionRatio | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get LossyImageCompressionRatio (0028,2112)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getLossyImageCompressionRatio() [3/3]

virtual OFCondition DRTDoseIOD::getLossyImageCompressionRatio | ( | OFVector< Float64 > & | value | ) | const
| virtual

get LossyImageCompressionRatio (0028,2112)

Parameters

  value | reference to variable in which the value(s) should be stored

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getMACParametersSequence() [1/2]

DRTMACParametersSequence & DRTDoseIOD::getMACParametersSequence | ( |  | ) |
| inline

get MACParametersSequence (4ffe,0001)

Returns
  reference to sequence element

References MACParametersSequence.

## ◆ getMACParametersSequence() [2/2]

const DRTMACParametersSequence & DRTDoseIOD::getMACParametersSequence | ( |  | ) | const
| inline

get MACParametersSequence (4ffe,0001)

Returns
  const reference to sequence element

References MACParametersSequence.

## ◆ getManufacturer()

virtual OFCondition DRTDoseIOD::getManufacturer | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get Manufacturer (0008,0070)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getManufacturerDeviceClassUID()

virtual OFCondition DRTDoseIOD::getManufacturerDeviceClassUID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get ManufacturerDeviceClassUID (0018,100b)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getManufacturerModelName()

virtual OFCondition DRTDoseIOD::getManufacturerModelName | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get ManufacturerModelName (0008,1090)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getMappingResourceIdentificationSequence() [1/2]

DRTMappingResourceIdentificationSequence & DRTDoseIOD::getMappingResourceIdentificationSequence | ( |  | ) |
| inline

get MappingResourceIdentificationSequence (0008,0124)

Returns
  reference to sequence element

References MappingResourceIdentificationSequence.

## ◆ getMappingResourceIdentificationSequence() [2/2]

const DRTMappingResourceIdentificationSequence & DRTDoseIOD::getMappingResourceIdentificationSequence | ( |  | ) | const
| inline

get MappingResourceIdentificationSequence (0008,0124)

Returns
  const reference to sequence element

References MappingResourceIdentificationSequence.

## ◆ getMeasuredAPDimension() [1/2]

virtual OFCondition DRTDoseIOD::getMeasuredAPDimension | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const
| virtual

get MeasuredAPDimension (0010,1023)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getMeasuredAPDimension() [2/2]

virtual OFCondition DRTDoseIOD::getMeasuredAPDimension | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get MeasuredAPDimension (0010,1023)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getMeasuredLateralDimension() [1/2]

virtual OFCondition DRTDoseIOD::getMeasuredLateralDimension | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const
| virtual

get MeasuredLateralDimension (0010,1024)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getMeasuredLateralDimension() [2/2]

virtual OFCondition DRTDoseIOD::getMeasuredLateralDimension | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get MeasuredLateralDimension (0010,1024)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getMedicalAlerts()

virtual OFCondition DRTDoseIOD::getMedicalAlerts | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get MedicalAlerts (0010,2000)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getModality()

virtual OFCondition DRTDoseIOD::getModality | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get Modality (0008,0060)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNameOfPhysiciansReadingStudy()

virtual OFCondition DRTDoseIOD::getNameOfPhysiciansReadingStudy | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get NameOfPhysiciansReadingStudy (0008,1060)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNormalizationPoint() [1/3]

virtual OFCondition DRTDoseIOD::getNormalizationPoint | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const
| virtual

get NormalizationPoint (3004,0008)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNormalizationPoint() [2/3]

virtual OFCondition DRTDoseIOD::getNormalizationPoint | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get NormalizationPoint (3004,0008)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNormalizationPoint() [3/3]

virtual OFCondition DRTDoseIOD::getNormalizationPoint | ( | OFVector< Float64 > & | value | ) | const
| virtual

get NormalizationPoint (3004,0008)

Parameters

  value | reference to variable in which the value(s) should be stored

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNumberOfFrames() [1/2]

virtual OFCondition DRTDoseIOD::getNumberOfFrames | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get NumberOfFrames (0028,0008)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getNumberOfFrames() [2/2]

virtual OFCondition DRTDoseIOD::getNumberOfFrames | ( | Sint32 & | value,
|  | const unsigned long | pos = 0 ) const
| virtual

get NumberOfFrames (0028,0008)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getOccupation()

virtual OFCondition DRTDoseIOD::getOccupation | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get Occupation (0010,2180)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getOperatorIdentificationSequence() [1/2]

DRTOperatorIdentificationSequence & DRTDoseIOD::getOperatorIdentificationSequence | ( |  | ) |
| inline

get OperatorIdentificationSequence (0008,1072)

Returns
  reference to sequence element

References OperatorIdentificationSequence.

## ◆ getOperatorIdentificationSequence() [2/2]

const DRTOperatorIdentificationSequence & DRTDoseIOD::getOperatorIdentificationSequence | ( |  | ) | const
| inline

get OperatorIdentificationSequence (0008,1072)

Returns
  const reference to sequence element

References OperatorIdentificationSequence.

## ◆ getOperatorsName()

virtual OFCondition DRTDoseIOD::getOperatorsName | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get OperatorsName (0008,1070)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getOriginalAttributesSequence() [1/2]

DRTOriginalAttributesSequence & DRTDoseIOD::getOriginalAttributesSequence | ( |  | ) |
| inline

get OriginalAttributesSequence (0400,0561)

Returns
  reference to sequence element

References OriginalAttributesSequence.

## ◆ getOriginalAttributesSequence() [2/2]

const DRTOriginalAttributesSequence & DRTDoseIOD::getOriginalAttributesSequence | ( |  | ) | const
| inline

get OriginalAttributesSequence (0400,0561)

Returns
  const reference to sequence element

References OriginalAttributesSequence.

## ◆ getOriginalSpecializedSOPClassUID()

virtual OFCondition DRTDoseIOD::getOriginalSpecializedSOPClassUID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get OriginalSpecializedSOPClassUID (0008,001b)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getOtherPatientIDsSequence() [1/2]

DRTOtherPatientIDsSequence & DRTDoseIOD::getOtherPatientIDsSequence | ( |  | ) |
| inline

get OtherPatientIDsSequence (0010,1002)

Returns
  reference to sequence element

References OtherPatientIDsSequence.

## ◆ getOtherPatientIDsSequence() [2/2]

const DRTOtherPatientIDsSequence & DRTDoseIOD::getOtherPatientIDsSequence | ( |  | ) | const
| inline

get OtherPatientIDsSequence (0010,1002)

Returns
  const reference to sequence element

References OtherPatientIDsSequence.

## ◆ getOtherPatientNames()

virtual OFCondition DRTDoseIOD::getOtherPatientNames | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get OtherPatientNames (0010,1001)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPatientAge()

virtual OFCondition DRTDoseIOD::getPatientAge | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get PatientAge (0010,1010)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPatientAlternativeCalendar()

virtual OFCondition DRTDoseIOD::getPatientAlternativeCalendar | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get PatientAlternativeCalendar (0010,0035)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPatientBirthDate()

virtual OFCondition DRTDoseIOD::getPatientBirthDate | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get PatientBirthDate (0010,0030)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPatientBirthDateInAlternativeCalendar()

virtual OFCondition DRTDoseIOD::getPatientBirthDateInAlternativeCalendar | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get PatientBirthDateInAlternativeCalendar (0010,0033)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPatientBirthTime()

virtual OFCondition DRTDoseIOD::getPatientBirthTime | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get PatientBirthTime (0010,0032)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPatientBodyMassIndex() [1/2]

virtual OFCondition DRTDoseIOD::getPatientBodyMassIndex | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const
| virtual

get PatientBodyMassIndex (0010,1022)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPatientBodyMassIndex() [2/2]

virtual OFCondition DRTDoseIOD::getPatientBodyMassIndex | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get PatientBodyMassIndex (0010,1022)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPatientBreedCodeSequence() [1/2]

DRTPatientBreedCodeSequence & DRTDoseIOD::getPatientBreedCodeSequence | ( |  | ) |
| inline

get PatientBreedCodeSequence (0010,2293)

Returns
  reference to sequence element

References PatientBreedCodeSequence.

## ◆ getPatientBreedCodeSequence() [2/2]

const DRTPatientBreedCodeSequence & DRTDoseIOD::getPatientBreedCodeSequence | ( |  | ) | const
| inline

get PatientBreedCodeSequence (0010,2293)

Returns
  const reference to sequence element

References PatientBreedCodeSequence.

## ◆ getPatientBreedDescription()

virtual OFCondition DRTDoseIOD::getPatientBreedDescription | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get PatientBreedDescription (0010,2292)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPatientComments()

virtual OFCondition DRTDoseIOD::getPatientComments | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get PatientComments (0010,4000)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPatientDeathDateInAlternativeCalendar()

virtual OFCondition DRTDoseIOD::getPatientDeathDateInAlternativeCalendar | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get PatientDeathDateInAlternativeCalendar (0010,0034)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPatientID()

virtual OFCondition DRTDoseIOD::getPatientID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get PatientID (0010,0020)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPatientIdentityRemoved()

virtual OFCondition DRTDoseIOD::getPatientIdentityRemoved | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get PatientIdentityRemoved (0012,0062)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPatientName()

virtual OFCondition DRTDoseIOD::getPatientName | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get PatientName (0010,0010)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPatientOrientation()

virtual OFCondition DRTDoseIOD::getPatientOrientation | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get PatientOrientation (0020,0020)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPatientSex()

virtual OFCondition DRTDoseIOD::getPatientSex | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get PatientSex (0010,0040)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPatientSexNeutered()

virtual OFCondition DRTDoseIOD::getPatientSexNeutered | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get PatientSexNeutered (0010,2203)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPatientSize() [1/2]

virtual OFCondition DRTDoseIOD::getPatientSize | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const
| virtual

get PatientSize (0010,1020)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPatientSize() [2/2]

virtual OFCondition DRTDoseIOD::getPatientSize | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get PatientSize (0010,1020)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPatientSizeCodeSequence() [1/2]

DRTPatientSizeCodeSequence & DRTDoseIOD::getPatientSizeCodeSequence | ( |  | ) |
| inline

get PatientSizeCodeSequence (0010,1021)

Returns
  reference to sequence element

References PatientSizeCodeSequence.

## ◆ getPatientSizeCodeSequence() [2/2]

const DRTPatientSizeCodeSequence & DRTDoseIOD::getPatientSizeCodeSequence | ( |  | ) | const
| inline

get PatientSizeCodeSequence (0010,1021)

Returns
  const reference to sequence element

References PatientSizeCodeSequence.

## ◆ getPatientSpeciesCodeSequence() [1/2]

DRTPatientSpeciesCodeSequence & DRTDoseIOD::getPatientSpeciesCodeSequence | ( |  | ) |
| inline

get PatientSpeciesCodeSequence (0010,2202)

Returns
  reference to sequence element

References PatientSpeciesCodeSequence.

## ◆ getPatientSpeciesCodeSequence() [2/2]

const DRTPatientSpeciesCodeSequence & DRTDoseIOD::getPatientSpeciesCodeSequence | ( |  | ) | const
| inline

get PatientSpeciesCodeSequence (0010,2202)

Returns
  const reference to sequence element

References PatientSpeciesCodeSequence.

## ◆ getPatientSpeciesDescription()

virtual OFCondition DRTDoseIOD::getPatientSpeciesDescription | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get PatientSpeciesDescription (0010,2201)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPatientState()

virtual OFCondition DRTDoseIOD::getPatientState | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get PatientState (0038,0500)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPatientWeight() [1/2]

virtual OFCondition DRTDoseIOD::getPatientWeight | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const
| virtual

get PatientWeight (0010,1030)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPatientWeight() [2/2]

virtual OFCondition DRTDoseIOD::getPatientWeight | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get PatientWeight (0010,1030)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPerformedProcedureStepDescription()

virtual OFCondition DRTDoseIOD::getPerformedProcedureStepDescription | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get PerformedProcedureStepDescription (0040,0254)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPerformedProcedureStepEndDate()

virtual OFCondition DRTDoseIOD::getPerformedProcedureStepEndDate | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get PerformedProcedureStepEndDate (0040,0250)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPerformedProcedureStepEndTime()

virtual OFCondition DRTDoseIOD::getPerformedProcedureStepEndTime | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get PerformedProcedureStepEndTime (0040,0251)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPerformedProcedureStepID()

virtual OFCondition DRTDoseIOD::getPerformedProcedureStepID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get PerformedProcedureStepID (0040,0253)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPerformedProcedureStepStartDate()

virtual OFCondition DRTDoseIOD::getPerformedProcedureStepStartDate | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get PerformedProcedureStepStartDate (0040,0244)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPerformedProcedureStepStartTime()

virtual OFCondition DRTDoseIOD::getPerformedProcedureStepStartTime | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get PerformedProcedureStepStartTime (0040,0245)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPerformedProtocolCodeSequence() [1/2]

DRTPerformedProtocolCodeSequence & DRTDoseIOD::getPerformedProtocolCodeSequence | ( |  | ) |
| inline

get PerformedProtocolCodeSequence (0040,0260)

Returns
  reference to sequence element

References PerformedProtocolCodeSequence.

## ◆ getPerformedProtocolCodeSequence() [2/2]

const DRTPerformedProtocolCodeSequence & DRTDoseIOD::getPerformedProtocolCodeSequence | ( |  | ) | const
| inline

get PerformedProtocolCodeSequence (0040,0260)

Returns
  const reference to sequence element

References PerformedProtocolCodeSequence.

## ◆ getPhotometricInterpretation()

virtual OFCondition DRTDoseIOD::getPhotometricInterpretation | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get PhotometricInterpretation (0028,0004)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPhysiciansOfRecord()

virtual OFCondition DRTDoseIOD::getPhysiciansOfRecord | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get PhysiciansOfRecord (0008,1048)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPhysiciansOfRecordIdentificationSequence() [1/2]

DRTPhysiciansOfRecordIdentificationSequence & DRTDoseIOD::getPhysiciansOfRecordIdentificationSequence | ( |  | ) |
| inline

get PhysiciansOfRecordIdentificationSequence (0008,1049)

Returns
  reference to sequence element

References PhysiciansOfRecordIdentificationSequence.

## ◆ getPhysiciansOfRecordIdentificationSequence() [2/2]

const DRTPhysiciansOfRecordIdentificationSequence & DRTDoseIOD::getPhysiciansOfRecordIdentificationSequence | ( |  | ) | const
| inline

get PhysiciansOfRecordIdentificationSequence (0008,1049)

Returns
  const reference to sequence element

References PhysiciansOfRecordIdentificationSequence.

## ◆ getPhysiciansReadingStudyIdentificationSequence() [1/2]

DRTPhysiciansReadingStudyIdentificationSequence & DRTDoseIOD::getPhysiciansReadingStudyIdentificationSequence | ( |  | ) |
| inline

get PhysiciansReadingStudyIdentificationSequence (0008,1062)

Returns
  reference to sequence element

References PhysiciansReadingStudyIdentificationSequence.

## ◆ getPhysiciansReadingStudyIdentificationSequence() [2/2]

const DRTPhysiciansReadingStudyIdentificationSequence & DRTDoseIOD::getPhysiciansReadingStudyIdentificationSequence | ( |  | ) | const
| inline

get PhysiciansReadingStudyIdentificationSequence (0008,1062)

Returns
  const reference to sequence element

References PhysiciansReadingStudyIdentificationSequence.

## ◆ getPixelAspectRatio() [1/2]

virtual OFCondition DRTDoseIOD::getPixelAspectRatio | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get PixelAspectRatio (0028,0034)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPixelAspectRatio() [2/2]

virtual OFCondition DRTDoseIOD::getPixelAspectRatio | ( | Sint32 & | value,
|  | const unsigned long | pos = 0 ) const
| virtual

get PixelAspectRatio (0028,0034)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPixelData() [1/2]

DcmPixelData & DRTDoseIOD::getPixelData | ( |  | ) |
| inline

get PixelData (7fe0,0010)

Returns
  reference to pixel data element

References PixelData.

## ◆ getPixelData() [2/2]

const DcmPixelData & DRTDoseIOD::getPixelData | ( |  | ) | const
| inline

get PixelData (7fe0,0010)

Returns
  const reference to pixel data element

References PixelData.

## ◆ getPixelDataProviderURL()

virtual OFCondition DRTDoseIOD::getPixelDataProviderURL | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get PixelDataProviderURL (0028,7fe0)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPixelPaddingRangeLimit()

virtual OFCondition DRTDoseIOD::getPixelPaddingRangeLimit | ( | Uint16 & | value,
|  | const unsigned long | pos = 0 ) const
| virtual

get PixelPaddingRangeLimit (0028,0121)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPixelPaddingValue()

virtual OFCondition DRTDoseIOD::getPixelPaddingValue | ( | Uint16 & | value,
|  | const unsigned long | pos = 0 ) const
| virtual

get PixelPaddingValue (0028,0120)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPixelRepresentation()

virtual OFCondition DRTDoseIOD::getPixelRepresentation | ( | Uint16 & | value,
|  | const unsigned long | pos = 0 ) const
| virtual

get PixelRepresentation (0028,0103)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPixelSpacing() [1/3]

virtual OFCondition DRTDoseIOD::getPixelSpacing | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const
| virtual

get PixelSpacing (0028,0030)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPixelSpacing() [2/3]

virtual OFCondition DRTDoseIOD::getPixelSpacing | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get PixelSpacing (0028,0030)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPixelSpacing() [3/3]

virtual OFCondition DRTDoseIOD::getPixelSpacing | ( | OFVector< Float64 > & | value | ) | const
| virtual

get PixelSpacing (0028,0030)

Parameters

  value | reference to variable in which the value(s) should be stored

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPlanarConfiguration()

virtual OFCondition DRTDoseIOD::getPlanarConfiguration | ( | Uint16 & | value,
|  | const unsigned long | pos = 0 ) const
| virtual

get PlanarConfiguration (0028,0006)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPlanOverviewSequence() [1/2]

DRTPlanOverviewSequence & DRTDoseIOD::getPlanOverviewSequence | ( |  | ) |
| inline

get PlanOverviewSequence (300c,0116)

Returns
  reference to sequence element

References PlanOverviewSequence.

## ◆ getPlanOverviewSequence() [2/2]

const DRTPlanOverviewSequence & DRTDoseIOD::getPlanOverviewSequence | ( |  | ) | const
| inline

get PlanOverviewSequence (300c,0116)

Returns
  const reference to sequence element

References PlanOverviewSequence.

## ◆ getPositionReferenceIndicator()

virtual OFCondition DRTDoseIOD::getPositionReferenceIndicator | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get PositionReferenceIndicator (0020,1040)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPregnancyStatus()

virtual OFCondition DRTDoseIOD::getPregnancyStatus | ( | Uint16 & | value,
|  | const unsigned long | pos = 0 ) const
| virtual

get PregnancyStatus (0010,21c0)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPresentationLUTShape()

virtual OFCondition DRTDoseIOD::getPresentationLUTShape | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get PresentationLUTShape (2050,0020)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getPrimaryAnatomicStructureSequence() [1/2]

DRTPrimaryAnatomicStructureSequence & DRTDoseIOD::getPrimaryAnatomicStructureSequence | ( |  | ) |
| inline

get PrimaryAnatomicStructureSequence (0008,2228)

Returns
  reference to sequence element

References PrimaryAnatomicStructureSequence.

## ◆ getPrimaryAnatomicStructureSequence() [2/2]

const DRTPrimaryAnatomicStructureSequence & DRTDoseIOD::getPrimaryAnatomicStructureSequence | ( |  | ) | const
| inline

get PrimaryAnatomicStructureSequence (0008,2228)

Returns
  const reference to sequence element

References PrimaryAnatomicStructureSequence.

## ◆ getPrivateDataElementCharacteristicsSequence() [1/2]

DRTPrivateDataElementCharacteristicsSequence & DRTDoseIOD::getPrivateDataElementCharacteristicsSequence | ( |  | ) |
| inline

get PrivateDataElementCharacteristicsSequence (0008,0300)

Returns
  reference to sequence element

References PrivateDataElementCharacteristicsSequence.

## ◆ getPrivateDataElementCharacteristicsSequence() [2/2]

const DRTPrivateDataElementCharacteristicsSequence & DRTDoseIOD::getPrivateDataElementCharacteristicsSequence | ( |  | ) | const
| inline

get PrivateDataElementCharacteristicsSequence (0008,0300)

Returns
  const reference to sequence element

References PrivateDataElementCharacteristicsSequence.

## ◆ getProcedureCodeSequence() [1/2]

DRTProcedureCodeSequence & DRTDoseIOD::getProcedureCodeSequence | ( |  | ) |
| inline

get ProcedureCodeSequence (0008,1032)

Returns
  reference to sequence element

References ProcedureCodeSequence.

## ◆ getProcedureCodeSequence() [2/2]

const DRTProcedureCodeSequence & DRTDoseIOD::getProcedureCodeSequence | ( |  | ) | const
| inline

get ProcedureCodeSequence (0008,1032)

Returns
  const reference to sequence element

References ProcedureCodeSequence.

## ◆ getQualityControlImage()

virtual OFCondition DRTDoseIOD::getQualityControlImage | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get QualityControlImage (0028,0300)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getQualityControlSubject()

virtual OFCondition DRTDoseIOD::getQualityControlSubject | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get QualityControlSubject (0010,0200)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getQueryRetrieveView()

virtual OFCondition DRTDoseIOD::getQueryRetrieveView | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get QueryRetrieveView (0008,0053)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getRealWorldValueMappingSequence() [1/2]

DRTRealWorldValueMappingSequence & DRTDoseIOD::getRealWorldValueMappingSequence | ( |  | ) |
| inline

get RealWorldValueMappingSequence (0040,9096)

Returns
  reference to sequence element

References RealWorldValueMappingSequence.

## ◆ getRealWorldValueMappingSequence() [2/2]

const DRTRealWorldValueMappingSequence & DRTDoseIOD::getRealWorldValueMappingSequence | ( |  | ) | const
| inline

get RealWorldValueMappingSequence (0040,9096)

Returns
  const reference to sequence element

References RealWorldValueMappingSequence.

## ◆ getReasonForPerformedProcedureCodeSequence() [1/2]

DRTReasonForPerformedProcedureCodeSequence & DRTDoseIOD::getReasonForPerformedProcedureCodeSequence | ( |  | ) |
| inline

get ReasonForPerformedProcedureCodeSequence (0040,1012)

Returns
  reference to sequence element

References ReasonForPerformedProcedureCodeSequence.

## ◆ getReasonForPerformedProcedureCodeSequence() [2/2]

const DRTReasonForPerformedProcedureCodeSequence & DRTDoseIOD::getReasonForPerformedProcedureCodeSequence | ( |  | ) | const
| inline

get ReasonForPerformedProcedureCodeSequence (0040,1012)

Returns
  const reference to sequence element

References ReasonForPerformedProcedureCodeSequence.

## ◆ getReasonForVisit()

virtual OFCondition DRTDoseIOD::getReasonForVisit | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get ReasonForVisit (0032,1066)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getReasonForVisitCodeSequence() [1/2]

DRTReasonForVisitCodeSequence & DRTDoseIOD::getReasonForVisitCodeSequence | ( |  | ) |
| inline

get ReasonForVisitCodeSequence (0032,1067)

Returns
  reference to sequence element

References ReasonForVisitCodeSequence.

## ◆ getReasonForVisitCodeSequence() [2/2]

const DRTReasonForVisitCodeSequence & DRTDoseIOD::getReasonForVisitCodeSequence | ( |  | ) | const
| inline

get ReasonForVisitCodeSequence (0032,1067)

Returns
  const reference to sequence element

References ReasonForVisitCodeSequence.

## ◆ getRecognizableVisualFeatures()

virtual OFCondition DRTDoseIOD::getRecognizableVisualFeatures | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get RecognizableVisualFeatures (0028,0302)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getRedPaletteColorLookupTableData()

virtual OFCondition DRTDoseIOD::getRedPaletteColorLookupTableData | ( | Uint16 *& | value,
|  | unsigned long * | count = NULL ) const
| virtual

get RedPaletteColorLookupTableData (0028,1201)

Parameters

  value | reference to variable in which the value should be stored
  count | stores number of items in the result array (if not NULL)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getRedPaletteColorLookupTableDescriptor()

virtual OFCondition DRTDoseIOD::getRedPaletteColorLookupTableDescriptor | ( | Uint16 & | value,
|  | const unsigned long | pos = 0 ) const
| virtual

get RedPaletteColorLookupTableDescriptor (0028,1101)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getReferencedDefinedProtocolSequence() [1/2]

DRTReferencedDefinedProtocolSequence & DRTDoseIOD::getReferencedDefinedProtocolSequence | ( |  | ) |
| inline

get ReferencedDefinedProtocolSequence (0018,990c)

Returns
  reference to sequence element

References ReferencedDefinedProtocolSequence.

## ◆ getReferencedDefinedProtocolSequence() [2/2]

const DRTReferencedDefinedProtocolSequence & DRTDoseIOD::getReferencedDefinedProtocolSequence | ( |  | ) | const
| inline

get ReferencedDefinedProtocolSequence (0018,990c)

Returns
  const reference to sequence element

References ReferencedDefinedProtocolSequence.

## ◆ getReferencedInstanceSequence() [1/2]

DRTReferencedInstanceSequence & DRTDoseIOD::getReferencedInstanceSequence | ( |  | ) |
| inline

get ReferencedInstanceSequence (0008,114a)

Returns
  reference to sequence element

References ReferencedInstanceSequence.

## ◆ getReferencedInstanceSequence() [2/2]

const DRTReferencedInstanceSequence & DRTDoseIOD::getReferencedInstanceSequence | ( |  | ) | const
| inline

get ReferencedInstanceSequence (0008,114a)

Returns
  const reference to sequence element

References ReferencedInstanceSequence.

## ◆ getReferencedPatientPhotoSequence() [1/2]

DRTReferencedPatientPhotoSequence & DRTDoseIOD::getReferencedPatientPhotoSequence | ( |  | ) |
| inline

get ReferencedPatientPhotoSequence (0010,1100)

Returns
  reference to sequence element

References ReferencedPatientPhotoSequence.

## ◆ getReferencedPatientPhotoSequence() [2/2]

const DRTReferencedPatientPhotoSequence & DRTDoseIOD::getReferencedPatientPhotoSequence | ( |  | ) | const
| inline

get ReferencedPatientPhotoSequence (0010,1100)

Returns
  const reference to sequence element

References ReferencedPatientPhotoSequence.

## ◆ getReferencedPatientSequence() [1/2]

DRTReferencedPatientSequence & DRTDoseIOD::getReferencedPatientSequence | ( |  | ) |
| inline

get ReferencedPatientSequence (0008,1120)

Returns
  reference to sequence element

References ReferencedPatientSequence.

## ◆ getReferencedPatientSequence() [2/2]

const DRTReferencedPatientSequence & DRTDoseIOD::getReferencedPatientSequence | ( |  | ) | const
| inline

get ReferencedPatientSequence (0008,1120)

Returns
  const reference to sequence element

References ReferencedPatientSequence.

## ◆ getReferencedPerformedProcedureStepSequence() [1/2]

DRTReferencedPerformedProcedureStepSequence & DRTDoseIOD::getReferencedPerformedProcedureStepSequence | ( |  | ) |
| inline

get ReferencedPerformedProcedureStepSequence (0008,1111)

Returns
  reference to sequence element

References ReferencedPerformedProcedureStepSequence.

## ◆ getReferencedPerformedProcedureStepSequence() [2/2]

const DRTReferencedPerformedProcedureStepSequence & DRTDoseIOD::getReferencedPerformedProcedureStepSequence | ( |  | ) | const
| inline

get ReferencedPerformedProcedureStepSequence (0008,1111)

Returns
  const reference to sequence element

References ReferencedPerformedProcedureStepSequence.

## ◆ getReferencedPerformedProtocolSequence() [1/2]

DRTReferencedPerformedProtocolSequence & DRTDoseIOD::getReferencedPerformedProtocolSequence | ( |  | ) |
| inline

get ReferencedPerformedProtocolSequence (0018,990d)

Returns
  reference to sequence element

References ReferencedPerformedProtocolSequence.

## ◆ getReferencedPerformedProtocolSequence() [2/2]

const DRTReferencedPerformedProtocolSequence & DRTDoseIOD::getReferencedPerformedProtocolSequence | ( |  | ) | const
| inline

get ReferencedPerformedProtocolSequence (0018,990d)

Returns
  const reference to sequence element

References ReferencedPerformedProtocolSequence.

## ◆ getReferencedRTPlanSequence() [1/2]

DRTReferencedRTPlanSequence & DRTDoseIOD::getReferencedRTPlanSequence | ( |  | ) |
| inline

get ReferencedRTPlanSequence (300c,0002)

Returns
  reference to sequence element

References ReferencedRTPlanSequence.

## ◆ getReferencedRTPlanSequence() [2/2]

const DRTReferencedRTPlanSequence & DRTDoseIOD::getReferencedRTPlanSequence | ( |  | ) | const
| inline

get ReferencedRTPlanSequence (300c,0002)

Returns
  const reference to sequence element

References ReferencedRTPlanSequence.

## ◆ getReferencedSeriesSequence() [1/2]

DRTReferencedSeriesSequence & DRTDoseIOD::getReferencedSeriesSequence | ( |  | ) |
| inline

get ReferencedSeriesSequence (0008,1115)

Returns
  reference to sequence element

References ReferencedSeriesSequence.

## ◆ getReferencedSeriesSequence() [2/2]

const DRTReferencedSeriesSequence & DRTDoseIOD::getReferencedSeriesSequence | ( |  | ) | const
| inline

get ReferencedSeriesSequence (0008,1115)

Returns
  const reference to sequence element

References ReferencedSeriesSequence.

## ◆ getReferencedSpatialRegistrationSequence() [1/2]

DRTReferencedSpatialRegistrationSequence & DRTDoseIOD::getReferencedSpatialRegistrationSequence | ( |  | ) |
| inline

get ReferencedSpatialRegistrationSequence (0070,0404)

Returns
  reference to sequence element

References ReferencedSpatialRegistrationSequence.

## ◆ getReferencedSpatialRegistrationSequence() [2/2]

const DRTReferencedSpatialRegistrationSequence & DRTDoseIOD::getReferencedSpatialRegistrationSequence | ( |  | ) | const
| inline

get ReferencedSpatialRegistrationSequence (0070,0404)

Returns
  const reference to sequence element

References ReferencedSpatialRegistrationSequence.

## ◆ getReferencedStructureSetSequence() [1/2]

DRTReferencedStructureSetSequence & DRTDoseIOD::getReferencedStructureSetSequence | ( |  | ) |
| inline

get ReferencedStructureSetSequence (300c,0060)

Returns
  reference to sequence element

References ReferencedStructureSetSequence.

## ◆ getReferencedStructureSetSequence() [2/2]

const DRTReferencedStructureSetSequence & DRTDoseIOD::getReferencedStructureSetSequence | ( |  | ) | const
| inline

get ReferencedStructureSetSequence (300c,0060)

Returns
  const reference to sequence element

References ReferencedStructureSetSequence.

## ◆ getReferencedStudySequence() [1/2]

DRTReferencedStudySequence & DRTDoseIOD::getReferencedStudySequence | ( |  | ) |
| inline

get ReferencedStudySequence (0008,1110)

Returns
  reference to sequence element

References ReferencedStudySequence.

## ◆ getReferencedStudySequence() [2/2]

const DRTReferencedStudySequence & DRTDoseIOD::getReferencedStudySequence | ( |  | ) | const
| inline

get ReferencedStudySequence (0008,1110)

Returns
  const reference to sequence element

References ReferencedStudySequence.

## ◆ getReferencedTreatmentRecordSequence() [1/2]

DRTReferencedTreatmentRecordSequenceInRTDoseModule & DRTDoseIOD::getReferencedTreatmentRecordSequence | ( |  | ) |
| inline

get ReferencedTreatmentRecordSequence (3008,0030)

Returns
  reference to sequence element

References ReferencedTreatmentRecordSequence.

## ◆ getReferencedTreatmentRecordSequence() [2/2]

const DRTReferencedTreatmentRecordSequenceInRTDoseModule & DRTDoseIOD::getReferencedTreatmentRecordSequence | ( |  | ) | const
| inline

get ReferencedTreatmentRecordSequence (3008,0030)

Returns
  const reference to sequence element

References ReferencedTreatmentRecordSequence.

## ◆ getReferringPhysicianIdentificationSequence() [1/2]

DRTReferringPhysicianIdentificationSequence & DRTDoseIOD::getReferringPhysicianIdentificationSequence | ( |  | ) |
| inline

get ReferringPhysicianIdentificationSequence (0008,0096)

Returns
  reference to sequence element

References ReferringPhysicianIdentificationSequence.

## ◆ getReferringPhysicianIdentificationSequence() [2/2]

const DRTReferringPhysicianIdentificationSequence & DRTDoseIOD::getReferringPhysicianIdentificationSequence | ( |  | ) | const
| inline

get ReferringPhysicianIdentificationSequence (0008,0096)

Returns
  const reference to sequence element

References ReferringPhysicianIdentificationSequence.

## ◆ getReferringPhysicianName()

virtual OFCondition DRTDoseIOD::getReferringPhysicianName | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get ReferringPhysicianName (0008,0090)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getRelatedGeneralSOPClassUID()

virtual OFCondition DRTDoseIOD::getRelatedGeneralSOPClassUID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get RelatedGeneralSOPClassUID (0008,001a)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getRequestAttributesSequence() [1/2]

DRTRequestAttributesSequence & DRTDoseIOD::getRequestAttributesSequence | ( |  | ) |
| inline

get RequestAttributesSequence (0040,0275)

Returns
  reference to sequence element

References RequestAttributesSequence.

## ◆ getRequestAttributesSequence() [2/2]

const DRTRequestAttributesSequence & DRTDoseIOD::getRequestAttributesSequence | ( |  | ) | const
| inline

get RequestAttributesSequence (0040,0275)

Returns
  const reference to sequence element

References RequestAttributesSequence.

## ◆ getRequestingService()

virtual OFCondition DRTDoseIOD::getRequestingService | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get RequestingService (0032,1033)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getRequestingServiceCodeSequence() [1/2]

DRTRequestingServiceCodeSequence & DRTDoseIOD::getRequestingServiceCodeSequence | ( |  | ) |
| inline

get RequestingServiceCodeSequence (0032,1034)

Returns
  reference to sequence element

References RequestingServiceCodeSequence.

## ◆ getRequestingServiceCodeSequence() [2/2]

const DRTRequestingServiceCodeSequence & DRTDoseIOD::getRequestingServiceCodeSequence | ( |  | ) | const
| inline

get RequestingServiceCodeSequence (0032,1034)

Returns
  const reference to sequence element

References RequestingServiceCodeSequence.

## ◆ getResponsibleOrganization()

virtual OFCondition DRTDoseIOD::getResponsibleOrganization | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get ResponsibleOrganization (0010,2299)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getResponsiblePerson()

virtual OFCondition DRTDoseIOD::getResponsiblePerson | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get ResponsiblePerson (0010,2297)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getResponsiblePersonRole()

virtual OFCondition DRTDoseIOD::getResponsiblePersonRole | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get ResponsiblePersonRole (0010,2298)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getRows()

virtual OFCondition DRTDoseIOD::getRows | ( | Uint16 & | value,
|  | const unsigned long | pos = 0 ) const
| virtual

get Rows (0028,0010)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSamplesPerPixel()

virtual OFCondition DRTDoseIOD::getSamplesPerPixel | ( | Uint16 & | value,
|  | const unsigned long | pos = 0 ) const
| virtual

get SamplesPerPixel (0028,0002)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSeriesDate()

virtual OFCondition DRTDoseIOD::getSeriesDate | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get SeriesDate (0008,0021)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSeriesDescription()

virtual OFCondition DRTDoseIOD::getSeriesDescription | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get SeriesDescription (0008,103e)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSeriesDescriptionCodeSequence() [1/2]

DRTSeriesDescriptionCodeSequence & DRTDoseIOD::getSeriesDescriptionCodeSequence | ( |  | ) |
| inline

get SeriesDescriptionCodeSequence (0008,103f)

Returns
  reference to sequence element

References SeriesDescriptionCodeSequence.

## ◆ getSeriesDescriptionCodeSequence() [2/2]

const DRTSeriesDescriptionCodeSequence & DRTDoseIOD::getSeriesDescriptionCodeSequence | ( |  | ) | const
| inline

get SeriesDescriptionCodeSequence (0008,103f)

Returns
  const reference to sequence element

References SeriesDescriptionCodeSequence.

## ◆ getSeriesInstanceUID()

virtual OFCondition DRTDoseIOD::getSeriesInstanceUID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get SeriesInstanceUID (0020,000e)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSeriesNumber() [1/2]

virtual OFCondition DRTDoseIOD::getSeriesNumber | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get SeriesNumber (0020,0011)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSeriesNumber() [2/2]

virtual OFCondition DRTDoseIOD::getSeriesNumber | ( | Sint32 & | value,
|  | const unsigned long | pos = 0 ) const
| virtual

get SeriesNumber (0020,0011)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSeriesTime()

virtual OFCondition DRTDoseIOD::getSeriesTime | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get SeriesTime (0008,0031)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getServiceEpisodeDescription()

virtual OFCondition DRTDoseIOD::getServiceEpisodeDescription | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get ServiceEpisodeDescription (0038,0062)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getServiceEpisodeID()

virtual OFCondition DRTDoseIOD::getServiceEpisodeID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get ServiceEpisodeID (0038,0060)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSliceLocation() [1/2]

virtual OFCondition DRTDoseIOD::getSliceLocation | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const
| virtual

get SliceLocation (0020,1041)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSliceLocation() [2/2]

virtual OFCondition DRTDoseIOD::getSliceLocation | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get SliceLocation (0020,1041)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSliceThickness() [1/2]

virtual OFCondition DRTDoseIOD::getSliceThickness | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const
| virtual

get SliceThickness (0018,0050)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSliceThickness() [2/2]

virtual OFCondition DRTDoseIOD::getSliceThickness | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get SliceThickness (0018,0050)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSmallestImagePixelValue()

virtual OFCondition DRTDoseIOD::getSmallestImagePixelValue | ( | Uint16 & | value,
|  | const unsigned long | pos = 0 ) const
| virtual

get SmallestImagePixelValue (0028,0106)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSmokingStatus()

virtual OFCondition DRTDoseIOD::getSmokingStatus | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get SmokingStatus (0010,21a0)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSoftwareVersions()

virtual OFCondition DRTDoseIOD::getSoftwareVersions | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get SoftwareVersions (0018,1020)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSOPAuthorizationComment()

virtual OFCondition DRTDoseIOD::getSOPAuthorizationComment | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get SOPAuthorizationComment (0100,0424)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSOPAuthorizationDateTime()

virtual OFCondition DRTDoseIOD::getSOPAuthorizationDateTime | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get SOPAuthorizationDateTime (0100,0420)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSOPClassUID()

virtual OFCondition DRTDoseIOD::getSOPClassUID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get SOPClassUID (0008,0016)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSOPInstanceStatus()

virtual OFCondition DRTDoseIOD::getSOPInstanceStatus | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get SOPInstanceStatus (0100,0410)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSOPInstanceUID()

virtual OFCondition DRTDoseIOD::getSOPInstanceUID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get SOPInstanceUID (0008,0018)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSourcePatientGroupIdentificationSequence() [1/2]

DRTSourcePatientGroupIdentificationSequence & DRTDoseIOD::getSourcePatientGroupIdentificationSequence | ( |  | ) |
| inline

get SourcePatientGroupIdentificationSequence (0010,0026)

Returns
  reference to sequence element

References SourcePatientGroupIdentificationSequence.

## ◆ getSourcePatientGroupIdentificationSequence() [2/2]

const DRTSourcePatientGroupIdentificationSequence & DRTDoseIOD::getSourcePatientGroupIdentificationSequence | ( |  | ) | const
| inline

get SourcePatientGroupIdentificationSequence (0010,0026)

Returns
  const reference to sequence element

References SourcePatientGroupIdentificationSequence.

## ◆ getSpacingBetweenSlices() [1/2]

virtual OFCondition DRTDoseIOD::getSpacingBetweenSlices | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const
| virtual

get SpacingBetweenSlices (0018,0088)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSpacingBetweenSlices() [2/2]

virtual OFCondition DRTDoseIOD::getSpacingBetweenSlices | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get SpacingBetweenSlices (0018,0088)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSpatialResolution() [1/2]

virtual OFCondition DRTDoseIOD::getSpatialResolution | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const
| virtual

get SpatialResolution (0018,1050)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSpatialResolution() [2/2]

virtual OFCondition DRTDoseIOD::getSpatialResolution | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get SpatialResolution (0018,1050)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSpatialTransformOfDose()

virtual OFCondition DRTDoseIOD::getSpatialTransformOfDose | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get SpatialTransformOfDose (3004,0005)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getSpecificCharacterSet()

virtual OFCondition DRTDoseIOD::getSpecificCharacterSet | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get SpecificCharacterSet (0008,0005)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getStationName()

virtual OFCondition DRTDoseIOD::getStationName | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get StationName (0008,1010)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getStereoPairsPresent()

virtual OFCondition DRTDoseIOD::getStereoPairsPresent | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get StereoPairsPresent (0022,0028)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getStrainAdditionalInformation()

virtual OFCondition DRTDoseIOD::getStrainAdditionalInformation | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get StrainAdditionalInformation (0010,0218)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getStrainCodeSequence() [1/2]

DRTStrainCodeSequence & DRTDoseIOD::getStrainCodeSequence | ( |  | ) |
| inline

get StrainCodeSequence (0010,0219)

Returns
  reference to sequence element

References StrainCodeSequence.

## ◆ getStrainCodeSequence() [2/2]

const DRTStrainCodeSequence & DRTDoseIOD::getStrainCodeSequence | ( |  | ) | const
| inline

get StrainCodeSequence (0010,0219)

Returns
  const reference to sequence element

References StrainCodeSequence.

## ◆ getStrainDescription()

virtual OFCondition DRTDoseIOD::getStrainDescription | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get StrainDescription (0010,0212)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getStrainNomenclature()

virtual OFCondition DRTDoseIOD::getStrainNomenclature | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get StrainNomenclature (0010,0213)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getStrainStockSequence() [1/2]

DRTStrainStockSequence & DRTDoseIOD::getStrainStockSequence | ( |  | ) |
| inline

get StrainStockSequence (0010,0216)

Returns
  reference to sequence element

References StrainStockSequence.

## ◆ getStrainStockSequence() [2/2]

const DRTStrainStockSequence & DRTDoseIOD::getStrainStockSequence | ( |  | ) | const
| inline

get StrainStockSequence (0010,0216)

Returns
  const reference to sequence element

References StrainStockSequence.

## ◆ getStudiesContainingOtherReferencedInstancesSequence() [1/2]

DRTStudiesContainingOtherReferencedInstancesSequence & DRTDoseIOD::getStudiesContainingOtherReferencedInstancesSequence | ( |  | ) |
| inline

get StudiesContainingOtherReferencedInstancesSequence (0008,1200)

Returns
  reference to sequence element

References StudiesContainingOtherReferencedInstancesSequence.

## ◆ getStudiesContainingOtherReferencedInstancesSequence() [2/2]

const DRTStudiesContainingOtherReferencedInstancesSequence & DRTDoseIOD::getStudiesContainingOtherReferencedInstancesSequence | ( |  | ) | const
| inline

get StudiesContainingOtherReferencedInstancesSequence (0008,1200)

Returns
  const reference to sequence element

References StudiesContainingOtherReferencedInstancesSequence.

## ◆ getStudyDate()

virtual OFCondition DRTDoseIOD::getStudyDate | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get StudyDate (0008,0020)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getStudyDescription()

virtual OFCondition DRTDoseIOD::getStudyDescription | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get StudyDescription (0008,1030)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getStudyID()

virtual OFCondition DRTDoseIOD::getStudyID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get StudyID (0020,0010)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getStudyInstanceUID()

virtual OFCondition DRTDoseIOD::getStudyInstanceUID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get StudyInstanceUID (0020,000d)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getStudyTime()

virtual OFCondition DRTDoseIOD::getStudyTime | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get StudyTime (0008,0030)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTimeOfLastCalibration()

virtual OFCondition DRTDoseIOD::getTimeOfLastCalibration | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get TimeOfLastCalibration (0018,1201)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTimezoneOffsetFromUTC()

virtual OFCondition DRTDoseIOD::getTimezoneOffsetFromUTC | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get TimezoneOffsetFromUTC (0008,0201)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTissueHeterogeneityCorrection()

virtual OFCondition DRTDoseIOD::getTissueHeterogeneityCorrection | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get TissueHeterogeneityCorrection (3004,0014)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTreatmentSessionUID()

virtual OFCondition DRTDoseIOD::getTreatmentSessionUID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get TreatmentSessionUID (300a,0700)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getTypeOfPatientID()

virtual OFCondition DRTDoseIOD::getTypeOfPatientID | ( | OFString & | value,
|  | const signed long | pos = 0 ) const
| virtual

get TypeOfPatientID (0010,0022)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getUDISequence() [1/2]

DRTUDISequence & DRTDoseIOD::getUDISequence | ( |  | ) |
| inline

get UDISequence (0018,100a)

Returns
  reference to sequence element

References UDISequence.

## ◆ getUDISequence() [2/2]

const DRTUDISequence & DRTDoseIOD::getUDISequence | ( |  | ) | const
| inline

get UDISequence (0018,100a)

Returns
  const reference to sequence element

References UDISequence.

## ◆ isClinicalTrialSeriesModulePresent()

virtual OFBool DRTDoseIOD::isClinicalTrialSeriesModulePresent | ( | const OFBool | complete = OFFalse | ) |
| virtual

check whether ClinicalTrialSeriesModule (U) is present.

By default, a module is reported as being present if at least one attribute from this module has a non-empty value.

Parameters

  complete | check for all mandatory attributes of this module if enabled

Returns
  OFTrue if module is present, OFFalse otherwise

## ◆ isClinicalTrialStudyModulePresent()

virtual OFBool DRTDoseIOD::isClinicalTrialStudyModulePresent | ( | const OFBool | complete = OFFalse | ) |
| virtual

check whether ClinicalTrialStudyModule (U) is present.

By default, a module is reported as being present if at least one attribute from this module has a non-empty value.

Parameters

  complete | check for all mandatory attributes of this module if enabled

Returns
  OFTrue if module is present, OFFalse otherwise

## ◆ isClinicalTrialSubjectModulePresent()

virtual OFBool DRTDoseIOD::isClinicalTrialSubjectModulePresent | ( | const OFBool | complete = OFFalse | ) |
| virtual

check whether ClinicalTrialSubjectModule (U) is present.

By default, a module is reported as being present if at least one attribute from this module has a non-empty value.

Parameters

  complete | check for all mandatory attributes of this module if enabled

Returns
  OFTrue if module is present, OFFalse otherwise

## ◆ isCommonInstanceReferenceModulePresent()

virtual OFBool DRTDoseIOD::isCommonInstanceReferenceModulePresent | ( | const OFBool | complete = OFFalse | ) |
| virtual

check whether CommonInstanceReferenceModule (U) is present.

By default, a module is reported as being present if at least one attribute from this module has a non-empty value.

Parameters

  complete | check for all mandatory attributes of this module if enabled

Returns
  OFTrue if module is present, OFFalse otherwise

## ◆ isFrameExtractionModulePresent()

virtual OFBool DRTDoseIOD::isFrameExtractionModulePresent | ( | const OFBool | complete = OFFalse | ) |
| virtual

check whether FrameExtractionModule (C) is present.

By default, a module is reported as being present if at least one attribute from this module has a non-empty value.

Parameters

  complete | check for all mandatory attributes of this module if enabled

Returns
  OFTrue if module is present, OFFalse otherwise

## ◆ isGeneralImageModulePresent()

virtual OFBool DRTDoseIOD::isGeneralImageModulePresent | ( | const OFBool | complete = OFFalse | ) |
| virtual

check whether GeneralImageModule (C) is present.

By default, a module is reported as being present if at least one attribute from this module has a non-empty value.

Parameters

  complete | check for all mandatory attributes of this module if enabled

Returns
  OFTrue if module is present, OFFalse otherwise

## ◆ isImagePixelModulePresent()

virtual OFBool DRTDoseIOD::isImagePixelModulePresent | ( | const OFBool | complete = OFFalse | ) |
| virtual

check whether ImagePixelModule (C) is present.

By default, a module is reported as being present if at least one attribute from this module has a non-empty value.

Parameters

  complete | check for all mandatory attributes of this module if enabled

Returns
  OFTrue if module is present, OFFalse otherwise

## ◆ isImagePlaneModulePresent()

virtual OFBool DRTDoseIOD::isImagePlaneModulePresent | ( | const OFBool | complete = OFFalse | ) |
| virtual

check whether ImagePlaneModule (C) is present.

By default, a module is reported as being present if at least one attribute from this module has a non-empty value.

Parameters

  complete | check for all mandatory attributes of this module if enabled

Returns
  OFTrue if module is present, OFFalse otherwise

## ◆ isMultiFrameModulePresent()

virtual OFBool DRTDoseIOD::isMultiFrameModulePresent | ( | const OFBool | complete = OFFalse | ) |
| virtual

check whether MultiFrameModule (C) is present.

By default, a module is reported as being present if at least one attribute from this module has a non-empty value.

Parameters

  complete | check for all mandatory attributes of this module if enabled

Returns
  OFTrue if module is present, OFFalse otherwise

## ◆ isPatientStudyModulePresent()

virtual OFBool DRTDoseIOD::isPatientStudyModulePresent | ( | const OFBool | complete = OFFalse | ) |
| virtual

check whether PatientStudyModule (U) is present.

By default, a module is reported as being present if at least one attribute from this module has a non-empty value.

Parameters

  complete | check for all mandatory attributes of this module if enabled

Returns
  OFTrue if module is present, OFFalse otherwise

## ◆ isRTDVHModulePresent()

virtual OFBool DRTDoseIOD::isRTDVHModulePresent | ( | const OFBool | complete = OFFalse | ) |
| virtual

check whether RTDVHModule (U) is present.

By default, a module is reported as being present if at least one attribute from this module has a non-empty value.

Parameters

  complete | check for all mandatory attributes of this module if enabled

Returns
  OFTrue if module is present, OFFalse otherwise

## ◆ isValid()

virtual OFBool DRTDoseIOD::isValid | ( |  | ) |
| virtual

check whether the current internal state is valid

Returns
  OFTrue if valid, OFFalse otherwise

Reimplemented in DRTDose.

## ◆ operator=()

DRTDoseIOD & DRTDoseIOD::operator= | ( | const DRTDoseIOD & | copy | ) |

assignment operator

Parameters

  copy | IOD object to be copied

Returns
  reference to this object

References DRTDoseIOD().

## ◆ read()

virtual OFCondition DRTDoseIOD::read | ( | DcmItem & | dataset | ) |
| virtual

read object from dataset

Parameters

  dataset | reference to DICOM dataset from which the object should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ readPatientData()

virtual OFCondition DRTDoseIOD::readPatientData | ( | DcmItem & | dataset | ) |
| virtual

read PatientData from dataset

Parameters

  dataset | reference to DICOM dataset from which the data should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ readSeriesData()

virtual OFCondition DRTDoseIOD::readSeriesData | ( | DcmItem & | dataset | ) |
| virtual

read SeriesData from dataset.

Also reads PatientData, StudyData.

Parameters

  dataset | reference to DICOM dataset from which the data should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ readStudyData()

virtual OFCondition DRTDoseIOD::readStudyData | ( | DcmItem & | dataset | ) |
| virtual

read StudyData from dataset.

Also reads PatientData.

Parameters

  dataset | reference to DICOM dataset from which the data should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setAccessionNumber()

virtual OFCondition DRTDoseIOD::setAccessionNumber | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set AccessionNumber (0008,0050)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (SH) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setAdditionalPatientHistory()

virtual OFCondition DRTDoseIOD::setAdditionalPatientHistory | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set AdditionalPatientHistory (0010,21b0)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LT) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setAdmissionID()

virtual OFCondition DRTDoseIOD::setAdmissionID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set AdmissionID (0038,0010)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setAdmittingDiagnosesDescription()

virtual OFCondition DRTDoseIOD::setAdmittingDiagnosesDescription | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set AdmittingDiagnosesDescription (0008,1080)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1-n) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setAllergies()

virtual OFCondition DRTDoseIOD::setAllergies | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set Allergies (0010,2110)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1-n) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setAuthorizationEquipmentCertificationNumber()

virtual OFCondition DRTDoseIOD::setAuthorizationEquipmentCertificationNumber | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set AuthorizationEquipmentCertificationNumber (0100,0426)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setBarcodeValue()

virtual OFCondition DRTDoseIOD::setBarcodeValue | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set BarcodeValue (2200,0005)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LT) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setBitsAllocated()

virtual OFCondition DRTDoseIOD::setBitsAllocated | ( | const Uint16 | value,
|  | const unsigned long | pos = 0 )
| virtual

set BitsAllocated (0028,0100)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setBitsStored()

virtual OFCondition DRTDoseIOD::setBitsStored | ( | const Uint16 | value,
|  | const unsigned long | pos = 0 )
| virtual

set BitsStored (0028,0101)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setBluePaletteColorLookupTableData()

virtual OFCondition DRTDoseIOD::setBluePaletteColorLookupTableData | ( | const Uint16 * | value,
|  | const unsigned long | count )
| virtual

set BluePaletteColorLookupTableData (0028,1203)

Parameters

  value | array value to be set (data is copied)
  count | number of items in the array

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setBluePaletteColorLookupTableDescriptor()

virtual OFCondition DRTDoseIOD::setBluePaletteColorLookupTableDescriptor | ( | const Uint16 | value,
|  | const unsigned long | pos = 0 )
| virtual

set BluePaletteColorLookupTableDescriptor (0028,1103)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=3

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setBurnedInAnnotation()

virtual OFCondition DRTDoseIOD::setBurnedInAnnotation | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set BurnedInAnnotation (0028,0301)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setClinicalTrialCoordinatingCenterName()

virtual OFCondition DRTDoseIOD::setClinicalTrialCoordinatingCenterName | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set ClinicalTrialCoordinatingCenterName (0012,0060)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setClinicalTrialProtocolEthicsCommitteeApprovalNumber()

virtual OFCondition DRTDoseIOD::setClinicalTrialProtocolEthicsCommitteeApprovalNumber | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set ClinicalTrialProtocolEthicsCommitteeApprovalNumber (0012,0082)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setClinicalTrialProtocolEthicsCommitteeName()

virtual OFCondition DRTDoseIOD::setClinicalTrialProtocolEthicsCommitteeName | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set ClinicalTrialProtocolEthicsCommitteeName (0012,0081)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setClinicalTrialProtocolID()

virtual OFCondition DRTDoseIOD::setClinicalTrialProtocolID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set ClinicalTrialProtocolID (0012,0020)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setClinicalTrialProtocolName()

virtual OFCondition DRTDoseIOD::setClinicalTrialProtocolName | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set ClinicalTrialProtocolName (0012,0021)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setClinicalTrialSeriesDescription()

virtual OFCondition DRTDoseIOD::setClinicalTrialSeriesDescription | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set ClinicalTrialSeriesDescription (0012,0072)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setClinicalTrialSeriesID()

virtual OFCondition DRTDoseIOD::setClinicalTrialSeriesID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set ClinicalTrialSeriesID (0012,0071)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setClinicalTrialSiteID()

virtual OFCondition DRTDoseIOD::setClinicalTrialSiteID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set ClinicalTrialSiteID (0012,0030)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setClinicalTrialSiteName()

virtual OFCondition DRTDoseIOD::setClinicalTrialSiteName | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set ClinicalTrialSiteName (0012,0031)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setClinicalTrialSponsorName()

virtual OFCondition DRTDoseIOD::setClinicalTrialSponsorName | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set ClinicalTrialSponsorName (0012,0010)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setClinicalTrialSubjectID()

virtual OFCondition DRTDoseIOD::setClinicalTrialSubjectID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set ClinicalTrialSubjectID (0012,0040)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setClinicalTrialSubjectReadingID()

virtual OFCondition DRTDoseIOD::setClinicalTrialSubjectReadingID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set ClinicalTrialSubjectReadingID (0012,0042)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setClinicalTrialTimePointDescription()

virtual OFCondition DRTDoseIOD::setClinicalTrialTimePointDescription | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set ClinicalTrialTimePointDescription (0012,0051)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (ST) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setClinicalTrialTimePointID()

virtual OFCondition DRTDoseIOD::setClinicalTrialTimePointID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set ClinicalTrialTimePointID (0012,0050)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setColorSpace()

virtual OFCondition DRTDoseIOD::setColorSpace | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set ColorSpace (0028,2002)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setColumns()

virtual OFCondition DRTDoseIOD::setColumns | ( | const Uint16 | value,
|  | const unsigned long | pos = 0 )
| virtual

set Columns (0028,0011)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setCommentsOnThePerformedProcedureStep()

virtual OFCondition DRTDoseIOD::setCommentsOnThePerformedProcedureStep | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set CommentsOnThePerformedProcedureStep (0040,0280)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (ST) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setConsultingPhysicianName()

virtual OFCondition DRTDoseIOD::setConsultingPhysicianName | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set ConsultingPhysicianName (0008,009c)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (PN) and VM (1-n) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setContentDate()

virtual OFCondition DRTDoseIOD::setContentDate | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set ContentDate (0008,0023)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DA) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setContentQualification()

virtual OFCondition DRTDoseIOD::setContentQualification | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set ContentQualification (0018,9004)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setContentTime()

virtual OFCondition DRTDoseIOD::setContentTime | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set ContentTime (0008,0033)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (TM) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setDateOfLastCalibration()

virtual OFCondition DRTDoseIOD::setDateOfLastCalibration | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set DateOfLastCalibration (0018,1200)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (DA) and VM (1-n) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setDeidentificationMethod()

virtual OFCondition DRTDoseIOD::setDeidentificationMethod | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set DeidentificationMethod (0012,0063)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1-n) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setDeviceSerialNumber()

virtual OFCondition DRTDoseIOD::setDeviceSerialNumber | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set DeviceSerialNumber (0018,1000)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setDeviceUID()

virtual OFCondition DRTDoseIOD::setDeviceUID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set DeviceUID (0018,1002)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (UI) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setDoseComment()

virtual OFCondition DRTDoseIOD::setDoseComment | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set DoseComment (3004,0006)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setDoseGridScaling()

virtual OFCondition DRTDoseIOD::setDoseGridScaling | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set DoseGridScaling (3004,000e)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setDoseSummationType()

virtual OFCondition DRTDoseIOD::setDoseSummationType | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set DoseSummationType (3004,000a)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setDoseType()

virtual OFCondition DRTDoseIOD::setDoseType | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set DoseType (3004,0004)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setDoseUnits()

virtual OFCondition DRTDoseIOD::setDoseUnits | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set DoseUnits (3004,0002)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setDVHNormalizationDoseValue()

virtual OFCondition DRTDoseIOD::setDVHNormalizationDoseValue | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set DVHNormalizationDoseValue (3004,0042)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setDVHNormalizationPoint()

virtual OFCondition DRTDoseIOD::setDVHNormalizationPoint | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set DVHNormalizationPoint (3004,0040)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (3) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setEncapsulatedPixelDataValueTotalLength()

virtual OFCondition DRTDoseIOD::setEncapsulatedPixelDataValueTotalLength | ( | const Uint64 | value,
|  | const unsigned long | pos = 0 )
| virtual

set EncapsulatedPixelDataValueTotalLength (7fe0,0003)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setEntityLongLabel()

virtual OFCondition DRTDoseIOD::setEntityLongLabel | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set EntityLongLabel (3010,0038)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setEthnicGroup()

virtual OFCondition DRTDoseIOD::setEthnicGroup | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set EthnicGroup (0010,2160)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (SH) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setExtendedOffsetTable()

virtual OFCondition DRTDoseIOD::setExtendedOffsetTable | ( | const Uint64 * | value,
|  | const unsigned long | count )
| virtual

set ExtendedOffsetTable (7fe0,0001)

Parameters

  value | array value to be set (data is copied)
  count | number of items in the array

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setExtendedOffsetTableLengths()

virtual OFCondition DRTDoseIOD::setExtendedOffsetTableLengths | ( | const Uint64 * | value,
|  | const unsigned long | count )
| virtual

set ExtendedOffsetTableLengths (7fe0,0002)

Parameters

  value | array value to be set (data is copied)
  count | number of items in the array

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setFrameIncrementPointer()

virtual OFCondition DRTDoseIOD::setFrameIncrementPointer | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set FrameIncrementPointer (0028,0009)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (AT) and VM (1-n) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setFrameOfReferenceUID()

virtual OFCondition DRTDoseIOD::setFrameOfReferenceUID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set FrameOfReferenceUID (0020,0052)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (UI) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setGantryID()

virtual OFCondition DRTDoseIOD::setGantryID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set GantryID (0018,1008)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setGreenPaletteColorLookupTableData()

virtual OFCondition DRTDoseIOD::setGreenPaletteColorLookupTableData | ( | const Uint16 * | value,
|  | const unsigned long | count )
| virtual

set GreenPaletteColorLookupTableData (0028,1202)

Parameters

  value | array value to be set (data is copied)
  count | number of items in the array

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setGreenPaletteColorLookupTableDescriptor()

virtual OFCondition DRTDoseIOD::setGreenPaletteColorLookupTableDescriptor | ( | const Uint16 | value,
|  | const unsigned long | pos = 0 )
| virtual

set GreenPaletteColorLookupTableDescriptor (0028,1102)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=3

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setGridFrameOffsetVector()

virtual OFCondition DRTDoseIOD::setGridFrameOffsetVector | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set GridFrameOffsetVector (3004,000c)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (2-n) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setHighBit()

virtual OFCondition DRTDoseIOD::setHighBit | ( | const Uint16 | value,
|  | const unsigned long | pos = 0 )
| virtual

set HighBit (0028,0102)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setICCProfile()

virtual OFCondition DRTDoseIOD::setICCProfile | ( | const Uint8 * | value,
|  | const unsigned long | count )
| virtual

set ICCProfile (0028,2000)

Parameters

  value | array value to be set (data is copied)
  count | number of items in the array

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setImageComments()

virtual OFCondition DRTDoseIOD::setImageComments | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set ImageComments (0020,4000)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LT) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setImageLaterality()

virtual OFCondition DRTDoseIOD::setImageLaterality | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set ImageLaterality (0020,0062)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setImageOrientationPatient()

virtual OFCondition DRTDoseIOD::setImageOrientationPatient | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set ImageOrientationPatient (0020,0037)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (6) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setImagePositionPatient()

virtual OFCondition DRTDoseIOD::setImagePositionPatient | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set ImagePositionPatient (0020,0032)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (3) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setImageType()

virtual OFCondition DRTDoseIOD::setImageType | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set ImageType (0008,0008)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (2-n) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setInstanceCoercionDateTime()

virtual OFCondition DRTDoseIOD::setInstanceCoercionDateTime | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set InstanceCoercionDateTime (0008,0015)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DT) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setInstanceCreationDate()

virtual OFCondition DRTDoseIOD::setInstanceCreationDate | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set InstanceCreationDate (0008,0012)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DA) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setInstanceCreationTime()

virtual OFCondition DRTDoseIOD::setInstanceCreationTime | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set InstanceCreationTime (0008,0013)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (TM) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setInstanceCreatorUID()

virtual OFCondition DRTDoseIOD::setInstanceCreatorUID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set InstanceCreatorUID (0008,0014)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (UI) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setInstanceNumber()

virtual OFCondition DRTDoseIOD::setInstanceNumber | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set InstanceNumber (0020,0013)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setInstanceOriginStatus()

virtual OFCondition DRTDoseIOD::setInstanceOriginStatus | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set InstanceOriginStatus (0400,0600)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setInstitutionAddress()

virtual OFCondition DRTDoseIOD::setInstitutionAddress | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set InstitutionAddress (0008,0081)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (ST) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setInstitutionalDepartmentName()

virtual OFCondition DRTDoseIOD::setInstitutionalDepartmentName | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set InstitutionalDepartmentName (0008,1040)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setInstitutionName()

virtual OFCondition DRTDoseIOD::setInstitutionName | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set InstitutionName (0008,0080)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setIssuerOfPatientID()

virtual OFCondition DRTDoseIOD::setIssuerOfPatientID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set IssuerOfPatientID (0010,0021)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setLargestImagePixelValue()

virtual OFCondition DRTDoseIOD::setLargestImagePixelValue | ( | const Uint16 | value,
|  | const unsigned long | pos = 0 )
| virtual

set LargestImagePixelValue (0028,0107)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setLastMenstrualDate()

virtual OFCondition DRTDoseIOD::setLastMenstrualDate | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set LastMenstrualDate (0010,21d0)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DA) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setLongitudinalTemporalEventType()

virtual OFCondition DRTDoseIOD::setLongitudinalTemporalEventType | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set LongitudinalTemporalEventType (0012,0053)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setLongitudinalTemporalInformationModified()

virtual OFCondition DRTDoseIOD::setLongitudinalTemporalInformationModified | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set LongitudinalTemporalInformationModified (0028,0303)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setLongitudinalTemporalOffsetFromEvent()

virtual OFCondition DRTDoseIOD::setLongitudinalTemporalOffsetFromEvent | ( | const Float64 | value,
|  | const unsigned long | pos = 0 )
| virtual

set LongitudinalTemporalOffsetFromEvent (0012,0052)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setLossyImageCompression()

virtual OFCondition DRTDoseIOD::setLossyImageCompression | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set LossyImageCompression (0028,2110)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setLossyImageCompressionMethod()

virtual OFCondition DRTDoseIOD::setLossyImageCompressionMethod | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set LossyImageCompressionMethod (0028,2114)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1-n) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setLossyImageCompressionRatio()

virtual OFCondition DRTDoseIOD::setLossyImageCompressionRatio | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set LossyImageCompressionRatio (0028,2112)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1-n) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setManufacturer()

virtual OFCondition DRTDoseIOD::setManufacturer | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set Manufacturer (0008,0070)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setManufacturerDeviceClassUID()

virtual OFCondition DRTDoseIOD::setManufacturerDeviceClassUID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set ManufacturerDeviceClassUID (0018,100b)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (UI) and VM (1-n) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setManufacturerModelName()

virtual OFCondition DRTDoseIOD::setManufacturerModelName | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set ManufacturerModelName (0008,1090)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setMeasuredAPDimension()

virtual OFCondition DRTDoseIOD::setMeasuredAPDimension | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set MeasuredAPDimension (0010,1023)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setMeasuredLateralDimension()

virtual OFCondition DRTDoseIOD::setMeasuredLateralDimension | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set MeasuredLateralDimension (0010,1024)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setMedicalAlerts()

virtual OFCondition DRTDoseIOD::setMedicalAlerts | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set MedicalAlerts (0010,2000)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1-n) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setModality()

virtual OFCondition DRTDoseIOD::setModality | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set Modality (0008,0060)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setNameOfPhysiciansReadingStudy()

virtual OFCondition DRTDoseIOD::setNameOfPhysiciansReadingStudy | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set NameOfPhysiciansReadingStudy (0008,1060)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (PN) and VM (1-n) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setNormalizationPoint()

virtual OFCondition DRTDoseIOD::setNormalizationPoint | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set NormalizationPoint (3004,0008)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (3) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setNumberOfFrames()

virtual OFCondition DRTDoseIOD::setNumberOfFrames | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set NumberOfFrames (0028,0008)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setOccupation()

virtual OFCondition DRTDoseIOD::setOccupation | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set Occupation (0010,2180)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (SH) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setOperatorsName()

virtual OFCondition DRTDoseIOD::setOperatorsName | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set OperatorsName (0008,1070)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (PN) and VM (1-n) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setOriginalSpecializedSOPClassUID()

virtual OFCondition DRTDoseIOD::setOriginalSpecializedSOPClassUID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set OriginalSpecializedSOPClassUID (0008,001b)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (UI) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setOtherPatientNames()

virtual OFCondition DRTDoseIOD::setOtherPatientNames | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set OtherPatientNames (0010,1001)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (PN) and VM (1-n) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPatientAge()

virtual OFCondition DRTDoseIOD::setPatientAge | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set PatientAge (0010,1010)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (AS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPatientAlternativeCalendar()

virtual OFCondition DRTDoseIOD::setPatientAlternativeCalendar | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set PatientAlternativeCalendar (0010,0035)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPatientBirthDate()

virtual OFCondition DRTDoseIOD::setPatientBirthDate | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set PatientBirthDate (0010,0030)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DA) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPatientBirthDateInAlternativeCalendar()

virtual OFCondition DRTDoseIOD::setPatientBirthDateInAlternativeCalendar | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set PatientBirthDateInAlternativeCalendar (0010,0033)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPatientBirthTime()

virtual OFCondition DRTDoseIOD::setPatientBirthTime | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set PatientBirthTime (0010,0032)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (TM) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPatientBodyMassIndex()

virtual OFCondition DRTDoseIOD::setPatientBodyMassIndex | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set PatientBodyMassIndex (0010,1022)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPatientBreedDescription()

virtual OFCondition DRTDoseIOD::setPatientBreedDescription | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set PatientBreedDescription (0010,2292)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPatientComments()

virtual OFCondition DRTDoseIOD::setPatientComments | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set PatientComments (0010,4000)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LT) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPatientDeathDateInAlternativeCalendar()

virtual OFCondition DRTDoseIOD::setPatientDeathDateInAlternativeCalendar | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set PatientDeathDateInAlternativeCalendar (0010,0034)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPatientID()

virtual OFCondition DRTDoseIOD::setPatientID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set PatientID (0010,0020)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPatientIdentityRemoved()

virtual OFCondition DRTDoseIOD::setPatientIdentityRemoved | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set PatientIdentityRemoved (0012,0062)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPatientName()

virtual OFCondition DRTDoseIOD::setPatientName | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set PatientName (0010,0010)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (PN) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPatientOrientation()

virtual OFCondition DRTDoseIOD::setPatientOrientation | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set PatientOrientation (0020,0020)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (2) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPatientSex()

virtual OFCondition DRTDoseIOD::setPatientSex | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set PatientSex (0010,0040)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPatientSexNeutered()

virtual OFCondition DRTDoseIOD::setPatientSexNeutered | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set PatientSexNeutered (0010,2203)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPatientSize()

virtual OFCondition DRTDoseIOD::setPatientSize | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set PatientSize (0010,1020)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPatientSpeciesDescription()

virtual OFCondition DRTDoseIOD::setPatientSpeciesDescription | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set PatientSpeciesDescription (0010,2201)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPatientState()

virtual OFCondition DRTDoseIOD::setPatientState | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set PatientState (0038,0500)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPatientWeight()

virtual OFCondition DRTDoseIOD::setPatientWeight | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set PatientWeight (0010,1030)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPerformedProcedureStepDescription()

virtual OFCondition DRTDoseIOD::setPerformedProcedureStepDescription | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set PerformedProcedureStepDescription (0040,0254)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPerformedProcedureStepEndDate()

virtual OFCondition DRTDoseIOD::setPerformedProcedureStepEndDate | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set PerformedProcedureStepEndDate (0040,0250)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DA) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPerformedProcedureStepEndTime()

virtual OFCondition DRTDoseIOD::setPerformedProcedureStepEndTime | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set PerformedProcedureStepEndTime (0040,0251)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (TM) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPerformedProcedureStepID()

virtual OFCondition DRTDoseIOD::setPerformedProcedureStepID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set PerformedProcedureStepID (0040,0253)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (SH) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPerformedProcedureStepStartDate()

virtual OFCondition DRTDoseIOD::setPerformedProcedureStepStartDate | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set PerformedProcedureStepStartDate (0040,0244)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DA) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPerformedProcedureStepStartTime()

virtual OFCondition DRTDoseIOD::setPerformedProcedureStepStartTime | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set PerformedProcedureStepStartTime (0040,0245)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (TM) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPhotometricInterpretation()

virtual OFCondition DRTDoseIOD::setPhotometricInterpretation | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set PhotometricInterpretation (0028,0004)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPhysiciansOfRecord()

virtual OFCondition DRTDoseIOD::setPhysiciansOfRecord | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set PhysiciansOfRecord (0008,1048)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (PN) and VM (1-n) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPixelAspectRatio()

virtual OFCondition DRTDoseIOD::setPixelAspectRatio | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set PixelAspectRatio (0028,0034)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (2) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPixelDataProviderURL()

virtual OFCondition DRTDoseIOD::setPixelDataProviderURL | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set PixelDataProviderURL (0028,7fe0)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (UR) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPixelPaddingRangeLimit()

virtual OFCondition DRTDoseIOD::setPixelPaddingRangeLimit | ( | const Uint16 | value,
|  | const unsigned long | pos = 0 )
| virtual

set PixelPaddingRangeLimit (0028,0121)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPixelPaddingValue()

virtual OFCondition DRTDoseIOD::setPixelPaddingValue | ( | const Uint16 | value,
|  | const unsigned long | pos = 0 )
| virtual

set PixelPaddingValue (0028,0120)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPixelRepresentation()

virtual OFCondition DRTDoseIOD::setPixelRepresentation | ( | const Uint16 | value,
|  | const unsigned long | pos = 0 )
| virtual

set PixelRepresentation (0028,0103)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPixelSpacing()

virtual OFCondition DRTDoseIOD::setPixelSpacing | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set PixelSpacing (0028,0030)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (2) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPlanarConfiguration()

virtual OFCondition DRTDoseIOD::setPlanarConfiguration | ( | const Uint16 | value,
|  | const unsigned long | pos = 0 )
| virtual

set PlanarConfiguration (0028,0006)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPositionReferenceIndicator()

virtual OFCondition DRTDoseIOD::setPositionReferenceIndicator | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set PositionReferenceIndicator (0020,1040)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPregnancyStatus()

virtual OFCondition DRTDoseIOD::setPregnancyStatus | ( | const Uint16 | value,
|  | const unsigned long | pos = 0 )
| virtual

set PregnancyStatus (0010,21c0)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setPresentationLUTShape()

virtual OFCondition DRTDoseIOD::setPresentationLUTShape | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set PresentationLUTShape (2050,0020)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setQualityControlImage()

virtual OFCondition DRTDoseIOD::setQualityControlImage | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set QualityControlImage (0028,0300)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setQualityControlSubject()

virtual OFCondition DRTDoseIOD::setQualityControlSubject | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set QualityControlSubject (0010,0200)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setQueryRetrieveView()

virtual OFCondition DRTDoseIOD::setQueryRetrieveView | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set QueryRetrieveView (0008,0053)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setReasonForVisit()

virtual OFCondition DRTDoseIOD::setReasonForVisit | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set ReasonForVisit (0032,1066)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (UT) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setRecognizableVisualFeatures()

virtual OFCondition DRTDoseIOD::setRecognizableVisualFeatures | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set RecognizableVisualFeatures (0028,0302)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setRedPaletteColorLookupTableData()

virtual OFCondition DRTDoseIOD::setRedPaletteColorLookupTableData | ( | const Uint16 * | value,
|  | const unsigned long | count )
| virtual

set RedPaletteColorLookupTableData (0028,1201)

Parameters

  value | array value to be set (data is copied)
  count | number of items in the array

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setRedPaletteColorLookupTableDescriptor()

virtual OFCondition DRTDoseIOD::setRedPaletteColorLookupTableDescriptor | ( | const Uint16 | value,
|  | const unsigned long | pos = 0 )
| virtual

set RedPaletteColorLookupTableDescriptor (0028,1101)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=3

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setReferringPhysicianName()

virtual OFCondition DRTDoseIOD::setReferringPhysicianName | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set ReferringPhysicianName (0008,0090)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (PN) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setRelatedGeneralSOPClassUID()

virtual OFCondition DRTDoseIOD::setRelatedGeneralSOPClassUID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set RelatedGeneralSOPClassUID (0008,001a)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (UI) and VM (1-n) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setRequestingService()

virtual OFCondition DRTDoseIOD::setRequestingService | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set RequestingService (0032,1033)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setResponsibleOrganization()

virtual OFCondition DRTDoseIOD::setResponsibleOrganization | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set ResponsibleOrganization (0010,2299)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setResponsiblePerson()

virtual OFCondition DRTDoseIOD::setResponsiblePerson | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set ResponsiblePerson (0010,2297)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (PN) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setResponsiblePersonRole()

virtual OFCondition DRTDoseIOD::setResponsiblePersonRole | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set ResponsiblePersonRole (0010,2298)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setRows()

virtual OFCondition DRTDoseIOD::setRows | ( | const Uint16 | value,
|  | const unsigned long | pos = 0 )
| virtual

set Rows (0028,0010)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setSamplesPerPixel()

virtual OFCondition DRTDoseIOD::setSamplesPerPixel | ( | const Uint16 | value,
|  | const unsigned long | pos = 0 )
| virtual

set SamplesPerPixel (0028,0002)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setSeriesDate()

virtual OFCondition DRTDoseIOD::setSeriesDate | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set SeriesDate (0008,0021)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DA) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setSeriesDescription()

virtual OFCondition DRTDoseIOD::setSeriesDescription | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set SeriesDescription (0008,103e)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setSeriesInstanceUID()

virtual OFCondition DRTDoseIOD::setSeriesInstanceUID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set SeriesInstanceUID (0020,000e)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (UI) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setSeriesNumber()

virtual OFCondition DRTDoseIOD::setSeriesNumber | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set SeriesNumber (0020,0011)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setSeriesTime()

virtual OFCondition DRTDoseIOD::setSeriesTime | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set SeriesTime (0008,0031)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (TM) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setServiceEpisodeDescription()

virtual OFCondition DRTDoseIOD::setServiceEpisodeDescription | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set ServiceEpisodeDescription (0038,0062)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setServiceEpisodeID()

virtual OFCondition DRTDoseIOD::setServiceEpisodeID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set ServiceEpisodeID (0038,0060)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setSliceLocation()

virtual OFCondition DRTDoseIOD::setSliceLocation | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set SliceLocation (0020,1041)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setSliceThickness()

virtual OFCondition DRTDoseIOD::setSliceThickness | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set SliceThickness (0018,0050)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setSmallestImagePixelValue()

virtual OFCondition DRTDoseIOD::setSmallestImagePixelValue | ( | const Uint16 | value,
|  | const unsigned long | pos = 0 )
| virtual

set SmallestImagePixelValue (0028,0106)

Parameters

  value | value to be set (should be valid for this VR)
  pos | index of the value to be set (0..vm-1), vm=1

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setSmokingStatus()

virtual OFCondition DRTDoseIOD::setSmokingStatus | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set SmokingStatus (0010,21a0)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setSoftwareVersions()

virtual OFCondition DRTDoseIOD::setSoftwareVersions | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set SoftwareVersions (0018,1020)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1-n) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setSOPAuthorizationComment()

virtual OFCondition DRTDoseIOD::setSOPAuthorizationComment | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set SOPAuthorizationComment (0100,0424)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LT) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setSOPAuthorizationDateTime()

virtual OFCondition DRTDoseIOD::setSOPAuthorizationDateTime | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set SOPAuthorizationDateTime (0100,0420)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DT) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setSOPClassUID()

virtual OFCondition DRTDoseIOD::setSOPClassUID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set SOPClassUID (0008,0016)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (UI) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setSOPInstanceStatus()

virtual OFCondition DRTDoseIOD::setSOPInstanceStatus | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set SOPInstanceStatus (0100,0410)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setSOPInstanceUID()

virtual OFCondition DRTDoseIOD::setSOPInstanceUID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set SOPInstanceUID (0008,0018)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (UI) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setSpacingBetweenSlices()

virtual OFCondition DRTDoseIOD::setSpacingBetweenSlices | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set SpacingBetweenSlices (0018,0088)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setSpatialResolution()

virtual OFCondition DRTDoseIOD::setSpatialResolution | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set SpatialResolution (0018,1050)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setSpatialTransformOfDose()

virtual OFCondition DRTDoseIOD::setSpatialTransformOfDose | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set SpatialTransformOfDose (3004,0005)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setSpecificCharacterSet()

virtual OFCondition DRTDoseIOD::setSpecificCharacterSet | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set SpecificCharacterSet (0008,0005)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1-n) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setStationName()

virtual OFCondition DRTDoseIOD::setStationName | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set StationName (0008,1010)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (SH) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setStereoPairsPresent()

virtual OFCondition DRTDoseIOD::setStereoPairsPresent | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set StereoPairsPresent (0022,0028)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setStrainAdditionalInformation()

virtual OFCondition DRTDoseIOD::setStrainAdditionalInformation | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set StrainAdditionalInformation (0010,0218)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (UT) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setStrainDescription()

virtual OFCondition DRTDoseIOD::setStrainDescription | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set StrainDescription (0010,0212)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (UC) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setStrainNomenclature()

virtual OFCondition DRTDoseIOD::setStrainNomenclature | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set StrainNomenclature (0010,0213)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setStudyDate()

virtual OFCondition DRTDoseIOD::setStudyDate | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set StudyDate (0008,0020)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DA) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setStudyDescription()

virtual OFCondition DRTDoseIOD::setStudyDescription | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set StudyDescription (0008,1030)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (LO) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setStudyID()

virtual OFCondition DRTDoseIOD::setStudyID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set StudyID (0020,0010)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (SH) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setStudyInstanceUID()

virtual OFCondition DRTDoseIOD::setStudyInstanceUID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set StudyInstanceUID (0020,000d)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (UI) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setStudyTime()

virtual OFCondition DRTDoseIOD::setStudyTime | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set StudyTime (0008,0030)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (TM) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setTimeOfLastCalibration()

virtual OFCondition DRTDoseIOD::setTimeOfLastCalibration | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set TimeOfLastCalibration (0018,1201)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (TM) and VM (1-n) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setTimezoneOffsetFromUTC()

virtual OFCondition DRTDoseIOD::setTimezoneOffsetFromUTC | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set TimezoneOffsetFromUTC (0008,0201)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (SH) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setTissueHeterogeneityCorrection()

virtual OFCondition DRTDoseIOD::setTissueHeterogeneityCorrection | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set TissueHeterogeneityCorrection (3004,0014)

Parameters

  value | value to be set (possibly multi-valued) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1-3) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setTreatmentSessionUID()

virtual OFCondition DRTDoseIOD::setTreatmentSessionUID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set TreatmentSessionUID (300a,0700)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (UI) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setTypeOfPatientID()

virtual OFCondition DRTDoseIOD::setTypeOfPatientID | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )
| virtual

set TypeOfPatientID (0010,0022)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (CS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ write()

virtual OFCondition DRTDoseIOD::write | ( | DcmItem & | dataset | ) |
| virtual

write object to dataset

Parameters

  dataset | reference to DICOM dataset to which the object should be written

Returns
  status, EC_Normal if successful, an error code otherwise

## Member Data Documentation

## ◆ BitsAllocated

DcmUnsignedShort DRTDoseIOD::BitsAllocated
| private

BitsAllocated (0028,0100) vr=US, vm=1, type=1C.

- also defined in: ImagePixelModule

## ◆ BitsStored

DcmUnsignedShort DRTDoseIOD::BitsStored
| private

BitsStored (0028,0101) vr=US, vm=1, type=1C.

- also defined in: ImagePixelModule

## ◆ ContentDate

DcmDate DRTDoseIOD::ContentDate
| private

ContentDate (0008,0023) vr=DA, vm=1, type=3.

- also defined in: GeneralImageModule

## ◆ ContentTime

DcmTime DRTDoseIOD::ContentTime
| private

ContentTime (0008,0033) vr=TM, vm=1, type=3.

- also defined in: GeneralImageModule

## ◆ HighBit

DcmUnsignedShort DRTDoseIOD::HighBit
| private

HighBit (0028,0102) vr=US, vm=1, type=1C.

- also defined in: ImagePixelModule

## ◆ InstanceNumber

DcmIntegerString DRTDoseIOD::InstanceNumber
| private

InstanceNumber (0020,0013) vr=IS, vm=1, type=3.

- also defined in: GeneralImageModule, SOPCommonModule

## ◆ PhotometricInterpretation

DcmCodeString DRTDoseIOD::PhotometricInterpretation
| private

PhotometricInterpretation (0028,0004) vr=CS, vm=1, type=1C.

- also defined in: ImagePixelModule

## ◆ PixelRepresentation

DcmUnsignedShort DRTDoseIOD::PixelRepresentation
| private

PixelRepresentation (0028,0103) vr=US, vm=1, type=1C.

- also defined in: ImagePixelModule

## ◆ SamplesPerPixel

DcmUnsignedShort DRTDoseIOD::SamplesPerPixel
| private

SamplesPerPixel (0028,0002) vr=US, vm=1, type=1C.

- also defined in: ImagePixelModule

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/drtdose.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2